/*
 * Code for class DYNAMIC_API_LOADER
 */

#include "eif_eiffel.h"
#include "../E1/estructure.h"
#include "../E1/eoffsets.h"

#include "dy384.h"
#include "eif_built_in.h"
#include <dlfcn.h>
#include "eif_misc.h"

#ifdef __cplusplus
extern "C" {
#endif

#ifndef INLINE_F431_8876
static EIF_POINTER inline_F431_8876 (EIF_POINTER arg1, EIF_POINTER arg2)
{
	return dlsym((void *)arg1, (const char *)arg2);
	;
}
#define INLINE_F431_8876
#endif
#ifndef INLINE_F431_8874
static EIF_POINTER inline_F431_8874 (EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	return (EIF_POINTER)dlopen((const char*)arg1, (int)arg2);
	;
}
#define INLINE_F431_8874
#endif
#ifndef INLINE_F431_8875
static EIF_INTEGER_32 inline_F431_8875 (EIF_POINTER arg1)
{
	return (EIF_INTEGER)dlclose((void *)arg1);
	;
}
#define INLINE_F431_8875
#endif

#ifdef __cplusplus
}
#endif


#ifdef __cplusplus
extern "C" {
#endif

/* {DYNAMIC_API_LOADER}.is_dynamic_library_supported */
EIF_BOOLEAN F431_8869 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	
	
	RTEAA("is_dynamic_library_supported", 430, Current, 0, 0, 7747);
	RTHOOK(1);
	RTHOOK(2);
	RTEE;
	return (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
}

/* {DYNAMIC_API_LOADER}.api_pointer */
EIF_POINTER F431_8870 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_REFERENCE arg2)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_POINTER tp1;
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	RTLD;
	
	RTLI(3);
	RTLR(0,loc1);
	RTLR(1,arg2);
	RTLR(2,Current);
	RTLIU(3);
	
	RTEAA("api_pointer", 430, Current, 1, 2, 7748);
	RTGC;
	RTHOOK(1);
	loc1 = RTLNS(eif_new_type(1945, 0x00).id, 1945, _OBJSIZ_1_0_0_1_0_0_0_0_);
	F1946_27354(RTCW(loc1), arg2);
	RTHOOK(2);
	tp1 = F1946_27376(RTCW(loc1));
	Result = inline_F431_8876(arg1, tp1);
	RTHOOK(3);
	RTLE;
	RTEE;
	return Result;
}

/* {DYNAMIC_API_LOADER}.load_library */
EIF_POINTER F431_8871 (EIF_REFERENCE Current, EIF_REFERENCE arg1, EIF_REFERENCE arg2)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_POINTER tp1;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	RTLD;
	
	RTLI(6);
	RTLR(0,loc1);
	RTLR(1,arg1);
	RTLR(2,arg2);
	RTLR(3,tr1);
	RTLR(4,tr2);
	RTLR(5,Current);
	RTLIU(6);
	
	RTEAA("load_library", 430, Current, 1, 2, 7749);
	RTGC;
	RTAOMS(8870,2);
	RTHOOK(1);
	loc1 = RTLNS(eif_new_type(3975, 0x00).id, 3975, _OBJSIZ_2_1_0_0_0_0_0_0_);
	F3976_47217(RTCW(loc1), arg1);
	RTHOOK(2);
	if ((EIF_BOOLEAN) eif_builtin_PLATFORM_is_mac__b) {
		RTHOOK(3);
		if ((EIF_BOOLEAN)(arg2 != NULL)) {
			RTHOOK(4);
			tr1 = F3976_47247(RTCW(loc1), arg2);
		} else {
			RTHOOK(5);
			tr1 = loc1;
		}
		RTCOMS(tr2,8870,0,"dylib",5,2037916002);
		tr1 = F3976_47247(RTCV(tr1), tr2);
		tr1 = F3976_47255(RTCW(tr1));
		Result = F431_8872(Current, tr1);
	}
	RTHOOK(6);
	{
		/* INLINED CODE (ANY.default_pointer) */
		tp1 = (EIF_POINTER)  0;
		/* END INLINED CODE */
	}
	if ((EIF_BOOLEAN)(Result == tp1)) {
		RTHOOK(7);
		RTCOMS(tr1,8870,1,"so",2,29551);
		tr1 = F3976_47247(RTCW(loc1), tr1);
		loc1 = (EIF_REFERENCE) tr1;
		RTHOOK(8);
		if ((EIF_BOOLEAN)(arg2 != NULL)) {
			RTHOOK(9);
			tr1 = F3976_47247(RTCW(loc1), arg2);
		} else {
			RTHOOK(10);
			tr1 = loc1;
		}
		tr1 = F3976_47255(RTCV(tr1));
		Result = F431_8872(Current, tr1);
	}
	RTHOOK(11);
	RTLE;
	RTEE;
	return Result;
}

/* {DYNAMIC_API_LOADER}.load_library_from_path */
EIF_POINTER F431_8872 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_POINTER tp1;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	RTLD;
	
	RTLI(3);
	RTLR(0,loc1);
	RTLR(1,arg1);
	RTLR(2,Current);
	RTLIU(3);
	
	RTEAA("load_library_from_path", 430, Current, 1, 1, 7750);
	RTGC;
	RTHOOK(1);
	loc1 = RTLNS(eif_new_type(1945, 0x00).id, 1945, _OBJSIZ_1_0_0_1_0_0_0_0_);
	F1946_27354(RTCW(loc1), arg1);
	RTHOOK(2);
	tp1 = F1946_27376(RTCW(loc1));
	ti4_1 = (EIF_INTEGER_32) RTLD_LAZY;
	ti4_2 = (EIF_INTEGER_32) RTLD_GLOBAL;
	ti4_1 = eif_bit_or(ti4_1,ti4_2);
	Result = inline_F431_8874(tp1, ti4_1);
	RTHOOK(3);
	RTLE;
	RTEE;
	return Result;
}

/* {DYNAMIC_API_LOADER}.unload_library */
void F431_8873 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	EIF_BOOLEAN loc1 = (EIF_BOOLEAN) 0;
	EIF_INTEGER_32 ti4_1;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("unload_library", 430, Current, 1, 1, 7751);
	RTGC;
	RTHOOK(1);
	ti4_1 = inline_F431_8875(arg1);
	loc1 = (EIF_BOOLEAN) (EIF_BOOLEAN)(ti4_1 == ((EIF_INTEGER_32) 0L));
	
	RTHOOK(3);
	RTLE;
	RTEE;
}

/* {DYNAMIC_API_LOADER}.c_dlopen */
EIF_POINTER F431_8874 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	RTEX;
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("c_dlopen", 430, Current, 0, 2, 7752);
	Result = inline_F431_8874 ((EIF_POINTER) arg1, (EIF_INTEGER_32) arg2);
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {DYNAMIC_API_LOADER}.c_dlclose */
EIF_INTEGER_32 F431_8875 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("c_dlclose", 430, Current, 0, 1, 7753);
	Result = inline_F431_8875 ((EIF_POINTER) arg1);
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {DYNAMIC_API_LOADER}.c_dlsym */
EIF_POINTER F431_8876 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	RTEX;
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("c_dlsym", 430, Current, 0, 2, 7754);
	Result = inline_F431_8876 ((EIF_POINTER) arg1, (EIF_POINTER) arg2);
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {DYNAMIC_API_LOADER}.rtld_lazy */
EIF_INTEGER_32 F431_8877 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("rtld_lazy", 430, Current, 0, 0, 7755);
	Result = (EIF_INTEGER_32) RTLD_LAZY;
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {DYNAMIC_API_LOADER}.rtld_global */
EIF_INTEGER_32 F431_8878 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("rtld_global", 430, Current, 0, 0, 7756);
	Result = (EIF_INTEGER_32) RTLD_GLOBAL;
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

void EIF_Minit384 (void)
{
	GTCX
}


#ifdef __cplusplus
}
#endif
