/*
 * Code for class GTK
 */

#include "eif_eiffel.h"
#include "../E1/estructure.h"
#include "../E1/eoffsets.h"

#include "gt10.h"
#include <ev_gtk.h>
#include <glib.h>
#include <gmodule.h>
#include <stdlib.h>

#ifdef __cplusplus
extern "C" {
#endif

#ifndef INLINE_F10_137
static EIF_POINTER inline_F10_137 (void)
{
	#if GTK_MAJOR_VERSION > 1
	return gtk_settings_get_default();
#endif
	;
}
#define INLINE_F10_137
#endif
#ifndef INLINE_F10_138
static void inline_F10_138 (EIF_POINTER arg1, EIF_POINTER arg2, EIF_POINTER arg3, EIF_POINTER arg4)
{
	#if GTK_MAJOR_VERSION > 1
	gtk_settings_set_string_property ((GtkSettings*) arg1, (gchar*) arg2, (gchar*) arg3, (gchar*) arg4);
#endif
	;
}
#define INLINE_F10_138
#endif
#ifndef INLINE_F10_140
static void inline_F10_140 (EIF_POINTER arg1, EIF_BOOLEAN arg2)
{
	#if GTK_MAJOR_VERSION > 1
	gtk_window_set_skip_taskbar_hint ((GtkWindow*) arg1, (gboolean) arg2);
#endif
	;
}
#define INLINE_F10_140
#endif
#ifndef INLINE_F10_143
static EIF_POINTER inline_F10_143 (EIF_POINTER arg1)
{
	#if GTK_MAJOR_VERSION > 1
	return gdk_pixbuf_get_pixels ((GdkPixbuf*) arg1);
#endif
	;
}
#define INLINE_F10_143
#endif
#ifndef INLINE_F10_144
static EIF_POINTER inline_F10_144 (EIF_POINTER arg1)
{
	#if GTK_MAJOR_VERSION > 1
	return gdk_pixbuf_copy ((GdkPixbuf*)arg1);
#endif
	;
}
#define INLINE_F10_144
#endif
#ifndef INLINE_F10_145
static EIF_INTEGER_32 inline_F10_145 (EIF_POINTER arg1)
{
	#if GTK_MAJOR_VERSION > 1
	return gdk_pixbuf_get_width ((GdkPixbuf*)arg1);
#endif
	;
}
#define INLINE_F10_145
#endif
#ifndef INLINE_F10_146
static EIF_INTEGER_32 inline_F10_146 (EIF_POINTER arg1)
{
	#if GTK_MAJOR_VERSION > 1
	return gdk_pixbuf_get_height ((GdkPixbuf*)arg1);
#endif
	;
}
#define INLINE_F10_146
#endif
#ifndef INLINE_F10_147
static EIF_NATURAL_32 inline_F10_147 (EIF_POINTER arg1)
{
	#if GTK_MAJOR_VERSION > 1
	return gdk_pixbuf_get_rowstride ((GdkPixbuf*)arg1);
#endif
	;
}
#define INLINE_F10_147
#endif
#ifndef INLINE_F10_148
static EIF_NATURAL_32 inline_F10_148 (EIF_POINTER arg1)
{
	#if GTK_MAJOR_VERSION > 1
	return gdk_pixbuf_get_n_channels ((GdkPixbuf*)arg1);
#endif
	;
}
#define INLINE_F10_148
#endif
#ifndef INLINE_F10_149
static EIF_NATURAL_32 inline_F10_149 (EIF_POINTER arg1)
{
	#if GTK_MAJOR_VERSION > 1
	return gdk_pixbuf_get_bits_per_sample ((GdkPixbuf*)arg1);
#endif
	;
}
#define INLINE_F10_149
#endif
#ifndef INLINE_F10_150
static EIF_POINTER inline_F10_150 (EIF_POINTER arg1, EIF_POINTER* arg2)
{
	#if GTK_MAJOR_VERSION > 1
	return gdk_pixbuf_new_from_file ((char*) arg1, (GError**) arg2);
#endif
	;
}
#define INLINE_F10_150
#endif
#ifndef INLINE_F10_152
static EIF_POINTER inline_F10_152 (EIF_POINTER arg1)
{
	#if GTK_MAJOR_VERSION > 1
	return gdk_pixbuf_new_from_xpm_data ((const char**) arg1);
#endif
	;
}
#define INLINE_F10_152
#endif
#ifndef INLINE_F10_154
static void inline_F10_154 (EIF_POINTER arg1, EIF_POINTER* arg2, EIF_POINTER* arg3, EIF_INTEGER_32 arg4)
{
	#if GTK_MAJOR_VERSION > 1
	gdk_pixbuf_render_pixmap_and_mask ((GdkPixbuf*) arg1, (GdkPixmap**) arg2, (GdkBitmap**) arg3, (int) arg4);
#endif
	;
}
#define INLINE_F10_154
#endif
#ifndef INLINE_F10_155
static EIF_POINTER inline_F10_155 (EIF_INTEGER_32 arg1, EIF_BOOLEAN arg2, EIF_INTEGER_32 arg3, EIF_INTEGER_32 arg4, EIF_INTEGER_32 arg5)
{
	#if GTK_MAJOR_VERSION > 1
	return gdk_pixbuf_new ((GdkColorspace) arg1, (gboolean) arg2, (int) arg3, (int) arg4, (int) arg5);
#endif
	;
}
#define INLINE_F10_155
#endif
#ifndef INLINE_F10_200
static EIF_INTEGER_32 inline_F10_200 (void)
{
	return (EIF_INTEGER_32) (GTK_JUSTIFY_CENTER)
	;
}
#define INLINE_F10_200
#endif
#ifndef INLINE_F10_288
static EIF_POINTER inline_F10_288 (EIF_POINTER arg1)
{
	return gdk_drag_context_get_source_window ((GdkDragContext *)arg1);
	;
}
#define INLINE_F10_288
#endif
#ifndef INLINE_F10_291
static EIF_POINTER inline_F10_291 (EIF_POINTER arg1)
{
	return gdk_drag_context_list_targets ((GdkDragContext *)arg1);
	;
}
#define INLINE_F10_291
#endif
#ifndef INLINE_F10_459
static void inline_F10_459 (EIF_POINTER arg1)
{
	#if GTK_MAJOR_VERSION > 1
	gtk_menu_shell_cancel((GtkMenuShell*)arg1);
#endif
	;
}
#define INLINE_F10_459
#endif

#ifdef __cplusplus
}
#endif


#ifdef __cplusplus
extern "C" {
#endif

/* {GTK}.null_pointer */
EIF_POINTER F10_132 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	
	Result = (EIF_POINTER) NULL;
	return Result;
}

/* {GTK}.g_module_supported */
EIF_BOOLEAN F10_133 (EIF_REFERENCE Current)
{
	GTCX
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	
	Result = (EIF_BOOLEAN) EIF_TEST(g_module_supported());
	
	return Result;
}

/* {GTK}.g_module_symbol */
EIF_BOOLEAN F10_134 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2, EIF_POINTER* arg3)
{
	GTCX
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	
	Result = (EIF_BOOLEAN) EIF_TEST(g_module_symbol((GModule*) arg1, (gchar*) arg2, (gpointer*) arg3));
	
	return Result;
}

/* {GTK}.g_module_open */
EIF_POINTER F10_135 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) g_module_open((gchar*) arg1, (GModuleFlags) arg2);
	
	return Result;
}

/* {GTK}.gtk_settings_get_default */
EIF_POINTER F10_137 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	
	Result = inline_F10_137 ();
	return Result;
}

/* {GTK}.gtk_settings_set_string_property */
void F10_138 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2, EIF_POINTER arg3, EIF_POINTER arg4)
{
	GTCX
	
	
	inline_F10_138 ((EIF_POINTER) arg1, (EIF_POINTER) arg2, (EIF_POINTER) arg3, (EIF_POINTER) arg4);
}

/* {GTK}.gtk_window_set_skip_taskbar_hint */
void F10_140 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_BOOLEAN arg2)
{
	GTCX
	
	
	inline_F10_140 ((EIF_POINTER) arg1, (EIF_BOOLEAN) arg2);
}

/* {GTK}.gdk_pixbuf_get_pixels */
EIF_POINTER F10_143 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	
	Result = inline_F10_143 ((EIF_POINTER) arg1);
	return Result;
}

/* {GTK}.gdk_pixbuf_copy */
EIF_POINTER F10_144 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	
	Result = inline_F10_144 ((EIF_POINTER) arg1);
	return Result;
}

/* {GTK}.gdk_pixbuf_get_width */
EIF_INTEGER_32 F10_145 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = inline_F10_145 ((EIF_POINTER) arg1);
	return Result;
}

/* {GTK}.gdk_pixbuf_get_height */
EIF_INTEGER_32 F10_146 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = inline_F10_146 ((EIF_POINTER) arg1);
	return Result;
}

/* {GTK}.gdk_pixbuf_get_rowstride */
EIF_NATURAL_32 F10_147 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_NATURAL_32 Result = ((EIF_NATURAL_32) 0);
	
	
	
	Result = inline_F10_147 ((EIF_POINTER) arg1);
	return Result;
}

/* {GTK}.gdk_pixbuf_get_n_channels */
EIF_NATURAL_32 F10_148 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_NATURAL_32 Result = ((EIF_NATURAL_32) 0);
	
	
	
	Result = inline_F10_148 ((EIF_POINTER) arg1);
	return Result;
}

/* {GTK}.gdk_pixbuf_get_bits_per_sample */
EIF_NATURAL_32 F10_149 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_NATURAL_32 Result = ((EIF_NATURAL_32) 0);
	
	
	
	Result = inline_F10_149 ((EIF_POINTER) arg1);
	return Result;
}

/* {GTK}.gdk_pixbuf_new_from_file */
EIF_POINTER F10_150 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER* arg2)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	
	Result = inline_F10_150 ((EIF_POINTER) arg1, (EIF_POINTER*) arg2);
	return Result;
}

/* {GTK}.gdk_pixbuf_new_from_xpm_data */
EIF_POINTER F10_152 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	
	Result = inline_F10_152 ((EIF_POINTER) arg1);
	return Result;
}

/* {GTK}.gdk_pixbuf_render_pixmap_and_mask */
void F10_154 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER* arg2, EIF_POINTER* arg3, EIF_INTEGER_32 arg4)
{
	GTCX
	
	
	inline_F10_154 ((EIF_POINTER) arg1, (EIF_POINTER*) arg2, (EIF_POINTER*) arg3, (EIF_INTEGER_32) arg4);
}

/* {GTK}.gdk_pixbuf_new */
EIF_POINTER F10_155 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1, EIF_BOOLEAN arg2, EIF_INTEGER_32 arg3, EIF_INTEGER_32 arg4, EIF_INTEGER_32 arg5)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	
	Result = inline_F10_155 ((EIF_INTEGER_32) arg1, (EIF_BOOLEAN) arg2, (EIF_INTEGER_32) arg3, (EIF_INTEGER_32) arg4, (EIF_INTEGER_32) arg5);
	return Result;
}

/* {GTK}.gtk_fixed_child_struct_x */
EIF_INTEGER_32 F10_158 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	Result = (EIF_INTEGER_32) (((GtkFixedChild *)arg1)->x);
	
	return Result;
}

/* {GTK}.gtk_fixed_child_struct_y */
EIF_INTEGER_32 F10_159 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	Result = (EIF_INTEGER_32) (((GtkFixedChild *)arg1)->y);
	
	return Result;
}

/* {GTK}.set_gtk_fixed_child_struct_x */
void F10_160 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	
	(((GtkFixedChild *)arg1)->x = (gint)(arg2));
	
}

/* {GTK}.set_gtk_fixed_child_struct_y */
void F10_161 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	
	(((GtkFixedChild *)arg1)->y = (gint)(arg2));
	
}

/* {GTK}.gtk_win_pos_mouse_enum */
EIF_INTEGER_32 F10_162 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GTK_WIN_POS_MOUSE;
	return Result;
}

/* {GTK}.gtk_maj_ver */
EIF_INTEGER_32 F10_163 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) gtk_major_version;
	return Result;
}

/* {GTK}.gtk_min_ver */
EIF_INTEGER_32 F10_164 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) gtk_minor_version;
	return Result;
}

/* {GTK}.gtk_widget_set_flags */
void F10_166 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	
	
	GTK_WIDGET_SET_FLAGS((arg1), (arg2));
}

/* {GTK}.gtk_widget_flags */
EIF_INTEGER_32 F10_167 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GTK_WIDGET_FLAGS((arg1));
	return Result;
}

/* {GTK}.gtk_widget_unset_flags */
void F10_168 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	
	
	GTK_WIDGET_UNSET_FLAGS((arg1), (arg2));
}

/* {GTK}.gtk_widget_is_sensitive */
EIF_BOOLEAN F10_169 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	
	
	Result = (EIF_BOOLEAN) EIF_TEST(GTK_WIDGET_IS_SENSITIVE((arg1)));
	return Result;
}

/* {GTK}.gtk_widget_no_window */
EIF_BOOLEAN F10_170 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	
	
	Result = (EIF_BOOLEAN) EIF_TEST(GTK_WIDGET_NO_WINDOW((arg1)));
	return Result;
}

/* {GTK}.c_gdk_color_struct_size */
EIF_INTEGER_32 F10_171 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) sizeof(GdkColor);
	return Result;
}

/* {GTK}.c_gtk_requisition_struct_size */
EIF_INTEGER_32 F10_173 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) sizeof(GtkRequisition);
	return Result;
}

/* {GTK}.c_gtk_allocation_struct_size */
EIF_INTEGER_32 F10_174 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) sizeof(GtkAllocation);
	return Result;
}

/* {GTK}.gtk_is_container */
EIF_BOOLEAN F10_175 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	
	
	Result = (EIF_BOOLEAN) EIF_TEST(GTK_IS_CONTAINER((arg1)));
	return Result;
}

/* {GTK}.gtk_is_window */
EIF_BOOLEAN F10_176 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	
	
	Result = (EIF_BOOLEAN) EIF_TEST(GTK_IS_WINDOW((arg1)));
	return Result;
}

/* {GTK}.gtk_is_menu */
EIF_BOOLEAN F10_177 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	
	
	Result = (EIF_BOOLEAN) EIF_TEST(GTK_IS_MENU((arg1)));
	return Result;
}

/* {GTK}.gdk_control_mask_enum */
EIF_NATURAL_32 F10_178 (EIF_REFERENCE Current)
{
	GTCX
	EIF_NATURAL_32 Result = ((EIF_NATURAL_32) 0);
	
	
	
	Result = (EIF_NATURAL_32) GDK_CONTROL_MASK;
	return Result;
}

/* {GTK}.gdk_mod1_mask_enum */
EIF_NATURAL_32 F10_179 (EIF_REFERENCE Current)
{
	GTCX
	EIF_NATURAL_32 Result = ((EIF_NATURAL_32) 0);
	
	
	
	Result = (EIF_NATURAL_32) GDK_MOD1_MASK;
	return Result;
}

/* {GTK}.gdk_shift_mask_enum */
EIF_NATURAL_32 F10_180 (EIF_REFERENCE Current)
{
	GTCX
	EIF_NATURAL_32 Result = ((EIF_NATURAL_32) 0);
	
	
	
	Result = (EIF_NATURAL_32) GDK_SHIFT_MASK;
	return Result;
}

/* {GTK}.gdk_button_press_enum */
EIF_INTEGER_32 F10_182 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GDK_BUTTON_PRESS;
	return Result;
}

/* {GTK}.gdk_2button_press_enum */
EIF_INTEGER_32 F10_183 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GDK_2BUTTON_PRESS;
	return Result;
}

/* {GTK}.gdk_3button_press_enum */
EIF_INTEGER_32 F10_184 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GDK_3BUTTON_PRESS;
	return Result;
}

/* {GTK}.gdk_button_release_enum */
EIF_INTEGER_32 F10_185 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GDK_BUTTON_RELEASE;
	return Result;
}

/* {GTK}.gtk_state_normal_enum */
EIF_INTEGER_32 F10_186 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GTK_STATE_NORMAL;
	return Result;
}

/* {GTK}.gtk_state_prelight_enum */
EIF_INTEGER_32 F10_188 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GTK_STATE_PRELIGHT;
	return Result;
}

/* {GTK}.gtk_state_selected_enum */
EIF_INTEGER_32 F10_190 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GTK_STATE_SELECTED;
	return Result;
}

/* {GTK}.gtk_state_active_enum */
EIF_INTEGER_32 F10_192 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GTK_STATE_ACTIVE;
	return Result;
}

/* {GTK}.gtk_state_insensitive_enum */
EIF_INTEGER_32 F10_194 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GTK_STATE_INSENSITIVE;
	return Result;
}

/* {GTK}.gtk_sensitive_enum */
EIF_INTEGER_32 F10_196 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GTK_SENSITIVE;
	return Result;
}

/* {GTK}.gtk_mapped_enum */
EIF_INTEGER_32 F10_197 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GTK_MAPPED;
	return Result;
}

/* {GTK}.gdk_invert_enum */
EIF_INTEGER_32 F10_198 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GDK_INVERT;
	return Result;
}

/* {GTK}.gdk_include_inferiors_enum */
EIF_INTEGER_32 F10_199 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GDK_INCLUDE_INFERIORS;
	return Result;
}

/* {GTK}.gtk_justify_center_enum */
EIF_INTEGER_32 F10_200 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = inline_F10_200 ();
	return Result;
}

/* {GTK}.gtk_justify_left_enum */
EIF_INTEGER_32 F10_201 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GTK_JUSTIFY_LEFT;
	return Result;
}

/* {GTK}.gtk_justify_right_enum */
EIF_INTEGER_32 F10_202 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GTK_JUSTIFY_RIGHT;
	return Result;
}

/* {GTK}.gtk_justify_fill_enum */
EIF_INTEGER_32 F10_203 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GTK_JUSTIFY_FILL;
	return Result;
}

/* {GTK}.gtk_shadow_none_enum */
EIF_INTEGER_32 F10_204 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GTK_SHADOW_NONE;
	return Result;
}

/* {GTK}.gtk_shadow_etched_in_enum */
EIF_INTEGER_32 F10_205 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GTK_SHADOW_ETCHED_IN;
	return Result;
}

/* {GTK}.gtk_shadow_etched_out_enum */
EIF_INTEGER_32 F10_206 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GTK_SHADOW_ETCHED_OUT;
	return Result;
}

/* {GTK}.gtk_shadow_in_enum */
EIF_INTEGER_32 F10_207 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GTK_SHADOW_IN;
	return Result;
}

/* {GTK}.gtk_shadow_out_enum */
EIF_INTEGER_32 F10_208 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GTK_SHADOW_OUT;
	return Result;
}

/* {GTK}.gdk_exposure_mask_enum */
EIF_INTEGER_32 F10_209 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GDK_EXPOSURE_MASK;
	return Result;
}

/* {GTK}.gdk_pointer_motion_mask_enum */
EIF_INTEGER_32 F10_210 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GDK_POINTER_MOTION_MASK;
	return Result;
}

/* {GTK}.gdk_pointer_motion_hint_mask_enum */
EIF_INTEGER_32 F10_211 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GDK_POINTER_MOTION_HINT_MASK;
	return Result;
}

/* {GTK}.gdk_button_press_mask_enum */
EIF_INTEGER_32 F10_215 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GDK_BUTTON_PRESS_MASK;
	return Result;
}

/* {GTK}.gdk_button_release_mask_enum */
EIF_INTEGER_32 F10_216 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GDK_BUTTON_RELEASE_MASK;
	return Result;
}

/* {GTK}.gdk_key_press_enum */
EIF_INTEGER_32 F10_218 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GDK_KEY_PRESS;
	return Result;
}

/* {GTK}.gdk_key_press_mask_enum */
EIF_INTEGER_32 F10_220 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GDK_KEY_PRESS_MASK;
	return Result;
}

/* {GTK}.gdk_key_release_mask_enum */
EIF_INTEGER_32 F10_221 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GDK_KEY_RELEASE_MASK;
	return Result;
}

/* {GTK}.gdk_enter_notify_mask_enum */
EIF_INTEGER_32 F10_222 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GDK_ENTER_NOTIFY_MASK;
	return Result;
}

/* {GTK}.gdk_leave_notify_mask_enum */
EIF_INTEGER_32 F10_223 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GDK_LEAVE_NOTIFY_MASK;
	return Result;
}

/* {GTK}.gdk_focus_change_mask_enum */
EIF_INTEGER_32 F10_224 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GDK_FOCUS_CHANGE_MASK;
	return Result;
}

/* {GTK}.gdk_visibility_notify_mask_enum */
EIF_INTEGER_32 F10_225 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GDK_VISIBILITY_NOTIFY_MASK;
	return Result;
}

/* {GTK}.gdk_all_events_mask_enum */
EIF_INTEGER_32 F10_226 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GDK_ALL_EVENTS_MASK;
	return Result;
}

/* {GTK}.gtk_has_focus_enum */
EIF_INTEGER_32 F10_227 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GTK_HAS_FOCUS;
	return Result;
}

/* {GTK}.gtk_visible_enum */
EIF_INTEGER_32 F10_229 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GTK_VISIBLE;
	return Result;
}

/* {GTK}.gtk_window_toplevel_enum */
EIF_INTEGER_32 F10_230 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GTK_WINDOW_TOPLEVEL;
	return Result;
}

/* {GTK}.gdk_decor_all_enum */
EIF_INTEGER_32 F10_231 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GDK_DECOR_ALL;
	return Result;
}

/* {GTK}.gdk_decor_border_enum */
EIF_INTEGER_32 F10_232 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GDK_DECOR_BORDER;
	return Result;
}

/* {GTK}.gdk_hint_max_size_enum */
EIF_INTEGER_32 F10_233 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GDK_HINT_MAX_SIZE;
	return Result;
}

/* {GTK}.gdk_hint_min_size_enum */
EIF_INTEGER_32 F10_234 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GDK_HINT_MIN_SIZE;
	return Result;
}

/* {GTK}.gtk_win_pos_center_enum */
EIF_INTEGER_32 F10_235 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GTK_WIN_POS_CENTER;
	return Result;
}

/* {GTK}.gtk_win_pos_none_enum */
EIF_INTEGER_32 F10_236 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GTK_WIN_POS_NONE;
	return Result;
}

/* {GTK}.gdk_func_close_enum */
EIF_INTEGER_32 F10_237 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GDK_FUNC_CLOSE;
	return Result;
}

/* {GTK}.gdk_func_move_enum */
EIF_INTEGER_32 F10_238 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GDK_FUNC_MOVE;
	return Result;
}

/* {GTK}.gdk_func_resize_enum */
EIF_INTEGER_32 F10_239 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GDK_FUNC_RESIZE;
	return Result;
}

/* {GTK}.gtk_can_focus_enum */
EIF_INTEGER_32 F10_243 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GTK_CAN_FOCUS;
	return Result;
}

/* {GTK}.gtk_policy_automatic_enum */
EIF_INTEGER_32 F10_244 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GTK_POLICY_AUTOMATIC;
	return Result;
}

/* {GTK}.gtk_policy_always_enum */
EIF_INTEGER_32 F10_245 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GTK_POLICY_ALWAYS;
	return Result;
}

/* {GTK}.gtk_policy_never_enum */
EIF_INTEGER_32 F10_246 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GTK_POLICY_NEVER;
	return Result;
}

/* {GTK}.gtk_selection_browse_enum */
EIF_INTEGER_32 F10_248 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GTK_SELECTION_BROWSE;
	return Result;
}

/* {GTK}.gtk_selection_single_enum */
EIF_INTEGER_32 F10_249 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GTK_SELECTION_SINGLE;
	return Result;
}

/* {GTK}.gtk_selection_multiple_enum */
EIF_INTEGER_32 F10_250 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GTK_SELECTION_MULTIPLE;
	return Result;
}

/* {GTK}.gdk_copy_enum */
EIF_INTEGER_32 F10_252 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GDK_COPY;
	return Result;
}

/* {GTK}.gdk_xor_enum */
EIF_INTEGER_32 F10_254 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GDK_XOR;
	return Result;
}

/* {GTK}.gdk_and_enum */
EIF_INTEGER_32 F10_255 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GDK_AND;
	return Result;
}

/* {GTK}.gdk_or_enum */
EIF_INTEGER_32 F10_256 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GDK_OR;
	return Result;
}

/* {GTK}.gdk_line_on_off_dash_enum */
EIF_INTEGER_32 F10_257 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GDK_LINE_ON_OFF_DASH;
	return Result;
}

/* {GTK}.gdk_line_solid_enum */
EIF_INTEGER_32 F10_258 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GDK_LINE_SOLID;
	return Result;
}

/* {GTK}.gdk_tiled_enum */
EIF_INTEGER_32 F10_259 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GDK_TILED;
	return Result;
}

/* {GTK}.gdk_solid_enum */
EIF_INTEGER_32 F10_260 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GDK_SOLID;
	return Result;
}

/* {GTK}.gdk_cap_round_enum */
EIF_INTEGER_32 F10_261 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GDK_CAP_ROUND;
	return Result;
}

/* {GTK}.gdk_join_bevel_enum */
EIF_INTEGER_32 F10_262 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = (EIF_INTEGER_32) GDK_JOIN_BEVEL;
	return Result;
}

/* {GTK}.g_free */
void F10_263 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	
	g_free((gpointer) arg1);
	
}

/* {GTK}.g_list_append */
EIF_POINTER F10_264 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) g_list_append((GList*) arg1, (gpointer) arg2);
	
	return Result;
}

/* {GTK}.g_list_free */
void F10_265 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	
	g_list_free((GList*) arg1);
	
}

/* {GTK}.g_list_index */
EIF_INTEGER_32 F10_266 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	Result = (EIF_INTEGER_32) g_list_index((GList*) arg1, (gpointer) arg2);
	
	return Result;
}

/* {GTK}.g_list_insert */
EIF_POINTER F10_267 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2, EIF_INTEGER_32 arg3)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) g_list_insert((GList*) arg1, (gpointer) arg2, (gint) arg3);
	
	return Result;
}

/* {GTK}.g_list_length */
EIF_INTEGER_32 F10_268 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	Result = (EIF_INTEGER_32) g_list_length((GList*) arg1);
	
	return Result;
}

/* {GTK}.g_list_nth_data */
EIF_POINTER F10_270 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) g_list_nth_data((GList*) arg1, (guint) arg2);
	
	return Result;
}

/* {GTK}.g_list_remove */
EIF_POINTER F10_271 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) g_list_remove((GList*) arg1, (gpointer) arg2);
	
	return Result;
}

/* {GTK}.g_malloc */
EIF_POINTER F10_272 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) g_malloc((gulong) arg1);
	
	return Result;
}

/* {GTK}.g_realloc */
EIF_POINTER F10_273 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) g_realloc((gpointer) arg1, (gulong) arg2);
	
	return Result;
}

/* {GTK}.g_slist_free */
void F10_274 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	
	g_slist_free((GSList*) arg1);
	
}

/* {GTK}.g_slist_index */
EIF_INTEGER_32 F10_275 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	Result = (EIF_INTEGER_32) g_slist_index((GSList*) arg1, (gpointer) arg2);
	
	return Result;
}

/* {GTK}.g_slist_length */
EIF_INTEGER_32 F10_276 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	Result = (EIF_INTEGER_32) g_slist_length((GSList*) arg1);
	
	return Result;
}

/* {GTK}.g_slist_nth_data */
EIF_POINTER F10_277 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) g_slist_nth_data((GSList*) arg1, (guint) arg2);
	
	return Result;
}

/* {GTK}.gdk_bitmap_unref */
void F10_279 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	
	gdk_bitmap_unref((GdkBitmap*) arg1);
	
}

/* {GTK}.gdk_atom_intern */
EIF_POINTER F10_280 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gdk_atom_intern((gchar*) arg1, (gint) arg2);
	
	return Result;
}

/* {GTK}.gdk_atom_name */
EIF_POINTER F10_281 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gdk_atom_name((GdkAtom) arg1);
	
	return Result;
}

/* {GTK}.gdk_colormap_alloc_color */
EIF_BOOLEAN F10_282 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2, EIF_BOOLEAN arg3, EIF_BOOLEAN arg4)
{
	GTCX
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	
	Result = (EIF_BOOLEAN) EIF_TEST(gdk_colormap_alloc_color((GdkColormap*) arg1, (GdkColor*) arg2, (gboolean) arg3, (gboolean) arg4));
	
	return Result;
}

/* {GTK}.gdk_cursor_new */
EIF_POINTER F10_284 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gdk_cursor_new((GdkCursorType) arg1);
	
	return Result;
}

/* {GTK}.gdk_selection_property_get */
EIF_INTEGER_32 F10_285 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER* arg2, EIF_POINTER arg3, EIF_INTEGER_32* arg4)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	Result = (EIF_INTEGER_32) gdk_selection_property_get((GdkWindow*) arg1, (guchar**) arg2, (GdkAtom*) arg3, (gint*) arg4);
	
	return Result;
}

/* {GTK}.gdk_drag_get_selection */
EIF_POINTER F10_286 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gdk_drag_get_selection((GdkDragContext*) arg1);
	
	return Result;
}

/* {GTK}.gdk_drag_context_get_source_window */
EIF_POINTER F10_288 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	
	Result = inline_F10_288 ((EIF_POINTER) arg1);
	return Result;
}

/* {GTK}.gdk_drag_context_struct_dest_window */
EIF_POINTER F10_289 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) (((GdkDragContext *)arg1)->dest_window);
	
	return Result;
}

/* {GTK}.gdk_drag_context_list_targets */
EIF_POINTER F10_291 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	
	Result = inline_F10_291 ((EIF_POINTER) arg1);
	return Result;
}

/* {GTK}.gdk_selection_convert */
void F10_292 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2, EIF_POINTER arg3, EIF_NATURAL_32 arg4)
{
	GTCX
	
	gdk_selection_convert((GdkWindow*) arg1, (GdkAtom) arg2, (GdkAtom) arg3, (guint32) arg4);
	
}

/* {GTK}.gdk_draw_arc */
void F10_293 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2, EIF_INTEGER_32 arg3, EIF_INTEGER_32 arg4, EIF_INTEGER_32 arg5, EIF_INTEGER_32 arg6, EIF_INTEGER_32 arg7, EIF_INTEGER_32 arg8, EIF_INTEGER_32 arg9)
{
	GTCX
	
	gdk_draw_arc((GdkDrawable*) arg1, (GdkGC*) arg2, (gint) arg3, (gint) arg4, (gint) arg5, (gint) arg6, (gint) arg7, (gint) arg8, (gint) arg9);
	
}

/* {GTK}.gdk_draw_line */
void F10_297 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2, EIF_INTEGER_32 arg3, EIF_INTEGER_32 arg4, EIF_INTEGER_32 arg5, EIF_INTEGER_32 arg6)
{
	GTCX
	
	gdk_draw_line((GdkDrawable*) arg1, (GdkGC*) arg2, (gint) arg3, (gint) arg4, (gint) arg5, (gint) arg6);
	
}

/* {GTK}.gdk_draw_lines */
void F10_298 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2, EIF_POINTER arg3, EIF_INTEGER_32 arg4)
{
	GTCX
	
	gdk_draw_lines((GdkDrawable*) arg1, (GdkGC*) arg2, (GdkPoint*) arg3, (gint) arg4);
	
}

/* {GTK}.gdk_draw_point */
void F10_300 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2, EIF_INTEGER_32 arg3, EIF_INTEGER_32 arg4)
{
	GTCX
	
	gdk_draw_point((GdkDrawable*) arg1, (GdkGC*) arg2, (gint) arg3, (gint) arg4);
	
}

/* {GTK}.gdk_draw_polygon */
void F10_302 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2, EIF_INTEGER_32 arg3, EIF_POINTER arg4, EIF_INTEGER_32 arg5)
{
	GTCX
	
	gdk_draw_polygon((GdkDrawable*) arg1, (GdkGC*) arg2, (gint) arg3, (GdkPoint*) arg4, (gint) arg5);
	
}

/* {GTK}.gdk_draw_rectangle */
void F10_303 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2, EIF_INTEGER_32 arg3, EIF_INTEGER_32 arg4, EIF_INTEGER_32 arg5, EIF_INTEGER_32 arg6, EIF_INTEGER_32 arg7)
{
	GTCX
	
	gdk_draw_rectangle((GdkDrawable*) arg1, (GdkGC*) arg2, (gint) arg3, (gint) arg4, (gint) arg5, (gint) arg6, (gint) arg7);
	
}

/* {GTK}.gdk_drop_finish */
void F10_311 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_BOOLEAN arg2, EIF_NATURAL_32 arg3)
{
	GTCX
	
	gdk_drop_finish((GdkDragContext*) arg1, (gboolean) arg2, (guint32) arg3);
	
}

/* {GTK}.gtk_drag_finish */
void F10_312 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_BOOLEAN arg2, EIF_BOOLEAN arg3, EIF_NATURAL_32 arg4)
{
	GTCX
	
	gtk_drag_finish((GdkDragContext*) arg1, (gboolean) arg2, (gboolean) arg3, (guint32) arg4);
	
}

/* {GTK}.gdk_error_trap_push */
void F10_314 (EIF_REFERENCE Current)
{
	GTCX
	
	gdk_error_trap_push();
	
}

/* {GTK}.gdk_event_free */
void F10_315 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	
	gdk_event_free((GdkEvent*) arg1);
	
}

/* {GTK}.gdk_event_get */
EIF_POINTER F10_316 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gdk_event_get();
	
	return Result;
}

/* {GTK}.gdk_flush */
void F10_318 (EIF_REFERENCE Current)
{
	GTCX
	
	gdk_flush();
	
}

/* {GTK}.gdk_gc_get_values */
void F10_321 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	
	gdk_gc_get_values((GdkGC*) arg1, (GdkGCValues*) arg2);
	
}

/* {GTK}.gdk_gc_new */
EIF_POINTER F10_322 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gdk_gc_new((GdkWindow*) arg1);
	
	return Result;
}

/* {GTK}.gdk_gc_set_background */
void F10_325 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	
	gdk_gc_set_background((GdkGC*) arg1, (GdkColor*) arg2);
	
}

/* {GTK}.gdk_gc_set_clip_mask */
void F10_326 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	
	gdk_gc_set_clip_mask((GdkGC*) arg1, (GdkBitmap*) arg2);
	
}

/* {GTK}.gdk_gc_set_clip_origin */
void F10_327 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2, EIF_INTEGER_32 arg3)
{
	GTCX
	
	gdk_gc_set_clip_origin((GdkGC*) arg1, (gint) arg2, (gint) arg3);
	
}

/* {GTK}.gdk_gc_set_clip_rectangle */
void F10_328 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	
	gdk_gc_set_clip_rectangle((GdkGC*) arg1, (GdkRectangle*) arg2);
	
}

/* {GTK}.gdk_gc_set_clip_region */
void F10_329 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	
	gdk_gc_set_clip_region((GdkGC*) arg1, (GdkRegion*) arg2);
	
}

/* {GTK}.gdk_gc_set_fill */
void F10_332 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	
	gdk_gc_set_fill((GdkGC*) arg1, (GdkFill) arg2);
	
}

/* {GTK}.gdk_gc_set_foreground */
void F10_334 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	
	gdk_gc_set_foreground((GdkGC*) arg1, (GdkColor*) arg2);
	
}

/* {GTK}.gdk_gc_set_function */
void F10_335 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	
	gdk_gc_set_function((GdkGC*) arg1, (GdkFunction) arg2);
	
}

/* {GTK}.gdk_gc_set_line_attributes */
void F10_336 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2, EIF_INTEGER_32 arg3, EIF_INTEGER_32 arg4, EIF_INTEGER_32 arg5)
{
	GTCX
	
	gdk_gc_set_line_attributes((GdkGC*) arg1, (gint) arg2, (GdkLineStyle) arg3, (GdkCapStyle) arg4, (GdkJoinStyle) arg5);
	
}

/* {GTK}.gdk_gc_set_subwindow */
void F10_338 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	
	gdk_gc_set_subwindow((GdkGC*) arg1, (GdkSubwindowMode) arg2);
	
}

/* {GTK}.gdk_gc_set_tile */
void F10_339 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	
	gdk_gc_set_tile((GdkGC*) arg1, (GdkPixmap*) arg2);
	
}

/* {GTK}.gdk_gc_unref */
void F10_341 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	
	gdk_gc_unref((GdkGC*) arg1);
	
}

/* {GTK}.gdk_image_new */
EIF_POINTER F10_345 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1, EIF_POINTER arg2, EIF_INTEGER_32 arg3, EIF_INTEGER_32 arg4)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gdk_image_new((GdkImageType) arg1, (GdkVisual*) arg2, (gint) arg3, (gint) arg4);
	
	return Result;
}

/* {GTK}.gdk_keyboard_grab */
EIF_INTEGER_32 F10_346 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_BOOLEAN arg2, EIF_INTEGER_32 arg3)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	Result = (EIF_INTEGER_32) gdk_keyboard_grab((GdkWindow*) arg1, (gboolean) arg2, (guint32) arg3);
	
	return Result;
}

/* {GTK}.gdk_keyboard_ungrab */
void F10_347 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1)
{
	GTCX
	
	gdk_keyboard_ungrab((guint32) arg1);
	
}

/* {GTK}.gdk_pixmap_create_from_xpm_d */
EIF_POINTER F10_354 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2, EIF_POINTER arg3, EIF_POINTER arg4)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gdk_pixmap_create_from_xpm_d((GdkWindow*) arg1, (GdkBitmap**) arg2, (GdkColor*) arg3, (gchar**) arg4);
	
	return Result;
}

/* {GTK}.gdk_pixmap_new */
EIF_POINTER F10_355 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2, EIF_INTEGER_32 arg3, EIF_INTEGER_32 arg4)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gdk_pixmap_new((GdkWindow*) arg1, (gint) arg2, (gint) arg3, (gint) arg4);
	
	return Result;
}

/* {GTK}.gdk_pixmap_ref */
EIF_POINTER F10_356 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gdk_pixmap_ref((GdkPixmap*) arg1);
	
	return Result;
}

/* {GTK}.gdk_pixmap_unref */
void F10_357 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	
	gdk_pixmap_unref((GdkPixmap*) arg1);
	
}

/* {GTK}.gdk_pointer_grab */
EIF_INTEGER_32 F10_358 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2, EIF_INTEGER_32 arg3, EIF_POINTER arg4, EIF_POINTER arg5, EIF_INTEGER_32 arg6)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	Result = (EIF_INTEGER_32) gdk_pointer_grab((GdkWindow*) arg1, (gint) arg2, (GdkEventMask) arg3, (GdkWindow*) arg4, (GdkCursor*) arg5, (guint32) arg6);
	
	return Result;
}

/* {GTK}.gdk_pointer_ungrab */
void F10_359 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1)
{
	GTCX
	
	gdk_pointer_ungrab((guint32) arg1);
	
}

/* {GTK}.gdk_region_destroy */
void F10_360 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	
	gdk_region_destroy((GdkRegion*) arg1);
	
}

/* {GTK}.gdk_region_equal */
EIF_BOOLEAN F10_361 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	
	Result = (EIF_BOOLEAN) EIF_TEST(gdk_region_equal((GdkRegion*) arg1, (GdkRegion*) arg2));
	
	return Result;
}

/* {GTK}.gdk_region_new */
EIF_POINTER F10_363 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gdk_region_new();
	
	return Result;
}

/* {GTK}.gdk_screen_height */
EIF_INTEGER_32 F10_367 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	Result = (EIF_INTEGER_32) gdk_screen_height();
	
	return Result;
}

/* {GTK}.gdk_screen_width */
EIF_INTEGER_32 F10_368 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	Result = (EIF_INTEGER_32) gdk_screen_width();
	
	return Result;
}

/* {GTK}.gdk_set_show_events */
void F10_369 (EIF_REFERENCE Current, EIF_BOOLEAN arg1)
{
	GTCX
	
	gdk_set_show_events((gboolean) arg1);
	
}

/* {GTK}.gdk_window_at_pointer */
EIF_POINTER F10_370 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gdk_window_at_pointer((gint*) arg1, (gint*) arg2);
	
	return Result;
}

/* {GTK}.gdk_window_get_origin */
EIF_INTEGER_32 F10_371 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2, EIF_POINTER arg3)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	Result = (EIF_INTEGER_32) gdk_window_get_origin((GdkWindow*) arg1, (gint*) arg2, (gint*) arg3);
	
	return Result;
}

/* {GTK}.gdk_window_get_pointer */
EIF_POINTER F10_372 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2, EIF_POINTER arg3, EIF_POINTER arg4)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gdk_window_get_pointer((GdkWindow*) arg1, (gint*) arg2, (gint*) arg3, (GdkModifierType*) arg4);
	
	return Result;
}

/* {GTK}.gdk_window_get_size */
void F10_373 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2, EIF_POINTER arg3)
{
	GTCX
	
	gdk_window_get_size((GdkWindow*) arg1, (gint*) arg2, (gint*) arg3);
	
}

/* {GTK}.gdk_window_get_user_data */
void F10_374 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	
	gdk_window_get_user_data((GdkWindow*) arg1, (gpointer*) arg2);
	
}

/* {GTK}.gdk_window_hide */
void F10_375 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	
	gdk_window_hide((GdkWindow*) arg1);
	
}

/* {GTK}.gdk_window_move */
void F10_377 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2, EIF_INTEGER_32 arg3)
{
	GTCX
	
	gdk_window_move((GdkWindow*) arg1, (gint) arg2, (gint) arg3);
	
}

/* {GTK}.gdk_window_raise */
void F10_379 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	
	gdk_window_raise((GdkWindow*) arg1);
	
}

/* {GTK}.gdk_window_set_cursor */
void F10_380 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	
	gdk_window_set_cursor((GdkWindow*) arg1, (GdkCursor*) arg2);
	
}

/* {GTK}.gdk_window_set_decorations */
void F10_381 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	
	gdk_window_set_decorations((GdkWindow*) arg1, (GdkWMDecoration) arg2);
	
}

/* {GTK}.gdk_window_set_functions */
void F10_383 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	
	gdk_window_set_functions((GdkWindow*) arg1, (GdkWMFunction) arg2);
	
}

/* {GTK}.gdk_window_set_icon */
void F10_385 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2, EIF_POINTER arg3, EIF_POINTER arg4)
{
	GTCX
	
	gdk_window_set_icon((GdkWindow*) arg1, (GdkWindow*) arg2, (GdkPixmap*) arg3, (GdkBitmap*) arg4);
	
}

/* {GTK}.gdk_window_set_override_redirect */
void F10_387 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_BOOLEAN arg2)
{
	GTCX
	
	gdk_window_set_override_redirect((GdkWindow*) arg1, (gboolean) arg2);
	
}

/* {GTK}.gtk_adjustment_changed */
void F10_390 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	
	gtk_adjustment_changed((GtkAdjustment*) arg1);
	
}

/* {GTK}.gtk_adjustment_new */
EIF_POINTER F10_391 (EIF_REFERENCE Current, EIF_REAL_32 arg1, EIF_REAL_32 arg2, EIF_REAL_32 arg3, EIF_REAL_32 arg4, EIF_REAL_32 arg5, EIF_REAL_32 arg6)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gtk_adjustment_new((gfloat) arg1, (gfloat) arg2, (gfloat) arg3, (gfloat) arg4, (gfloat) arg5, (gfloat) arg6);
	
	return Result;
}

/* {GTK}.gtk_adjustment_set_value */
void F10_392 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_REAL_32 arg2)
{
	GTCX
	
	gtk_adjustment_set_value((GtkAdjustment*) arg1, (gfloat) arg2);
	
}

/* {GTK}.gtk_adjustment_value_changed */
void F10_393 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	
	gtk_adjustment_value_changed((GtkAdjustment*) arg1);
	
}

/* {GTK}.gtk_alignment_new */
EIF_POINTER F10_394 (EIF_REFERENCE Current, EIF_REAL_32 arg1, EIF_REAL_32 arg2, EIF_REAL_32 arg3, EIF_REAL_32 arg4)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gtk_alignment_new((gfloat) arg1, (gfloat) arg2, (gfloat) arg3, (gfloat) arg4);
	
	return Result;
}

/* {GTK}.gtk_alignment_set */
void F10_395 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_REAL_32 arg2, EIF_REAL_32 arg3, EIF_REAL_32 arg4, EIF_REAL_32 arg5)
{
	GTCX
	
	gtk_alignment_set((GtkAlignment*) arg1, (gfloat) arg2, (gfloat) arg3, (gfloat) arg4, (gfloat) arg5);
	
}

/* {GTK}.gtk_box_pack_end */
void F10_396 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2, EIF_BOOLEAN arg3, EIF_BOOLEAN arg4, EIF_INTEGER_32 arg5)
{
	GTCX
	
	gtk_box_pack_end((GtkBox*) arg1, (GtkWidget*) arg2, (gboolean) arg3, (gboolean) arg4, (guint) arg5);
	
}

/* {GTK}.gtk_box_pack_start */
void F10_397 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2, EIF_BOOLEAN arg3, EIF_BOOLEAN arg4, EIF_INTEGER_32 arg5)
{
	GTCX
	
	gtk_box_pack_start((GtkBox*) arg1, (GtkWidget*) arg2, (gboolean) arg3, (gboolean) arg4, (guint) arg5);
	
}

/* {GTK}.gtk_box_query_child_packing */
void F10_398 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2, EIF_POINTER arg3, EIF_POINTER arg4, EIF_POINTER arg5, EIF_POINTER arg6)
{
	GTCX
	
	gtk_box_query_child_packing((GtkBox*) arg1, (GtkWidget*) arg2, (gboolean*) arg3, (gboolean*) arg4, (guint*) arg5, (GtkPackType*) arg6);
	
}

/* {GTK}.gtk_box_reorder_child */
void F10_399 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2, EIF_INTEGER_32 arg3)
{
	GTCX
	
	gtk_box_reorder_child((GtkBox*) arg1, (GtkWidget*) arg2, (gint) arg3);
	
}

/* {GTK}.gtk_box_set_child_packing */
void F10_400 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2, EIF_BOOLEAN arg3, EIF_BOOLEAN arg4, EIF_INTEGER_32 arg5, EIF_INTEGER_32 arg6)
{
	GTCX
	
	gtk_box_set_child_packing((GtkBox*) arg1, (GtkWidget*) arg2, (gboolean) arg3, (gboolean) arg4, (guint) arg5, (GtkPackType) arg6);
	
}

/* {GTK}.gtk_box_set_homogeneous */
void F10_401 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_BOOLEAN arg2)
{
	GTCX
	
	gtk_box_set_homogeneous((GtkBox*) arg1, (gboolean) arg2);
	
}

/* {GTK}.gtk_box_set_spacing */
void F10_402 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	
	gtk_box_set_spacing((GtkBox*) arg1, (gint) arg2);
	
}

/* {GTK}.gtk_button_new */
EIF_POINTER F10_403 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gtk_button_new();
	
	return Result;
}

/* {GTK}.gtk_check_button_new */
EIF_POINTER F10_404 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gtk_check_button_new();
	
	return Result;
}

/* {GTK}.gtk_check_menu_item_new */
EIF_POINTER F10_405 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gtk_check_menu_item_new();
	
	return Result;
}

/* {GTK}.gtk_check_menu_item_set_active */
void F10_406 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_BOOLEAN arg2)
{
	GTCX
	
	gtk_check_menu_item_set_active((GtkCheckMenuItem*) arg1, (gboolean) arg2);
	
}

/* {GTK}.gtk_check_menu_item_set_show_toggle */
void F10_407 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_BOOLEAN arg2)
{
	GTCX
	
	gtk_check_menu_item_set_show_toggle((GtkCheckMenuItem*) arg1, (gboolean) arg2);
	
}

/* {GTK}.gtk_color_selection_dialog_new */
EIF_POINTER F10_408 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gtk_color_selection_dialog_new((gchar*) arg1);
	
	return Result;
}

/* {GTK}.gtk_container_add */
void F10_409 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	
	gtk_container_add((GtkContainer*) arg1, (GtkWidget*) arg2);
	
}

/* {GTK}.gtk_container_check_resize */
void F10_410 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	
	gtk_container_check_resize((GtkContainer*) arg1);
	
}

/* {GTK}.gtk_container_children */
EIF_POINTER F10_411 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gtk_container_children((GtkContainer*) arg1);
	
	return Result;
}

/* {GTK}.gtk_container_remove */
void F10_412 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	
	gtk_container_remove((GtkContainer*) arg1, (GtkWidget*) arg2);
	
}

/* {GTK}.gtk_container_set_border_width */
void F10_413 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	
	gtk_container_set_border_width((GtkContainer*) arg1, (guint) arg2);
	
}

/* {GTK}.gtk_drawing_area_new */
EIF_POINTER F10_414 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gtk_drawing_area_new();
	
	return Result;
}

/* {GTK}.gtk_editable_get_position */
EIF_INTEGER_32 F10_418 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	Result = (EIF_INTEGER_32) gtk_editable_get_position((GtkEditable*) arg1);
	
	return Result;
}

/* {GTK}.gtk_editable_select_region */
void F10_420 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2, EIF_INTEGER_32 arg3)
{
	GTCX
	
	gtk_editable_select_region((GtkEditable*) arg1, (gint) arg2, (gint) arg3);
	
}

/* {GTK}.gtk_editable_set_editable */
void F10_421 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_BOOLEAN arg2)
{
	GTCX
	
	gtk_editable_set_editable((GtkEditable*) arg1, (gboolean) arg2);
	
}

/* {GTK}.gtk_editable_set_position */
void F10_422 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	
	gtk_editable_set_position((GtkEditable*) arg1, (gint) arg2);
	
}

/* {GTK}.gtk_entry_append_text */
void F10_423 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	
	gtk_entry_append_text((GtkEntry*) arg1, (gchar*) arg2);
	
}

/* {GTK}.gtk_entry_get_text */
EIF_POINTER F10_424 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gtk_entry_get_text((GtkEntry*) arg1);
	
	return Result;
}

/* {GTK}.gtk_entry_new */
EIF_POINTER F10_425 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gtk_entry_new();
	
	return Result;
}

/* {GTK}.gtk_entry_set_text */
void F10_427 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	
	gtk_entry_set_text((GtkEntry*) arg1, (gchar*) arg2);
	
}

/* {GTK}.gtk_entry_set_visibility */
void F10_428 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_BOOLEAN arg2)
{
	GTCX
	
	gtk_entry_set_visibility((GtkEntry*) arg1, (gboolean) arg2);
	
}

/* {GTK}.gtk_event_box_new */
EIF_POINTER F10_429 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gtk_event_box_new();
	
	return Result;
}

/* {GTK}.gtk_is_event_box */
EIF_BOOLEAN F10_430 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	
	
	Result = (EIF_BOOLEAN) EIF_TEST(GTK_IS_EVENT_BOX((arg1)));
	return Result;
}

/* {GTK}.gtk_font_selection_dialog_get_font_name */
EIF_POINTER F10_431 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gtk_font_selection_dialog_get_font_name((GtkFontSelectionDialog*) arg1);
	
	return Result;
}

/* {GTK}.gtk_font_selection_dialog_new */
EIF_POINTER F10_432 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gtk_font_selection_dialog_new((gchar*) arg1);
	
	return Result;
}

/* {GTK}.gtk_font_selection_dialog_set_font_name */
EIF_BOOLEAN F10_433 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	
	Result = (EIF_BOOLEAN) EIF_TEST(gtk_font_selection_dialog_set_font_name((GtkFontSelectionDialog*) arg1, (gchar*) arg2));
	
	return Result;
}

/* {GTK}.gtk_frame_new */
EIF_POINTER F10_434 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gtk_frame_new((gchar*) arg1);
	
	return Result;
}

/* {GTK}.gtk_frame_set_label */
void F10_435 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	
	gtk_frame_set_label((GtkFrame*) arg1, (gchar*) arg2);
	
}

/* {GTK}.gtk_frame_set_label_align */
void F10_436 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_REAL_32 arg2, EIF_REAL_32 arg3)
{
	GTCX
	
	gtk_frame_set_label_align((GtkFrame*) arg1, (gfloat) arg2, (gfloat) arg3);
	
}

/* {GTK}.gtk_frame_set_shadow_type */
void F10_437 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	
	gtk_frame_set_shadow_type((GtkFrame*) arg1, (GtkShadowType) arg2);
	
}

/* {GTK}.gtk_get_event_widget */
EIF_POINTER F10_438 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gtk_get_event_widget((GdkEvent*) arg1);
	
	return Result;
}

/* {GTK}.gtk_grab_add */
void F10_439 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	
	gtk_grab_add((GtkWidget*) arg1);
	
}

/* {GTK}.gtk_grab_get_current */
EIF_POINTER F10_440 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gtk_grab_get_current();
	
	return Result;
}

/* {GTK}.gtk_grab_remove */
void F10_441 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	
	gtk_grab_remove((GtkWidget*) arg1);
	
}

/* {GTK}.gtk_hbox_new */
EIF_POINTER F10_442 (EIF_REFERENCE Current, EIF_BOOLEAN arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gtk_hbox_new((gboolean) arg1, (gint) arg2);
	
	return Result;
}

/* {GTK}.gtk_hpaned_new */
EIF_POINTER F10_443 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gtk_hpaned_new();
	
	return Result;
}

/* {GTK}.gtk_hscale_new */
EIF_POINTER F10_444 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gtk_hscale_new((GtkAdjustment*) arg1);
	
	return Result;
}

/* {GTK}.gtk_hscrollbar_new */
EIF_POINTER F10_445 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gtk_hscrollbar_new((GtkAdjustment*) arg1);
	
	return Result;
}

/* {GTK}.gtk_hseparator_new */
EIF_POINTER F10_446 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gtk_hseparator_new();
	
	return Result;
}

/* {GTK}.gtk_label_new */
EIF_POINTER F10_447 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gtk_label_new((gchar*) arg1);
	
	return Result;
}

/* {GTK}.gtk_label_set_justify */
void F10_448 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	
	gtk_label_set_justify((GtkLabel*) arg1, (GtkJustification) arg2);
	
}

/* {GTK}.gtk_label_set_text */
void F10_449 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	
	gtk_label_set_text((GtkLabel*) arg1, (gchar*) arg2);
	
}

/* {GTK}.gtk_main_do_event */
void F10_450 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	
	gtk_main_do_event((GdkEvent*) arg1);
	
}

/* {GTK}.gtk_menu_bar_new */
EIF_POINTER F10_451 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gtk_menu_bar_new();
	
	return Result;
}

/* {GTK}.gtk_menu_item_deselect */
void F10_453 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	
	gtk_menu_item_deselect((GtkMenuItem*) arg1);
	
}

/* {GTK}.gtk_menu_item_new */
EIF_POINTER F10_454 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gtk_menu_item_new();
	
	return Result;
}

/* {GTK}.gtk_menu_item_set_submenu */
void F10_456 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	
	gtk_menu_item_set_submenu((GtkMenuItem*) arg1, (GtkWidget*) arg2);
	
}

/* {GTK}.gtk_menu_new */
EIF_POINTER F10_457 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gtk_menu_new();
	
	return Result;
}

/* {GTK}.gtk_menu_shell_cancel */
void F10_459 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	
	
	inline_F10_459 ((EIF_POINTER) arg1);
}

/* {GTK}.gtk_menu_shell_deactivate */
void F10_460 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	
	gtk_menu_shell_deactivate((GtkMenuShell*) arg1);
	
}

/* {GTK}.gtk_menu_shell_insert */
void F10_462 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2, EIF_INTEGER_32 arg3)
{
	GTCX
	
	gtk_menu_shell_insert((GtkMenuShell*) arg1, (GtkWidget*) arg2, (gint) arg3);
	
}

/* {GTK}.gtk_misc_set_alignment */
void F10_463 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_REAL_32 arg2, EIF_REAL_32 arg3)
{
	GTCX
	
	gtk_misc_set_alignment((GtkMisc*) arg1, (gfloat) arg2, (gfloat) arg3);
	
}

/* {GTK}.gtk_misc_set_padding */
void F10_464 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2, EIF_INTEGER_32 arg3)
{
	GTCX
	
	gtk_misc_set_padding((GtkMisc*) arg1, (gint) arg2, (gint) arg3);
	
}

/* {GTK}.gtk_notebook_get_current_page */
EIF_INTEGER_32 F10_465 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	Result = (EIF_INTEGER_32) gtk_notebook_get_current_page((GtkNotebook*) arg1);
	
	return Result;
}

/* {GTK}.gtk_notebook_get_nth_page */
EIF_POINTER F10_466 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gtk_notebook_get_nth_page((GtkNotebook*) arg1, (gint) arg2);
	
	return Result;
}

/* {GTK}.gtk_notebook_get_tab_label */
EIF_POINTER F10_467 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gtk_notebook_get_tab_label((GtkNotebook*) arg1, (GtkWidget*) arg2);
	
	return Result;
}

/* {GTK}.gtk_notebook_new */
EIF_POINTER F10_468 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gtk_notebook_new();
	
	return Result;
}

/* {GTK}.gtk_notebook_page_num */
EIF_INTEGER_32 F10_469 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	Result = (EIF_INTEGER_32) gtk_notebook_page_num((GtkNotebook*) arg1, (GtkWidget*) arg2);
	
	return Result;
}

/* {GTK}.gtk_notebook_reorder_child */
void F10_470 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2, EIF_INTEGER_32 arg3)
{
	GTCX
	
	gtk_notebook_reorder_child((GtkNotebook*) arg1, (GtkWidget*) arg2, (gint) arg3);
	
}

/* {GTK}.gtk_notebook_set_page */
void F10_471 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	
	gtk_notebook_set_page((GtkNotebook*) arg1, (gint) arg2);
	
}

/* {GTK}.gtk_notebook_set_scrollable */
void F10_472 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_BOOLEAN arg2)
{
	GTCX
	
	gtk_notebook_set_scrollable((GtkNotebook*) arg1, (gboolean) arg2);
	
}

/* {GTK}.gtk_notebook_set_show_border */
void F10_473 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_BOOLEAN arg2)
{
	GTCX
	
	gtk_notebook_set_show_border((GtkNotebook*) arg1, (gboolean) arg2);
	
}

/* {GTK}.gtk_notebook_set_tab_label */
void F10_474 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2, EIF_POINTER arg3)
{
	GTCX
	
	gtk_notebook_set_tab_label((GtkNotebook*) arg1, (GtkWidget*) arg2, (GtkWidget*) arg3);
	
}

/* {GTK}.gtk_notebook_set_tab_pos */
void F10_475 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	
	gtk_notebook_set_tab_pos((GtkNotebook*) arg1, (GtkPositionType) arg2);
	
}

/* {GTK}.gtk_object_get_data */
EIF_POINTER F10_476 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gtk_object_get_data((GtkObject*) arg1, (gchar*) arg2);
	
	return Result;
}

/* {GTK}.gtk_object_sink */
void F10_477 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	
	gtk_object_sink((GtkObject*) arg1);
	
}

/* {GTK}.gtk_paned_pack1 */
void F10_478 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2, EIF_BOOLEAN arg3, EIF_BOOLEAN arg4)
{
	GTCX
	
	gtk_paned_pack1((GtkPaned*) arg1, (GtkWidget*) arg2, (gboolean) arg3, (gboolean) arg4);
	
}

/* {GTK}.gtk_paned_pack2 */
void F10_479 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2, EIF_BOOLEAN arg3, EIF_BOOLEAN arg4)
{
	GTCX
	
	gtk_paned_pack2((GtkPaned*) arg1, (GtkWidget*) arg2, (gboolean) arg3, (gboolean) arg4);
	
}

/* {GTK}.gtk_paned_set_position */
void F10_480 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	
	gtk_paned_set_position((GtkPaned*) arg1, (gint) arg2);
	
}

/* {GTK}.gtk_pixmap_new */
EIF_POINTER F10_481 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gtk_pixmap_new((GdkPixmap*) arg1, (GdkBitmap*) arg2);
	
	return Result;
}

/* {GTK}.gtk_progress_bar_new_with_adjustment */
EIF_POINTER F10_482 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gtk_progress_bar_new_with_adjustment((GtkAdjustment*) arg1);
	
	return Result;
}

/* {GTK}.gtk_progress_bar_set_bar_style */
void F10_483 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	
	gtk_progress_bar_set_bar_style((GtkProgressBar*) arg1, (GtkProgressBarStyle) arg2);
	
}

/* {GTK}.gtk_progress_bar_set_orientation */
void F10_484 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	
	gtk_progress_bar_set_orientation((GtkProgressBar*) arg1, (GtkProgressBarOrientation) arg2);
	
}

/* {GTK}.gtk_propagate_event */
void F10_485 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	
	gtk_propagate_event((GtkWidget*) arg1, (GdkEvent*) arg2);
	
}

/* {GTK}.gtk_radio_button_group */
EIF_POINTER F10_486 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gtk_radio_button_group((GtkRadioButton*) arg1);
	
	return Result;
}

/* {GTK}.gtk_radio_button_new */
EIF_POINTER F10_487 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gtk_radio_button_new((GSList*) arg1);
	
	return Result;
}

/* {GTK}.gtk_radio_button_set_group */
void F10_488 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	
	gtk_radio_button_set_group((GtkRadioButton*) arg1, (GSList*) arg2);
	
}

/* {GTK}.gtk_radio_menu_item_group */
EIF_POINTER F10_489 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gtk_radio_menu_item_group((GtkRadioMenuItem*) arg1);
	
	return Result;
}

/* {GTK}.gtk_radio_menu_item_new */
EIF_POINTER F10_490 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gtk_radio_menu_item_new((GSList*) arg1);
	
	return Result;
}

/* {GTK}.gtk_radio_menu_item_set_group */
void F10_492 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	
	gtk_radio_menu_item_set_group((GtkRadioMenuItem*) arg1, (GSList*) arg2);
	
}

/* {GTK}.gtk_rc_get_style */
EIF_POINTER F10_493 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gtk_rc_get_style((GtkWidget*) arg1);
	
	return Result;
}

/* {GTK}.gtk_scale_set_digits */
void F10_495 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	
	gtk_scale_set_digits((GtkScale*) arg1, (gint) arg2);
	
}

/* {GTK}.gtk_scale_set_draw_value */
void F10_496 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_BOOLEAN arg2)
{
	GTCX
	
	gtk_scale_set_draw_value((GtkScale*) arg1, (gboolean) arg2);
	
}

/* {GTK}.gtk_scrolled_window_get_hadjustment */
EIF_POINTER F10_497 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gtk_scrolled_window_get_hadjustment((GtkScrolledWindow*) arg1);
	
	return Result;
}

/* {GTK}.gtk_scrolled_window_get_vadjustment */
EIF_POINTER F10_498 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gtk_scrolled_window_get_vadjustment((GtkScrolledWindow*) arg1);
	
	return Result;
}

/* {GTK}.gtk_scrolled_window_new */
EIF_POINTER F10_499 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gtk_scrolled_window_new((GtkAdjustment*) arg1, (GtkAdjustment*) arg2);
	
	return Result;
}

/* {GTK}.gtk_scrolled_window_set_policy */
void F10_500 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2, EIF_INTEGER_32 arg3)
{
	GTCX
	
	gtk_scrolled_window_set_policy((GtkScrolledWindow*) arg1, (GtkPolicyType) arg2, (GtkPolicyType) arg3);
	
}

/* {GTK}.gtk_set_locale */
EIF_POINTER F10_501 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gtk_set_locale();
	
	return Result;
}

/* {GTK}.gtk_spin_button_new */
EIF_POINTER F10_502 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_REAL_32 arg2, EIF_INTEGER_32 arg3)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gtk_spin_button_new((GtkAdjustment*) arg1, (gfloat) arg2, (guint) arg3);
	
	return Result;
}

/* {GTK}.gtk_spin_button_update */
void F10_503 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	
	gtk_spin_button_update((GtkSpinButton*) arg1);
	
}

/* {GTK}.gtk_style_copy */
EIF_POINTER F10_504 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gtk_style_copy((GtkStyle*) arg1);
	
	return Result;
}

/* {GTK}.gtk_style_unref */
void F10_505 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	
	gtk_style_unref((GtkStyle*) arg1);
	
}

/* {GTK}.gtk_table_attach_defaults */
void F10_506 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2, EIF_INTEGER_32 arg3, EIF_INTEGER_32 arg4, EIF_INTEGER_32 arg5, EIF_INTEGER_32 arg6)
{
	GTCX
	
	gtk_table_attach_defaults((GtkTable*) arg1, (GtkWidget*) arg2, (guint) arg3, (guint) arg4, (guint) arg5, (guint) arg6);
	
}

/* {GTK}.gtk_table_new */
EIF_POINTER F10_507 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1, EIF_INTEGER_32 arg2, EIF_BOOLEAN arg3)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gtk_table_new((guint) arg1, (guint) arg2, (gboolean) arg3);
	
	return Result;
}

/* {GTK}.gtk_table_resize */
void F10_508 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2, EIF_INTEGER_32 arg3)
{
	GTCX
	
	gtk_table_resize((GtkTable*) arg1, (guint) arg2, (guint) arg3);
	
}

/* {GTK}.gtk_table_set_col_spacings */
void F10_509 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	
	gtk_table_set_col_spacings((GtkTable*) arg1, (guint) arg2);
	
}

/* {GTK}.gtk_table_set_homogeneous */
void F10_510 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_BOOLEAN arg2)
{
	GTCX
	
	gtk_table_set_homogeneous((GtkTable*) arg1, (gboolean) arg2);
	
}

/* {GTK}.gtk_table_set_row_spacings */
void F10_511 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	
	gtk_table_set_row_spacings((GtkTable*) arg1, (guint) arg2);
	
}

/* {GTK}.gtk_timeout_remove */
void F10_513 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1)
{
	GTCX
	
	gtk_timeout_remove((guint) arg1);
	
}

/* {GTK}.gtk_toggle_button_get_active */
EIF_BOOLEAN F10_514 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	
	Result = (EIF_BOOLEAN) EIF_TEST(gtk_toggle_button_get_active((GtkToggleButton*) arg1));
	
	return Result;
}

/* {GTK}.gtk_toggle_button_new */
EIF_POINTER F10_515 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gtk_toggle_button_new();
	
	return Result;
}

/* {GTK}.gtk_toggle_button_set_active */
void F10_516 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_BOOLEAN arg2)
{
	GTCX
	
	gtk_toggle_button_set_active((GtkToggleButton*) arg1, (gboolean) arg2);
	
}

/* {GTK}.gtk_tooltips_data_get */
EIF_POINTER F10_517 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gtk_tooltips_data_get((GtkWidget*) arg1);
	
	return Result;
}

/* {GTK}.gtk_tooltips_force_window */
void F10_518 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	
	gtk_tooltips_force_window((GtkTooltips*) arg1);
	
}

/* {GTK}.gtk_tooltips_new */
EIF_POINTER F10_519 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gtk_tooltips_new();
	
	return Result;
}

/* {GTK}.gtk_tooltips_set_delay */
void F10_520 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	
	gtk_tooltips_set_delay((GtkTooltips*) arg1, (guint) arg2);
	
}

/* {GTK}.gtk_tooltips_set_tip */
void F10_521 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2, EIF_POINTER arg3, EIF_POINTER arg4)
{
	GTCX
	
	gtk_tooltips_set_tip((GtkTooltips*) arg1, (GtkWidget*) arg2, (gchar*) arg3, (gchar*) arg4);
	
}

/* {GTK}.gtk_vbox_new */
EIF_POINTER F10_522 (EIF_REFERENCE Current, EIF_BOOLEAN arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gtk_vbox_new((gboolean) arg1, (gint) arg2);
	
	return Result;
}

/* {GTK}.gtk_viewport_get_hadjustment */
EIF_POINTER F10_523 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gtk_viewport_get_hadjustment((GtkViewport*) arg1);
	
	return Result;
}

/* {GTK}.gtk_viewport_get_vadjustment */
EIF_POINTER F10_524 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gtk_viewport_get_vadjustment((GtkViewport*) arg1);
	
	return Result;
}

/* {GTK}.gtk_viewport_new */
EIF_POINTER F10_525 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gtk_viewport_new((GtkAdjustment*) arg1, (GtkAdjustment*) arg2);
	
	return Result;
}

/* {GTK}.gtk_viewport_set_shadow_type */
void F10_526 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	
	gtk_viewport_set_shadow_type((GtkViewport*) arg1, (GtkShadowType) arg2);
	
}

/* {GTK}.gtk_vpaned_new */
EIF_POINTER F10_527 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gtk_vpaned_new();
	
	return Result;
}

/* {GTK}.gtk_vscale_new */
EIF_POINTER F10_528 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gtk_vscale_new((GtkAdjustment*) arg1);
	
	return Result;
}

/* {GTK}.gtk_vscrollbar_new */
EIF_POINTER F10_529 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gtk_vscrollbar_new((GtkAdjustment*) arg1);
	
	return Result;
}

/* {GTK}.gtk_vseparator_new */
EIF_POINTER F10_530 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gtk_vseparator_new();
	
	return Result;
}

/* {GTK}.gtk_widget_add_events */
void F10_531 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	
	gtk_widget_add_events((GtkWidget*) arg1, (gint) arg2);
	
}

/* {GTK}.gtk_widget_destroy */
void F10_532 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	
	gtk_widget_destroy((GtkWidget*) arg1);
	
}

/* {GTK}.gtk_widget_event */
EIF_BOOLEAN F10_533 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	
	Result = (EIF_BOOLEAN) EIF_TEST(gtk_widget_event((GtkWidget*) arg1, (GdkEvent*) arg2));
	
	return Result;
}

/* {GTK}.gtk_widget_get_toplevel */
EIF_POINTER F10_534 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gtk_widget_get_toplevel((GtkWidget*) arg1);
	
	return Result;
}

/* {GTK}.gtk_widget_grab_focus */
void F10_536 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	
	gtk_widget_grab_focus((GtkWidget*) arg1);
	
}

/* {GTK}.gtk_widget_is_focus */
EIF_BOOLEAN F10_537 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	
	Result = (EIF_BOOLEAN) EIF_TEST(gtk_widget_is_focus((GtkWidget*) arg1));
	
	return Result;
}

/* {GTK}.gtk_widget_hide */
void F10_538 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	
	gtk_widget_hide((GtkWidget*) arg1);
	
}

/* {GTK}.gtk_widget_queue_draw */
void F10_539 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	
	gtk_widget_queue_draw((GtkWidget*) arg1);
	
}

/* {GTK}.gtk_widget_queue_resize */
void F10_541 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	
	gtk_widget_queue_resize((GtkWidget*) arg1);
	
}

/* {GTK}.gtk_widget_realize */
void F10_542 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	
	gtk_widget_realize((GtkWidget*) arg1);
	
}

/* {GTK}.gtk_widget_set_default_colormap */
void F10_543 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	
	gtk_widget_set_default_colormap((GdkColormap*) arg1);
	
}

/* {GTK}.gtk_widget_set_name */
void F10_544 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	
	gtk_widget_set_name((GtkWidget*) arg1, (gchar*) arg2);
	
}

/* {GTK}.gtk_widget_set_sensitive */
void F10_545 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_BOOLEAN arg2)
{
	GTCX
	
	gtk_widget_set_sensitive((GtkWidget*) arg1, (gboolean) arg2);
	
}

/* {GTK}.gtk_widget_set_style */
void F10_546 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	
	gtk_widget_set_style((GtkWidget*) arg1, (GtkStyle*) arg2);
	
}

/* {GTK}.gtk_widget_set_uposition */
void F10_547 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2, EIF_INTEGER_32 arg3)
{
	GTCX
	
	gtk_widget_set_uposition((GtkWidget*) arg1, (gint) arg2, (gint) arg3);
	
}

/* {GTK}.gtk_widget_set_usize */
void F10_548 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2, EIF_INTEGER_32 arg3)
{
	GTCX
	
	gtk_widget_set_usize((GtkWidget*) arg1, (gint) arg2, (gint) arg3);
	
}

/* {GTK}.gtk_widget_show */
void F10_549 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	
	gtk_widget_show((GtkWidget*) arg1);
	
}

/* {GTK}.gtk_widget_size_request */
void F10_552 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	
	gtk_widget_size_request((GtkWidget*) arg1, (GtkRequisition*) arg2);
	
}

/* {GTK}.gtk_window_new */
EIF_POINTER F10_553 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) gtk_window_new((GtkWindowType) arg1);
	
	return Result;
}

/* {GTK}.gtk_window_set_default_size */
void F10_554 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2, EIF_INTEGER_32 arg3)
{
	GTCX
	
	gtk_window_set_default_size((GtkWindow*) arg1, (gint) arg2, (gint) arg3);
	
}

/* {GTK}.gtk_window_get_default_size */
void F10_556 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2, EIF_POINTER arg3)
{
	GTCX
	
	gtk_window_get_default_size((GtkWindow*) arg1, (EIF_INTEGER_32*) arg2, (EIF_INTEGER_32*) arg3);
	
}

/* {GTK}.gtk_window_set_focus */
void F10_557 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	
	gtk_window_set_focus((GtkWindow*) arg1, (GtkWidget*) arg2);
	
}

/* {GTK}.gtk_window_set_geometry_hints */
void F10_559 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2, EIF_POINTER arg3, EIF_INTEGER_32 arg4)
{
	GTCX
	
	gtk_window_set_geometry_hints((GtkWindow*) arg1, (GtkWidget*) arg2, (GdkGeometry*) arg3, (GdkWindowHints) arg4);
	
}

/* {GTK}.gtk_window_set_position */
void F10_561 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	
	gtk_window_set_position((GtkWindow*) arg1, (GtkWindowPosition) arg2);
	
}

/* {GTK}.gtk_window_set_title */
void F10_562 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	
	gtk_window_set_title((GtkWindow*) arg1, (gchar*) arg2);
	
}

/* {GTK}.gtk_window_set_transient_for */
void F10_563 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	
	gtk_window_set_transient_for((GtkWindow*) arg1, (GtkWindow*) arg2);
	
}

/* {GTK}.gtk_window_set_accept_focus */
void F10_564 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_BOOLEAN arg2)
{
	GTCX
	
	gtk_window_set_accept_focus((GtkWindow*) arg1, (gboolean) arg2);
	
}

/* {GTK}.gdk_color_struct_blue */
EIF_INTEGER_32 F10_565 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	Result = (EIF_INTEGER_32) (((GdkColor *)arg1)->blue);
	
	return Result;
}

/* {GTK}.gdk_color_struct_green */
EIF_INTEGER_32 F10_566 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	Result = (EIF_INTEGER_32) (((GdkColor *)arg1)->green);
	
	return Result;
}

/* {GTK}.gdk_color_struct_red */
EIF_INTEGER_32 F10_568 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	Result = (EIF_INTEGER_32) (((GdkColor *)arg1)->red);
	
	return Result;
}

/* {GTK}.gdk_event_focus_struct_in */
EIF_INTEGER_8 F10_569 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_INTEGER_8 Result = ((EIF_INTEGER_8) 0);
	
	
	Result = (EIF_INTEGER_8) (((GdkEventFocus *)arg1)->in);
	
	return Result;
}

/* {GTK}.gdk_event_any_struct_send_event */
EIF_INTEGER_8 F10_570 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_INTEGER_8 Result = ((EIF_INTEGER_8) 0);
	
	
	Result = (EIF_INTEGER_8) (((GdkEventAny *)arg1)->send_event);
	
	return Result;
}

/* {GTK}.gdk_event_any_struct_window */
EIF_POINTER F10_571 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) (((GdkEventAny *)arg1)->window);
	
	return Result;
}

/* {GTK}.gdk_event_any_struct_type */
EIF_INTEGER_8 F10_572 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_INTEGER_8 Result = ((EIF_INTEGER_8) 0);
	
	
	Result = (EIF_INTEGER_8) (((GdkEventAny *)arg1)->type);
	
	return Result;
}

/* {GTK}.gdk_event_button_struct_button */
EIF_INTEGER_32 F10_573 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	Result = (EIF_INTEGER_32) (((GdkEventButton *)arg1)->button);
	
	return Result;
}

/* {GTK}.gdk_event_button_struct_window */
EIF_POINTER F10_574 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) (((GdkEventButton *)arg1)->window);
	
	return Result;
}

/* {GTK}.gdk_event_button_struct_state */
EIF_NATURAL_32 F10_575 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_NATURAL_32 Result = ((EIF_NATURAL_32) 0);
	
	
	Result = (EIF_NATURAL_32) (((GdkEventButton *)arg1)->state);
	
	return Result;
}

/* {GTK}.gdk_event_button_struct_type */
EIF_INTEGER_32 F10_576 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	Result = (EIF_INTEGER_32) (((GdkEventButton *)arg1)->type);
	
	return Result;
}

/* {GTK}.gdk_event_button_struct_x */
EIF_REAL_64 F10_577 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_REAL_64 Result = ((EIF_REAL_64) 0);
	
	
	Result = (EIF_REAL_64) (((GdkEventButton *)arg1)->x);
	
	return Result;
}

/* {GTK}.gdk_event_button_struct_x_root */
EIF_REAL_64 F10_578 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_REAL_64 Result = ((EIF_REAL_64) 0);
	
	
	Result = (EIF_REAL_64) (((GdkEventButton *)arg1)->x_root);
	
	return Result;
}

/* {GTK}.gdk_event_scroll_struct_x_root */
EIF_REAL_64 F10_579 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_REAL_64 Result = ((EIF_REAL_64) 0);
	
	
	Result = (EIF_REAL_64) (((GdkEventScroll *)arg1)->x_root);
	
	return Result;
}

/* {GTK}.gdk_event_button_struct_y */
EIF_REAL_64 F10_580 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_REAL_64 Result = ((EIF_REAL_64) 0);
	
	
	Result = (EIF_REAL_64) (((GdkEventButton *)arg1)->y);
	
	return Result;
}

/* {GTK}.gdk_event_button_struct_y_root */
EIF_REAL_64 F10_581 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_REAL_64 Result = ((EIF_REAL_64) 0);
	
	
	Result = (EIF_REAL_64) (((GdkEventButton *)arg1)->y_root);
	
	return Result;
}

/* {GTK}.gdk_event_scroll_struct_y_root */
EIF_REAL_64 F10_582 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_REAL_64 Result = ((EIF_REAL_64) 0);
	
	
	Result = (EIF_REAL_64) (((GdkEventScroll *)arg1)->y_root);
	
	return Result;
}

/* {GTK}.gdk_event_configure_struct_height */
EIF_INTEGER_32 F10_583 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	Result = (EIF_INTEGER_32) (((GdkEventConfigure *)arg1)->height);
	
	return Result;
}

/* {GTK}.gdk_event_configure_struct_width */
EIF_INTEGER_32 F10_584 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	Result = (EIF_INTEGER_32) (((GdkEventConfigure *)arg1)->width);
	
	return Result;
}

/* {GTK}.gdk_event_setting_struct_name */
EIF_POINTER F10_585 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) (((GdkEventSetting *)arg1)->name);
	
	return Result;
}

/* {GTK}.gdk_event_configure_struct_x */
EIF_INTEGER_32 F10_586 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	Result = (EIF_INTEGER_32) (((GdkEventConfigure *)arg1)->x);
	
	return Result;
}

/* {GTK}.gdk_event_configure_struct_y */
EIF_INTEGER_32 F10_587 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	Result = (EIF_INTEGER_32) (((GdkEventConfigure *)arg1)->y);
	
	return Result;
}

/* {GTK}.gdk_event_crossing_struct_mode */
EIF_INTEGER_32 F10_589 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	Result = (EIF_INTEGER_32) (((GdkEventCrossing *)arg1)->mode);
	
	return Result;
}

/* {GTK}.gdk_event_expose_struct_area */
EIF_POINTER F10_592 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) &(((GdkEventExpose *)arg1)->area);
	
	return Result;
}

/* {GTK}.gdk_event_key_struct_keyval */
EIF_NATURAL_32 F10_593 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_NATURAL_32 Result = ((EIF_NATURAL_32) 0);
	
	
	Result = (EIF_NATURAL_32) (((GdkEventKey *)arg1)->keyval);
	
	return Result;
}

/* {GTK}.gdk_event_key_struct_state */
EIF_NATURAL_32 F10_594 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_NATURAL_32 Result = ((EIF_NATURAL_32) 0);
	
	
	Result = (EIF_NATURAL_32) (((GdkEventKey *)arg1)->state);
	
	return Result;
}

/* {GTK}.gdk_event_key_struct_type */
EIF_INTEGER_32 F10_595 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	Result = (EIF_INTEGER_32) (((GdkEventKey *)arg1)->type);
	
	return Result;
}

/* {GTK}.gdk_event_motion_struct_is_hint */
EIF_INTEGER_32 F10_596 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	Result = (EIF_INTEGER_32) (((GdkEventMotion *)arg1)->is_hint);
	
	return Result;
}

/* {GTK}.gdk_event_motion_struct_state */
EIF_NATURAL_32 F10_597 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_NATURAL_32 Result = ((EIF_NATURAL_32) 0);
	
	
	Result = (EIF_NATURAL_32) (((GdkEventMotion *)arg1)->state);
	
	return Result;
}

/* {GTK}.gdk_event_motion_struct_window */
EIF_POINTER F10_598 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) (((GdkEventMotion *)arg1)->window);
	
	return Result;
}

/* {GTK}.gdk_event_motion_struct_x */
EIF_REAL_64 F10_599 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_REAL_64 Result = ((EIF_REAL_64) 0);
	
	
	Result = (EIF_REAL_64) (((GdkEventMotion *)arg1)->x);
	
	return Result;
}

/* {GTK}.gdk_event_motion_struct_x_root */
EIF_REAL_64 F10_600 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_REAL_64 Result = ((EIF_REAL_64) 0);
	
	
	Result = (EIF_REAL_64) (((GdkEventMotion *)arg1)->x_root);
	
	return Result;
}

/* {GTK}.gdk_event_motion_struct_y */
EIF_REAL_64 F10_601 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_REAL_64 Result = ((EIF_REAL_64) 0);
	
	
	Result = (EIF_REAL_64) (((GdkEventMotion *)arg1)->y);
	
	return Result;
}

/* {GTK}.gdk_event_motion_struct_y_root */
EIF_REAL_64 F10_602 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_REAL_64 Result = ((EIF_REAL_64) 0);
	
	
	Result = (EIF_REAL_64) (((GdkEventMotion *)arg1)->y_root);
	
	return Result;
}

/* {GTK}.gdk_event_dnd_struct_context */
EIF_POINTER F10_603 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) (((GdkEventDND *)arg1)->context);
	
	return Result;
}

/* {GTK}.gdk_event_dnd_struct_time */
EIF_NATURAL_32 F10_604 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_NATURAL_32 Result = ((EIF_NATURAL_32) 0);
	
	
	Result = (EIF_NATURAL_32) (((GdkEventDND *)arg1)->time);
	
	return Result;
}

/* {GTK}.gdk_font_struct_ascent */
EIF_INTEGER_32 F10_605 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	Result = (EIF_INTEGER_32) (((GdkFont *)arg1)->ascent);
	
	return Result;
}

/* {GTK}.gdk_gcvalues_struct_line_width */
EIF_INTEGER_32 F10_609 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	Result = (EIF_INTEGER_32) (((GdkGCValues *)arg1)->line_width);
	
	return Result;
}

/* {GTK}.gdk_rectangle_struct_height */
EIF_INTEGER_32 F10_612 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	Result = (EIF_INTEGER_32) (((GdkRectangle *)arg1)->height);
	
	return Result;
}

/* {GTK}.gdk_rectangle_struct_width */
EIF_INTEGER_32 F10_613 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	Result = (EIF_INTEGER_32) (((GdkRectangle *)arg1)->width);
	
	return Result;
}

/* {GTK}.gdk_rectangle_struct_x */
EIF_INTEGER_32 F10_614 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	Result = (EIF_INTEGER_32) (((GdkRectangle *)arg1)->x);
	
	return Result;
}

/* {GTK}.gdk_rectangle_struct_y */
EIF_INTEGER_32 F10_615 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	Result = (EIF_INTEGER_32) (((GdkRectangle *)arg1)->y);
	
	return Result;
}

/* {GTK}.glist_struct_data */
EIF_POINTER F10_617 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) (((GList *)arg1)->data);
	
	return Result;
}

/* {GTK}.glist_struct_next */
EIF_POINTER F10_618 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) (((GList *)arg1)->next);
	
	return Result;
}

/* {GTK}.gslist_struct_data */
EIF_POINTER F10_620 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) (((GSList *)arg1)->data);
	
	return Result;
}

/* {GTK}.gslist_struct_next */
EIF_POINTER F10_621 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) (((GSList *)arg1)->next);
	
	return Result;
}

/* {GTK}.gtk_adjustment_struct_lower */
EIF_REAL_32 F10_622 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_REAL_32 Result = ((EIF_REAL_32) 0);
	
	
	Result = (EIF_REAL_32) (((GtkAdjustment *)arg1)->lower);
	
	return Result;
}

/* {GTK}.gtk_adjustment_struct_page_increment */
EIF_REAL_32 F10_623 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_REAL_32 Result = ((EIF_REAL_32) 0);
	
	
	Result = (EIF_REAL_32) (((GtkAdjustment *)arg1)->page_increment);
	
	return Result;
}

/* {GTK}.gtk_adjustment_struct_step_increment */
EIF_REAL_32 F10_625 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_REAL_32 Result = ((EIF_REAL_32) 0);
	
	
	Result = (EIF_REAL_32) (((GtkAdjustment *)arg1)->step_increment);
	
	return Result;
}

/* {GTK}.gtk_adjustment_struct_upper */
EIF_REAL_32 F10_626 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_REAL_32 Result = ((EIF_REAL_32) 0);
	
	
	Result = (EIF_REAL_32) (((GtkAdjustment *)arg1)->upper);
	
	return Result;
}

/* {GTK}.gtk_adjustment_struct_value */
EIF_REAL_32 F10_627 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_REAL_32 Result = ((EIF_REAL_32) 0);
	
	
	Result = (EIF_REAL_32) (((GtkAdjustment *)arg1)->value);
	
	return Result;
}

/* {GTK}.gtk_allocation_struct_height */
EIF_INTEGER_32 F10_628 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	Result = (EIF_INTEGER_32) (((GtkAllocation *)arg1)->height);
	
	return Result;
}

/* {GTK}.gtk_allocation_struct_width */
EIF_INTEGER_32 F10_629 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	Result = (EIF_INTEGER_32) (((GtkAllocation *)arg1)->width);
	
	return Result;
}

/* {GTK}.gtk_allocation_struct_x */
EIF_INTEGER_32 F10_630 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	Result = (EIF_INTEGER_32) (((GtkAllocation *)arg1)->x);
	
	return Result;
}

/* {GTK}.gtk_allocation_struct_y */
EIF_INTEGER_32 F10_631 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	Result = (EIF_INTEGER_32) (((GtkAllocation *)arg1)->y);
	
	return Result;
}

/* {GTK}.set_gtk_allocation_struct_height */
void F10_632 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	
	(((GtkAllocation *)arg1)->height = (gint)(arg2));
	
}

/* {GTK}.set_gtk_allocation_struct_width */
void F10_633 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	
	(((GtkAllocation *)arg1)->width = (gint)(arg2));
	
}

/* {GTK}.set_gtk_allocation_struct_x */
void F10_634 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	
	(((GtkAllocation *)arg1)->x = (gint)(arg2));
	
}

/* {GTK}.set_gtk_allocation_struct_y */
void F10_635 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	
	(((GtkAllocation *)arg1)->y = (gint)(arg2));
	
}

/* {GTK}.gtk_bin_struct_child */
EIF_POINTER F10_636 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) (((GtkBin *)arg1)->child);
	
	return Result;
}

/* {GTK}.gtk_box_struct_container */
EIF_POINTER F10_637 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) &(((GtkBox *)arg1)->container);
	
	return Result;
}

/* {GTK}.gtk_box_struct_homogeneous */
EIF_INTEGER_32 F10_638 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	Result = (EIF_INTEGER_32) (((GtkBox *)arg1)->homogeneous);
	
	return Result;
}

/* {GTK}.gtk_box_struct_spacing */
EIF_INTEGER_32 F10_639 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	Result = (EIF_INTEGER_32) (((GtkBox *)arg1)->spacing);
	
	return Result;
}

/* {GTK}.gtk_check_menu_item_struct_active */
EIF_INTEGER_32 F10_640 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	Result = (EIF_INTEGER_32) (((GtkCheckMenuItem *)arg1)->active);
	
	return Result;
}

/* {GTK}.gtk_color_selection_dialog_struct_help_button */
EIF_POINTER F10_641 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) (((GtkColorSelectionDialog *)arg1)->help_button);
	
	return Result;
}

/* {GTK}.gtk_container_struct_border_width */
EIF_INTEGER_32 F10_642 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	Result = (EIF_INTEGER_32) (((GtkContainer *)arg1)->border_width);
	
	return Result;
}

/* {GTK}.gtk_fixed_struct_children */
EIF_POINTER F10_644 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) (((GtkFixed *)arg1)->children);
	
	return Result;
}

/* {GTK}.gtk_frame_struct_shadow_type */
EIF_INTEGER_32 F10_645 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	Result = (EIF_INTEGER_32) (((GtkFrame *)arg1)->shadow_type);
	
	return Result;
}

/* {GTK}.gtk_label_struct_jtype */
EIF_INTEGER_32 F10_646 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	Result = (EIF_INTEGER_32) (((GtkLabel *)arg1)->jtype);
	
	return Result;
}

/* {GTK}.gtk_label_struct_label */
EIF_POINTER F10_647 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) (((GtkLabel *)arg1)->label);
	
	return Result;
}

/* {GTK}.gtk_notebook_struct_tab_pos */
EIF_INTEGER_32 F10_648 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	Result = (EIF_INTEGER_32) (((GtkNotebook *)arg1)->tab_pos);
	
	return Result;
}

/* {GTK}.gtk_object_struct_flags */
EIF_INTEGER_32 F10_649 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	Result = (EIF_INTEGER_32) (((GtkObject *)arg1)->flags);
	
	return Result;
}

/* {GTK}.gtk_paned_struct_child1_size */
EIF_INTEGER_32 F10_650 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	Result = (EIF_INTEGER_32) (((GtkPaned *)arg1)->child1_size);
	
	return Result;
}

/* {GTK}.gtk_progress_bar_struct_bar_style */
EIF_INTEGER_32 F10_651 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	Result = (EIF_INTEGER_32) (((GtkProgressBar *)arg1)->bar_style);
	
	return Result;
}

/* {GTK}.gtk_requisition_struct_height */
EIF_INTEGER_32 F10_653 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	Result = (EIF_INTEGER_32) (((GtkRequisition *)arg1)->height);
	
	return Result;
}

/* {GTK}.gtk_requisition_struct_width */
EIF_INTEGER_32 F10_654 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	Result = (EIF_INTEGER_32) (((GtkRequisition *)arg1)->width);
	
	return Result;
}

/* {GTK}.gtk_style_struct_base */
EIF_POINTER F10_656 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) (((GtkStyle *)arg1)->base);
	
	return Result;
}

/* {GTK}.gtk_style_struct_bg */
EIF_POINTER F10_657 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) (((GtkStyle *)arg1)->bg);
	
	return Result;
}

/* {GTK}.gtk_style_struct_fg */
EIF_POINTER F10_659 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) (((GtkStyle *)arg1)->fg);
	
	return Result;
}

/* {GTK}.gtk_style_struct_text */
EIF_POINTER F10_660 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) (((GtkStyle *)arg1)->text);
	
	return Result;
}

/* {GTK}.gtk_tooltips_data_struct_tip_text */
EIF_POINTER F10_661 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) (((GtkTooltipsData *)arg1)->tip_text);
	
	return Result;
}

/* {GTK}.gtk_tooltips_struct_tip_window */
EIF_POINTER F10_662 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) (((GtkTooltips *)arg1)->tip_window);
	
	return Result;
}

/* {GTK}.gtk_viewport_struct_bin_window */
EIF_POINTER F10_663 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) (((GtkViewport *)arg1)->bin_window);
	
	return Result;
}

/* {GTK}.gtk_widget_aux_info_struct_x */
EIF_INTEGER_32 F10_664 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	Result = (EIF_INTEGER_32) (((GtkWidgetAuxInfo *)arg1)->x);
	
	return Result;
}

/* {GTK}.gtk_widget_aux_info_struct_y */
EIF_INTEGER_32 F10_665 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	Result = (EIF_INTEGER_32) (((GtkWidgetAuxInfo *)arg1)->y);
	
	return Result;
}

/* {GTK}.gtk_widget_struct_allocation */
EIF_POINTER F10_666 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) &(((GtkWidget *)arg1)->allocation);
	
	return Result;
}

/* {GTK}.gtk_widget_struct_parent */
EIF_POINTER F10_667 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) (((GtkWidget *)arg1)->parent);
	
	return Result;
}

/* {GTK}.gtk_widget_struct_requisition */
EIF_POINTER F10_668 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) &(((GtkWidget *)arg1)->requisition);
	
	return Result;
}

/* {GTK}.gtk_widget_struct_style */
EIF_POINTER F10_669 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) (((GtkWidget *)arg1)->style);
	
	return Result;
}

/* {GTK}.gtk_widget_struct_window */
EIF_POINTER F10_670 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) (((GtkWidget *)arg1)->window);
	
	return Result;
}

/* {GTK}.gtk_window_struct_focus_widget */
EIF_POINTER F10_672 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	Result = (EIF_POINTER) (((GtkWindow *)arg1)->focus_widget);
	
	return Result;
}

/* {GTK}.set_gdk_color_struct_blue */
void F10_675 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	
	(((GdkColor *)arg1)->blue = (gushort)(arg2));
	
}

/* {GTK}.set_gdk_color_struct_green */
void F10_676 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	
	(((GdkColor *)arg1)->green = (gushort)(arg2));
	
}

/* {GTK}.set_gdk_color_struct_red */
void F10_678 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	
	(((GdkColor *)arg1)->red = (gushort)(arg2));
	
}

/* {GTK}.set_gdk_event_any_struct_window */
void F10_679 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	
	(((GdkEventAny *)arg1)->window = (GdkWindow*)(arg2));
	
}

/* {GTK}.set_gdk_geometry_struct_max_height */
void F10_684 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	
	(((GdkGeometry *)arg1)->max_height = (gint)(arg2));
	
}

/* {GTK}.set_gdk_geometry_struct_max_width */
void F10_685 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	
	(((GdkGeometry *)arg1)->max_width = (gint)(arg2));
	
}

/* {GTK}.set_gdk_geometry_struct_min_height */
void F10_687 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	
	(((GdkGeometry *)arg1)->min_height = (gint)(arg2));
	
}

/* {GTK}.set_gdk_geometry_struct_min_width */
void F10_688 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	
	(((GdkGeometry *)arg1)->min_width = (gint)(arg2));
	
}

/* {GTK}.set_gtk_adjustment_struct_lower */
void F10_690 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_REAL_32 arg2)
{
	GTCX
	
	(((GtkAdjustment *)arg1)->lower = (gfloat)(arg2));
	
}

/* {GTK}.set_gtk_adjustment_struct_page_increment */
void F10_691 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_REAL_32 arg2)
{
	GTCX
	
	(((GtkAdjustment *)arg1)->page_increment = (gfloat)(arg2));
	
}

/* {GTK}.set_gtk_adjustment_struct_page_size */
void F10_692 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_REAL_32 arg2)
{
	GTCX
	
	(((GtkAdjustment *)arg1)->page_size = (gfloat)(arg2));
	
}

/* {GTK}.set_gtk_adjustment_struct_step_increment */
void F10_693 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_REAL_32 arg2)
{
	GTCX
	
	(((GtkAdjustment *)arg1)->step_increment = (gfloat)(arg2));
	
}

/* {GTK}.set_gtk_adjustment_struct_upper */
void F10_694 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_REAL_32 arg2)
{
	GTCX
	
	(((GtkAdjustment *)arg1)->upper = (gfloat)(arg2));
	
}

/* {GTK}.set_gtk_adjustment_struct_value */
void F10_695 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_REAL_32 arg2)
{
	GTCX
	
	(((GtkAdjustment *)arg1)->value = (gfloat)(arg2));
	
}

/* {GTK}.set_gtk_fixed_struct_children */
void F10_696 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	
	(((GtkFixed *)arg1)->children = (GList*)(arg2));
	
}

/* {GTK}.set_gtk_paned_struct_child1_resize */
void F10_698 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	
	(((GtkPaned *)arg1)->child1_resize = (guint)(arg2));
	
}

/* {GTK}.set_gtk_paned_struct_child2_resize */
void F10_699 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	
	(((GtkPaned *)arg1)->child2_resize = (guint)(arg2));
	
}

/* {GTK}.c_gdk_rectangle_struct_allocate */
EIF_POINTER F10_700 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	
	Result = (EIF_POINTER) calloc (sizeof(GdkRectangle), 1);
	return Result;
}

/* {GTK}.c_gdk_color_struct_allocate */
EIF_POINTER F10_701 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	
	Result = (EIF_POINTER) calloc (sizeof(GdkColor), 1);
	return Result;
}

/* {GTK}.c_gdk_gcvalues_struct_allocate */
EIF_POINTER F10_702 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	
	Result = (EIF_POINTER) calloc (sizeof(GdkGCValues), 1);
	return Result;
}

/* {GTK}.c_gdk_geometry_struct_allocate */
EIF_POINTER F10_703 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	
	Result = (EIF_POINTER) calloc (sizeof(GdkGeometry), 1);
	return Result;
}

void EIF_Minit10 (void)
{
	GTCX
}


#ifdef __cplusplus
}
#endif
