/*
 * Code for class GTK2
 */

#include "eif_eiffel.h"
#include "../E1/estructure.h"
#include "../E1/eoffsets.h"

#include "gt30.h"
#include <ev_gtk.h>

#ifdef __cplusplus
extern "C" {
#endif

#ifndef INLINE_F30_1006
static EIF_INTEGER_32 inline_F30_1006 (EIF_POINTER arg1)
{
	#if GTK_MINOR_VERSION >= 10
	return gdk_screen_get_resolution ((GdkScreen*)arg1);
#else
	return 96; // Default Gnome Logical DPI on older systems.
#endif
	;
}
#define INLINE_F30_1006
#endif
#ifndef INLINE_F30_1007
static EIF_INTEGER_32 inline_F30_1007 (EIF_POINTER arg1)
{
	#if GTK_MINOR_VERSION >= 20
	return gdk_screen_get_primary_monitor ((GdkScreen*)arg1);
#else
	return 0; // Default Primary Monitor is the first monitor.
#endif
	;
}
#define INLINE_F30_1007
#endif
#ifndef INLINE_F30_1008
static EIF_POINTER inline_F30_1008 (EIF_POINTER arg1)
{
	return gdk_screen_get_rgb_colormap ((GdkScreen*)arg1);
	;
}
#define INLINE_F30_1008
#endif
#ifndef INLINE_F30_1009
static EIF_POINTER inline_F30_1009 (EIF_POINTER arg1)
{
	return gdk_screen_get_rgb_visual ((GdkScreen*)arg1);
	;
}
#define INLINE_F30_1009
#endif
#ifndef INLINE_F30_1082
static void inline_F30_1082 (EIF_POINTER arg1, EIF_INTEGER_32 arg2, EIF_INTEGER_32 arg3)
{
	gtk_widget_set_size_request ((GtkWidget*) arg1, (gint) arg2, (gint) arg3)
	;
}
#define INLINE_F30_1082
#endif
#ifndef INLINE_F30_1083
static void inline_F30_1083 (EIF_POINTER arg1, EIF_POINTER arg2)
{
	gtk_widget_size_allocate ((GtkWidget*) arg1, (GtkAllocation*) arg2)
	;
}
#define INLINE_F30_1083
#endif
#ifndef INLINE_F30_1143
static EIF_POINTER inline_F30_1143 (EIF_POINTER arg1, EIF_POINTER arg2, EIF_INTEGER_32 arg3)
{
	return (EIF_POINTER) (gtk_dialog_add_button ((GtkDialog*) arg1, (gchar*) arg2, (gint) arg3))
	;
}
#define INLINE_F30_1143
#endif
#ifndef INLINE_F30_1144
static void inline_F30_1144 (EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	gtk_dialog_set_default_response ((GtkDialog*) arg1, (gint) arg2)
	;
}
#define INLINE_F30_1144
#endif
#ifndef INLINE_F30_1151
static EIF_POINTER inline_F30_1151 (EIF_POINTER arg1, EIF_POINTER arg2, EIF_INTEGER_32 arg3)
{
	return (EIF_POINTER) (gtk_file_chooser_dialog_new ((gchar*) arg1, (GtkWindow*) arg2, (GtkFileChooserAction) arg3, NULL, NULL))
	;
}
#define INLINE_F30_1151
#endif
#ifndef INLINE_F30_1153
static EIF_POINTER inline_F30_1153 (EIF_POINTER arg1)
{
	return (EIF_POINTER) (gtk_file_chooser_get_filename ((GtkFileChooser*) arg1))
	;
}
#define INLINE_F30_1153
#endif
#ifndef INLINE_F30_1155
static void inline_F30_1155 (EIF_POINTER arg1, EIF_POINTER arg2)
{
	gtk_file_chooser_set_filename ((GtkFileChooser*) arg1, (gchar*) arg2)
	;
}
#define INLINE_F30_1155
#endif
#ifndef INLINE_F30_1300
static EIF_POINTER inline_F30_1300 (EIF_POINTER arg1, EIF_INTEGER_32 arg2, EIF_INTEGER_32 arg3, EIF_INTEGER_32 arg4)
{
	return (EIF_POINTER) (gdk_pixbuf_scale_simple ((GdkPixbuf*) arg1, (int) arg2, (int) arg3, (int) arg4))
	;
}
#define INLINE_F30_1300
#endif
#ifndef INLINE_F30_1372
static void inline_F30_1372 (EIF_POINTER arg1, EIF_POINTER arg2, EIF_POINTER* arg3)
{
	g_object_get ((gpointer) arg1, (gchar*) arg2, (gchar**) arg3, NULL)
	;
}
#define INLINE_F30_1372
#endif
#ifndef INLINE_F30_1373
static void inline_F30_1373 (EIF_POINTER arg1, EIF_POINTER arg2, EIF_INTEGER_32* arg3)
{
	g_object_get ((gpointer) arg1, (gchar*) arg2, (gint*) arg3, NULL)
	;
}
#define INLINE_F30_1373
#endif
#ifndef INLINE_F30_1378
static void inline_F30_1378 (EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	g_signal_handlers_disconnect_matched ((gpointer) arg1, G_SIGNAL_MATCH_DATA, 0, 0, NULL, NULL, (gpointer) (rt_int_ptr) arg2)
	;
}
#define INLINE_F30_1378
#endif

#ifdef __cplusplus
}
#endif


#ifdef __cplusplus
extern "C" {
#endif

/* {GTK2}.gtk_im_context_simple_new */
EIF_POINTER F30_970 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_im_context_simple_new", 29, Current, 0, 0, 987);Result = (EIF_POINTER) gtk_im_context_simple_new();
	
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.gtk_im_context_reset */
void F30_971 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_im_context_reset", 29, Current, 0, 1, 988);gtk_im_context_reset((GtkIMContext*) arg1);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {GTK2}.gtk_im_context_focus_in */
void F30_972 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_im_context_focus_in", 29, Current, 0, 1, 989);gtk_im_context_focus_in((GtkIMContext*) arg1);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {GTK2}.gtk_im_context_filter_keypress */
EIF_BOOLEAN F30_974 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	RTEX;
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_im_context_filter_keypress", 29, Current, 0, 2, 991);Result = (EIF_BOOLEAN) EIF_TEST(gtk_im_context_filter_keypress((GtkIMContext*) arg1, (GdkEventKey*) arg2));
	
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.gtk_im_context_set_client_window */
void F30_975 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_im_context_set_client_window", 29, Current, 0, 2, 992);gtk_im_context_set_client_window((GtkIMContext*) arg1, (GdkWindow*) arg2);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {GTK2}.gtk_window_set_accept_focus */
void F30_984 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_BOOLEAN arg2)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_window_set_accept_focus", 29, Current, 0, 2, 1001);gtk_window_set_accept_focus((GtkWindow*) arg1, (gboolean) arg2);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {GTK2}.gdk_display_get_default_cursor_size */
EIF_INTEGER_32 F30_985 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gdk_display_get_default_cursor_size", 29, Current, 0, 1, 1002);Result = (EIF_INTEGER_32) gdk_display_get_default_cursor_size((GdkDisplay*) arg1);
	
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.events_pending */
EIF_BOOLEAN F30_987 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("events_pending", 29, Current, 0, 0, 1004);
	Result = (EIF_BOOLEAN) EIF_TEST(g_main_context_pending (NULL));
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.dispatch_events */
void F30_989 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("dispatch_events", 29, Current, 0, 0, 1006);
	g_main_context_dispatch(g_main_context_default());
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {GTK2}.gtk_widget_toplevel */
EIF_BOOLEAN F30_990 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_widget_toplevel", 29, Current, 0, 1, 1007);
	Result = (EIF_BOOLEAN) EIF_TEST(GTK_WIDGET_TOPLEVEL((arg1)));
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.gtk_toolbar_set_orientation */
void F30_992 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_toolbar_set_orientation", 29, Current, 0, 2, 1009);gtk_toolbar_set_orientation((GtkToolbar*) arg1, (gint) arg2);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {GTK2}.gtk_toolbar_set_style */
void F30_993 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_toolbar_set_style", 29, Current, 0, 2, 1010);gtk_toolbar_set_style((GtkToolbar*) arg1, (GtkToolbarStyle) arg2);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {GTK2}.gdk_screen_get_resolution */
EIF_INTEGER_32 F30_1006 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gdk_screen_get_resolution", 29, Current, 0, 1, 1023);
	Result = inline_F30_1006 ((EIF_POINTER) arg1);
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.gdk_screen_get_primary_monitor */
EIF_INTEGER_32 F30_1007 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gdk_screen_get_primary_monitor", 29, Current, 0, 1, 1024);
	Result = inline_F30_1007 ((EIF_POINTER) arg1);
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.gdk_screen_get_rgb_colormap */
EIF_POINTER F30_1008 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gdk_screen_get_rgb_colormap", 29, Current, 0, 1, 1025);
	Result = inline_F30_1008 ((EIF_POINTER) arg1);
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.gdk_screen_get_rgb_visual */
EIF_POINTER F30_1009 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gdk_screen_get_rgb_visual", 29, Current, 0, 1, 1026);
	Result = inline_F30_1009 ((EIF_POINTER) arg1);
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.gdk_draw_drawable */
void F30_1013 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2, EIF_POINTER arg3, EIF_INTEGER_32 arg4, EIF_INTEGER_32 arg5, EIF_INTEGER_32 arg6, EIF_INTEGER_32 arg7, EIF_INTEGER_32 arg8, EIF_INTEGER_32 arg9)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gdk_draw_drawable", 29, Current, 0, 9, 1030);gdk_draw_drawable((GdkDrawable*) arg1, (GdkGC*) arg2, (GdkDrawable*) arg3, (gint) arg4, (gint) arg5, (gint) arg6, (gint) arg7, (gint) arg8, (gint) arg9);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {GTK2}.gtk_window_get_focus */
EIF_POINTER F30_1022 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_window_get_focus", 29, Current, 0, 1, 1039);Result = (EIF_POINTER) gtk_window_get_focus((GtkWindow*) arg1);
	
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.gtk_scrolled_window_set_shadow_type */
void F30_1023 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_scrolled_window_set_shadow_type", 29, Current, 0, 2, 1040);gtk_scrolled_window_set_shadow_type((GtkScrolledWindow*) arg1, (GtkShadowType) arg2);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {GTK2}.gtk_win_pos_center_on_parent_enum */
EIF_INTEGER_32 F30_1024 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_win_pos_center_on_parent_enum", 29, Current, 0, 0, 1041);
	Result = (EIF_INTEGER_32) GTK_WIN_POS_CENTER_ON_PARENT;
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.gtk_label_get_label */
EIF_POINTER F30_1025 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_label_get_label", 29, Current, 0, 1, 1042);Result = (EIF_POINTER) gtk_label_get_label((GtkLabel*) arg1);
	
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.gtk_window_get_position */
void F30_1026 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32* arg2, EIF_INTEGER_32* arg3)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_window_get_position", 29, Current, 0, 3, 1043);gtk_window_get_position((GtkWindow*) arg1, (gint*) arg2, (gint*) arg3);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {GTK2}.gtk_window_move */
void F30_1028 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2, EIF_INTEGER_32 arg3)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_window_move", 29, Current, 0, 3, 1045);gtk_window_move((GtkWindow*) arg1, (gint) arg2, (gint) arg3);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {GTK2}.gtk_icon_size_dialog_enum */
EIF_INTEGER_32 F30_1029 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_icon_size_dialog_enum", 29, Current, 0, 0, 1046);
	Result = (EIF_INTEGER_32) GTK_ICON_SIZE_DIALOG;
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.gdk_drawable_get_size */
void F30_1034 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32* arg2, EIF_INTEGER_32* arg3)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gdk_drawable_get_size", 29, Current, 0, 3, 1051);gdk_drawable_get_size((GdkDrawable*) arg1, (gint*) arg2, (gint*) arg3);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {GTK2}.gtk_entry_set_alignment */
void F30_1038 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_REAL_32 arg2)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_entry_set_alignment", 29, Current, 0, 2, 1055);gtk_entry_set_alignment((GtkEntry*) arg1, (gfloat) arg2);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {GTK2}.gtk_get_current_event_time */
EIF_NATURAL_32 F30_1044 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_NATURAL_32 Result = ((EIF_NATURAL_32) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_get_current_event_time", 29, Current, 0, 0, 1061);Result = (EIF_NATURAL_32) gtk_get_current_event_time();
	
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.gtk_window_is_active */
EIF_BOOLEAN F30_1046 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_window_is_active", 29, Current, 0, 1, 1063);Result = (EIF_BOOLEAN) EIF_TEST(gtk_window_is_active((GtkWindow*) arg1));
	
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.gtk_window_resize */
void F30_1047 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2, EIF_INTEGER_32 arg3)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_window_resize", 29, Current, 0, 3, 1064);gtk_window_resize((GtkWindow*) arg1, (gint) arg2, (gint) arg3);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {GTK2}.gdk_gc_set_rgb_fg_color */
void F30_1050 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gdk_gc_set_rgb_fg_color", 29, Current, 0, 2, 1067);gdk_gc_set_rgb_fg_color((GdkGC*) arg1, (GdkColor*) arg2);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {GTK2}.gdk_gc_set_rgb_bg_color */
void F30_1051 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gdk_gc_set_rgb_bg_color", 29, Current, 0, 2, 1068);gdk_gc_set_rgb_bg_color((GdkGC*) arg1, (GdkColor*) arg2);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {GTK2}.gdk_event_window_state_struct_changed_mask */
EIF_INTEGER_32 F30_1059 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gdk_event_window_state_struct_changed_mask", 29, Current, 0, 1, 1076);Result = (EIF_INTEGER_32) (((GdkEventWindowState *)arg1)->changed_mask);
	
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.gdk_event_window_state_struct_new_window_state */
EIF_INTEGER_32 F30_1060 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gdk_event_window_state_struct_new_window_state", 29, Current, 0, 1, 1077);Result = (EIF_INTEGER_32) (((GdkEventWindowState *)arg1)->new_window_state);
	
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.gdk_window_state_iconified_enum */
EIF_INTEGER_32 F30_1062 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gdk_window_state_iconified_enum", 29, Current, 0, 0, 1079);
	Result = (EIF_INTEGER_32) GDK_WINDOW_STATE_ICONIFIED;
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.gdk_window_state_maximized_enum */
EIF_INTEGER_32 F30_1063 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gdk_window_state_maximized_enum", 29, Current, 0, 0, 1080);
	Result = (EIF_INTEGER_32) GDK_WINDOW_STATE_MAXIMIZED;
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.gtk_widget_set_redraw_on_allocate */
void F30_1069 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_BOOLEAN arg2)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_widget_set_redraw_on_allocate", 29, Current, 0, 2, 1086);gtk_widget_set_redraw_on_allocate((GtkWidget*) arg1, (gboolean) arg2);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {GTK2}.gtk_event_box_set_visible_window */
void F30_1076 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_BOOLEAN arg2)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_event_box_set_visible_window", 29, Current, 0, 2, 1093);gtk_event_box_set_visible_window((GtkEventBox*) arg1, (gboolean) arg2);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {GTK2}.gdk_scroll_up_enum */
EIF_INTEGER_32 F30_1078 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gdk_scroll_up_enum", 29, Current, 0, 0, 1095);
	Result = (EIF_INTEGER_32) GDK_SCROLL_UP;
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.gtk_widget_set_minimum_size */
void F30_1082 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2, EIF_INTEGER_32 arg3)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_widget_set_minimum_size", 29, Current, 0, 3, 1099);
	inline_F30_1082 ((EIF_POINTER) arg1, (EIF_INTEGER_32) arg2, (EIF_INTEGER_32) arg3);
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {GTK2}.gtk_widget_size_allocate */
void F30_1083 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_widget_size_allocate", 29, Current, 0, 2, 1100);
	inline_F30_1083 ((EIF_POINTER) arg1, (EIF_POINTER) arg2);
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {GTK2}.c_pango_rectangle_struct_allocate */
EIF_POINTER F30_1085 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("c_pango_rectangle_struct_allocate", 29, Current, 0, 0, 1102);
	Result = (EIF_POINTER) calloc (sizeof(PangoRectangle), 1);
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.pango_rectangle_struct_x */
EIF_INTEGER_32 F30_1086 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("pango_rectangle_struct_x", 29, Current, 0, 1, 1103);Result = (EIF_INTEGER_32) (((PangoRectangle *)arg1)->x);
	
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.pango_rectangle_struct_y */
EIF_INTEGER_32 F30_1087 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("pango_rectangle_struct_y", 29, Current, 0, 1, 1104);Result = (EIF_INTEGER_32) (((PangoRectangle *)arg1)->y);
	
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.pango_rectangle_struct_width */
EIF_INTEGER_32 F30_1088 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("pango_rectangle_struct_width", 29, Current, 0, 1, 1105);Result = (EIF_INTEGER_32) (((PangoRectangle *)arg1)->width);
	
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.pango_rectangle_struct_height */
EIF_INTEGER_32 F30_1089 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("pango_rectangle_struct_height", 29, Current, 0, 1, 1106);Result = (EIF_INTEGER_32) (((PangoRectangle *)arg1)->height);
	
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.pango_layout_get_pixel_extents */
void F30_1091 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2, EIF_POINTER arg3)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("pango_layout_get_pixel_extents", 29, Current, 0, 3, 1108);pango_layout_get_pixel_extents((PangoLayout*) arg1, (PangoRectangle*) arg2, (PangoRectangle*) arg3);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {GTK2}.gdk_event_scroll_struct_scroll_direction */
EIF_INTEGER_32 F30_1094 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gdk_event_scroll_struct_scroll_direction", 29, Current, 0, 1, 1111);Result = (EIF_INTEGER_32) (((GdkEventScroll *)arg1)->direction);
	
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.gdk_display_get_default */
EIF_POINTER F30_1097 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gdk_display_get_default", 29, Current, 0, 0, 1114);Result = (EIF_POINTER) gdk_display_get_default();
	
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.gdk_display_get_pointer */
void F30_1103 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER* arg2, EIF_INTEGER_32* arg3, EIF_INTEGER_32* arg4, EIF_NATURAL_32* arg5)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gdk_display_get_pointer", 29, Current, 0, 5, 1120);gdk_display_get_pointer((GdkDisplay*) arg1, (GdkScreen**) arg2, (gint*) arg3, (gint*) arg4, (GdkModifierType*) arg5);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {GTK2}.gdk_display_get_window_at_pointer */
EIF_POINTER F30_1104 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32* arg2, EIF_INTEGER_32* arg3)
{
	GTCX
	RTEX;
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gdk_display_get_window_at_pointer", 29, Current, 0, 3, 1121);Result = (EIF_POINTER) gdk_display_get_window_at_pointer((GdkDisplay*) arg1, (gint*) arg2, (gint*) arg3);
	
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.gdk_cursor_new_from_pixbuf */
EIF_POINTER F30_1105 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2, EIF_INTEGER_32 arg3, EIF_INTEGER_32 arg4)
{
	GTCX
	RTEX;
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gdk_cursor_new_from_pixbuf", 29, Current, 0, 4, 1122);Result = (EIF_POINTER) gdk_cursor_new_from_pixbuf((GdkDisplay*) arg1, (GdkPixbuf*) arg2, (gint) arg3, (gint) arg4);
	
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.gdk_cursor_unref */
void F30_1106 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gdk_cursor_unref", 29, Current, 0, 1, 1123);gdk_cursor_unref((GdkCursor*) arg1);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {GTK2}.gdk_pixbuf_add_alpha */
EIF_POINTER F30_1109 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_BOOLEAN arg2, EIF_NATURAL_8 arg3, EIF_NATURAL_8 arg4, EIF_NATURAL_8 arg5)
{
	GTCX
	RTEX;
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gdk_pixbuf_add_alpha", 29, Current, 0, 5, 1126);Result = (EIF_POINTER) gdk_pixbuf_add_alpha((GdkPixbuf*) arg1, (gboolean) arg2, (guchar) arg3, (guchar) arg4, (guchar) arg5);
	
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.gtk_separator_tool_item_new */
EIF_POINTER F30_1112 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_separator_tool_item_new", 29, Current, 0, 0, 1129);Result = (EIF_POINTER) gtk_separator_tool_item_new();
	
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.gtk_toolbar_set_show_arrow */
void F30_1114 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_BOOLEAN arg2)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_toolbar_set_show_arrow", 29, Current, 0, 2, 1131);gtk_toolbar_set_show_arrow((GtkToolbar*) arg1, (gboolean) arg2);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {GTK2}.gtk_toolbar_new */
EIF_POINTER F30_1119 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_toolbar_new", 29, Current, 0, 0, 1136);Result = (EIF_POINTER) gtk_toolbar_new();
	
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.gtk_radio_tool_button_set_group */
void F30_1122 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_radio_tool_button_set_group", 29, Current, 0, 2, 1139);gtk_radio_tool_button_set_group((GtkRadioToolButton*) arg1, (GSList*) arg2);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {GTK2}.gtk_radio_tool_button_get_group */
EIF_POINTER F30_1123 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_radio_tool_button_get_group", 29, Current, 0, 1, 1140);Result = (EIF_POINTER) gtk_radio_tool_button_get_group((GtkRadioToolButton*) arg1);
	
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.gtk_toolbar_icons_enum */
EIF_INTEGER_32 F30_1124 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_toolbar_icons_enum", 29, Current, 0, 0, 1141);
	Result = (EIF_INTEGER_32) GTK_TOOLBAR_ICONS;
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.gtk_toolbar_text_enum */
EIF_INTEGER_32 F30_1125 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_toolbar_text_enum", 29, Current, 0, 0, 1142);
	Result = (EIF_INTEGER_32) GTK_TOOLBAR_TEXT;
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.gtk_toolbar_both_enum */
EIF_INTEGER_32 F30_1126 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_toolbar_both_enum", 29, Current, 0, 0, 1143);
	Result = (EIF_INTEGER_32) GTK_TOOLBAR_BOTH;
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.gtk_toolbar_both_horiz_enum */
EIF_INTEGER_32 F30_1127 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_toolbar_both_horiz_enum", 29, Current, 0, 0, 1144);
	Result = (EIF_INTEGER_32) GTK_TOOLBAR_BOTH_HORIZ;
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.gtk_toolbar_insert */
void F30_1132 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2, EIF_INTEGER_32 arg3)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_toolbar_insert", 29, Current, 0, 3, 1149);gtk_toolbar_insert((GtkToolbar*) arg1, (GtkToolItem*) arg2, (gint) arg3);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {GTK2}.gtk_file_chooser_action_select_folder_enum */
EIF_INTEGER_32 F30_1141 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_file_chooser_action_select_folder_enum", 29, Current, 0, 0, 1158);
	Result = (EIF_INTEGER_32) GTK_FILE_CHOOSER_ACTION_SELECT_FOLDER;
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.gtk_dialog_add_button */
EIF_POINTER F30_1143 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2, EIF_INTEGER_32 arg3)
{
	GTCX
	RTEX;
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_dialog_add_button", 29, Current, 0, 3, 1160);
	Result = inline_F30_1143 ((EIF_POINTER) arg1, (EIF_POINTER) arg2, (EIF_INTEGER_32) arg3);
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.gtk_dialog_set_default_response */
void F30_1144 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_dialog_set_default_response", 29, Current, 0, 2, 1161);
	inline_F30_1144 ((EIF_POINTER) arg1, (EIF_INTEGER_32) arg2);
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {GTK2}.gtk_stock_ok_enum */
EIF_POINTER F30_1145 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_stock_ok_enum", 29, Current, 0, 0, 1162);
	Result = (EIF_POINTER) GTK_STOCK_OK;
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.gtk_response_accept_enum */
EIF_INTEGER_32 F30_1147 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_response_accept_enum", 29, Current, 0, 0, 1164);
	Result = (EIF_INTEGER_32) GTK_RESPONSE_ACCEPT;
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.gtk_response_cancel_enum */
EIF_INTEGER_32 F30_1148 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_response_cancel_enum", 29, Current, 0, 0, 1165);
	Result = (EIF_INTEGER_32) GTK_RESPONSE_CANCEL;
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.gtk_stock_cancel_enum */
EIF_POINTER F30_1150 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_stock_cancel_enum", 29, Current, 0, 0, 1167);
	Result = (EIF_POINTER) GTK_STOCK_CANCEL;
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.gtk_file_chooser_dialog_new */
EIF_POINTER F30_1151 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2, EIF_INTEGER_32 arg3)
{
	GTCX
	RTEX;
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_file_chooser_dialog_new", 29, Current, 0, 3, 1168);
	Result = inline_F30_1151 ((EIF_POINTER) arg1, (EIF_POINTER) arg2, (EIF_INTEGER_32) arg3);
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.gtk_file_chooser_get_filename */
EIF_POINTER F30_1153 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_file_chooser_get_filename", 29, Current, 0, 1, 1170);
	Result = inline_F30_1153 ((EIF_POINTER) arg1);
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.gtk_file_chooser_set_filename */
void F30_1155 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_file_chooser_set_filename", 29, Current, 0, 2, 1172);
	inline_F30_1155 ((EIF_POINTER) arg1, (EIF_POINTER) arg2);
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {GTK2}.gdk_screen_get_default */
EIF_POINTER F30_1270 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gdk_screen_get_default", 29, Current, 0, 0, 1287);Result = (EIF_POINTER) gdk_screen_get_default();
	
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.gdk_screen_get_root_window */
EIF_POINTER F30_1271 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gdk_screen_get_root_window", 29, Current, 0, 1, 1288);Result = (EIF_POINTER) gdk_screen_get_root_window((GdkScreen*) arg1);
	
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.gdk_screen_get_n_monitors */
EIF_INTEGER_32 F30_1274 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gdk_screen_get_n_monitors", 29, Current, 0, 1, 1291);Result = (EIF_INTEGER_32) gdk_screen_get_n_monitors((GdkScreen*) arg1);
	
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.gdk_screen_get_monitor_geometry */
void F30_1275 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2, EIF_POINTER arg3)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gdk_screen_get_monitor_geometry", 29, Current, 0, 3, 1292);gdk_screen_get_monitor_geometry((GdkScreen*) arg1, (gint) arg2, (GdkRectangle*) arg3);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {GTK2}.gdk_visual_get_best_depth */
EIF_INTEGER_32 F30_1281 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gdk_visual_get_best_depth", 29, Current, 0, 0, 1298);Result = (EIF_INTEGER_32) gdk_visual_get_best_depth();
	
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.gtk_entry_set_max_length */
void F30_1284 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_entry_set_max_length", 29, Current, 0, 2, 1301);gtk_entry_set_max_length((GtkEntry*) arg1, (gint) arg2);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {GTK2}.gtk_fixed_new */
EIF_POINTER F30_1288 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_fixed_new", 29, Current, 0, 0, 1305);Result = (EIF_POINTER) gtk_fixed_new();
	
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.gdk_pixbuf_scale_simple */
EIF_POINTER F30_1300 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2, EIF_INTEGER_32 arg3, EIF_INTEGER_32 arg4)
{
	GTCX
	RTEX;
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gdk_pixbuf_scale_simple", 29, Current, 0, 4, 1317);
	Result = inline_F30_1300 ((EIF_POINTER) arg1, (EIF_INTEGER_32) arg2, (EIF_INTEGER_32) arg3, (EIF_INTEGER_32) arg4);
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.gdk_interp_bilinear */
EIF_INTEGER_32 F30_1302 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gdk_interp_bilinear", 29, Current, 0, 0, 1319);
	Result = (EIF_INTEGER_32) GDK_INTERP_BILINEAR;
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.gdk_interp_nearest */
EIF_INTEGER_32 F30_1304 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gdk_interp_nearest", 29, Current, 0, 0, 1321);
	Result = (EIF_INTEGER_32) GDK_INTERP_NEAREST;
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.gdk_pixbuf_composite */
void F30_1306 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2, EIF_INTEGER_32 arg3, EIF_INTEGER_32 arg4, EIF_INTEGER_32 arg5, EIF_INTEGER_32 arg6, EIF_REAL_64 arg7, EIF_REAL_64 arg8, EIF_REAL_64 arg9, EIF_REAL_64 arg10, EIF_INTEGER_32 arg11, EIF_INTEGER_32 arg12)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gdk_pixbuf_composite", 29, Current, 0, 12, 1323);gdk_pixbuf_composite((GdkPixbuf*) arg1, (GdkPixbuf*) arg2, (int) arg3, (int) arg4, (int) arg5, (int) arg6, (double) arg7, (double) arg8, (double) arg9, (double) arg10, (GdkInterpType) arg11, (int) arg12);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {GTK2}.gtk_widget_render_icon */
EIF_POINTER F30_1308 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2, EIF_INTEGER_32 arg3, EIF_POINTER arg4)
{
	GTCX
	RTEX;
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_widget_render_icon", 29, Current, 0, 4, 1325);Result = (EIF_POINTER) gtk_widget_render_icon((GtkWidget*) arg1, (gchar*) arg2, (GtkIconSize) arg3, (gchar*) arg4);
	
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.gtk_widget_modify_text */
void F30_1310 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2, EIF_POINTER arg3)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_widget_modify_text", 29, Current, 0, 3, 1327);gtk_widget_modify_text((GtkWidget*) arg1, (GtkStateType) arg2, (GdkColor*) arg3);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {GTK2}.gtk_widget_modify_base */
void F30_1311 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2, EIF_POINTER arg3)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_widget_modify_base", 29, Current, 0, 3, 1328);gtk_widget_modify_base((GtkWidget*) arg1, (GtkStateType) arg2, (GdkColor*) arg3);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {GTK2}.gtk_image_menu_item_new */
EIF_POINTER F30_1312 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_image_menu_item_new", 29, Current, 0, 0, 1329);Result = (EIF_POINTER) gtk_image_menu_item_new();
	
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.gtk_image_menu_item_set_image */
void F30_1315 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_image_menu_item_set_image", 29, Current, 0, 2, 1332);gtk_image_menu_item_set_image((GtkImageMenuItem*) arg1, (GtkWidget*) arg2);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {GTK2}.gtk_label_set_text_with_mnemonic */
void F30_1317 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_label_set_text_with_mnemonic", 29, Current, 0, 2, 1334);gtk_label_set_text_with_mnemonic((GtkLabel*) arg1, (gchar*) arg2);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {GTK2}.gtk_window_deiconify */
void F30_1321 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_window_deiconify", 29, Current, 0, 1, 1338);gtk_window_deiconify((GtkWindow*) arg1);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {GTK2}.gtk_window_unmaximize */
void F30_1325 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_window_unmaximize", 29, Current, 0, 1, 1342);gtk_window_unmaximize((GtkWindow*) arg1);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {GTK2}.gdk_pixbuf_get_has_alpha */
EIF_BOOLEAN F30_1329 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gdk_pixbuf_get_has_alpha", 29, Current, 0, 1, 1346);Result = (EIF_BOOLEAN) EIF_TEST(gdk_pixbuf_get_has_alpha((GdkPixbuf*) arg1));
	
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.gdk_pixbuf_get_from_drawable */
EIF_POINTER F30_1333 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2, EIF_POINTER arg3, EIF_INTEGER_32 arg4, EIF_INTEGER_32 arg5, EIF_INTEGER_32 arg6, EIF_INTEGER_32 arg7, EIF_INTEGER_32 arg8, EIF_INTEGER_32 arg9)
{
	GTCX
	RTEX;
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gdk_pixbuf_get_from_drawable", 29, Current, 0, 9, 1350);Result = (EIF_POINTER) gdk_pixbuf_get_from_drawable((GdkPixbuf*) arg1, (GdkDrawable*) arg2, (GdkColormap*) arg3, (int) arg4, (int) arg5, (int) arg6, (int) arg7, (int) arg8, (int) arg9);
	
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.gtk_value_pointer */
EIF_POINTER F30_1337 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_value_pointer", 29, Current, 0, 1, 1354);Result = (EIF_POINTER) g_value_peek_pointer((GValue*) arg1);
	
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.pango_layout_set_font_description */
void F30_1344 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("pango_layout_set_font_description", 29, Current, 0, 2, 1361);pango_layout_set_font_description((PangoLayout*) arg1, (PangoFontDescription*) arg2);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {GTK2}.pango_layout_get_pixel_size */
void F30_1346 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32* arg2, EIF_INTEGER_32* arg3)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("pango_layout_get_pixel_size", 29, Current, 0, 3, 1363);pango_layout_get_pixel_size((PangoLayout*) arg1, (gint*) arg2, (gint*) arg3);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {GTK2}.pango_layout_get_iter */
EIF_POINTER F30_1347 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("pango_layout_get_iter", 29, Current, 0, 1, 1364);Result = (EIF_POINTER) pango_layout_get_iter((PangoLayout*) arg1);
	
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.pango_layout_set_text */
void F30_1348 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2, EIF_INTEGER_32 arg3)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("pango_layout_set_text", 29, Current, 0, 3, 1365);pango_layout_set_text((PangoLayout*) arg1, (char*) arg2, (int) arg3);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {GTK2}.pango_layout_iter_get_baseline */
EIF_INTEGER_32 F30_1349 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("pango_layout_iter_get_baseline", 29, Current, 0, 1, 1366);Result = (EIF_INTEGER_32) pango_layout_iter_get_baseline((PangoLayoutIter*) arg1);
	
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.pango_layout_iter_free */
void F30_1350 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("pango_layout_iter_free", 29, Current, 0, 1, 1367);pango_layout_iter_free((PangoLayoutIter*) arg1);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {GTK2}.gtk_widget_create_pango_layout */
EIF_POINTER F30_1352 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	RTEX;
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_widget_create_pango_layout", 29, Current, 0, 2, 1369);Result = (EIF_POINTER) gtk_widget_create_pango_layout((GtkWidget*) arg1, (gchar*) arg2);
	
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.gtk_widget_modify_fg */
void F30_1353 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2, EIF_POINTER arg3)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_widget_modify_fg", 29, Current, 0, 3, 1370);gtk_widget_modify_fg((GtkWidget*) arg1, (GtkStateType) arg2, (GdkColor*) arg3);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {GTK2}.gtk_widget_modify_bg */
void F30_1354 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2, EIF_POINTER arg3)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_widget_modify_bg", 29, Current, 0, 3, 1371);gtk_widget_modify_bg((GtkWidget*) arg1, (GtkStateType) arg2, (GdkColor*) arg3);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {GTK2}.pango_scale */
EIF_INTEGER_32 F30_1356 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("pango_scale", 29, Current, 0, 0, 1373);
	Result = (EIF_INTEGER_32) PANGO_SCALE;
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.pango_font_description_new */
EIF_POINTER F30_1357 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("pango_font_description_new", 29, Current, 0, 0, 1374);Result = (EIF_POINTER) pango_font_description_new();
	
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.pango_font_description_free */
void F30_1358 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("pango_font_description_free", 29, Current, 0, 1, 1375);pango_font_description_free((PangoFontDescription*) arg1);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {GTK2}.pango_font_description_set_family */
void F30_1361 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("pango_font_description_set_family", 29, Current, 0, 2, 1378);pango_font_description_set_family((PangoFontDescription*) arg1, (char*) arg2);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {GTK2}.pango_font_description_set_style */
void F30_1363 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("pango_font_description_set_style", 29, Current, 0, 2, 1380);pango_font_description_set_style((PangoFontDescription*) arg1, (PangoStyle) arg2);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {GTK2}.pango_font_description_set_weight */
void F30_1365 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("pango_font_description_set_weight", 29, Current, 0, 2, 1382);pango_font_description_set_weight((PangoFontDescription*) arg1, (PangoWeight) arg2);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {GTK2}.pango_font_description_set_size */
void F30_1367 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("pango_font_description_set_size", 29, Current, 0, 2, 1384);pango_font_description_set_size((PangoFontDescription*) arg1, (gint) arg2);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {GTK2}.g_object_get_string */
void F30_1372 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2, EIF_POINTER* arg3)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("g_object_get_string", 29, Current, 0, 3, 1389);
	inline_F30_1372 ((EIF_POINTER) arg1, (EIF_POINTER) arg2, (EIF_POINTER*) arg3);
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {GTK2}.g_object_get_integer */
void F30_1373 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2, EIF_INTEGER_32* arg3)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("g_object_get_integer", 29, Current, 0, 3, 1390);
	inline_F30_1373 ((EIF_POINTER) arg1, (EIF_POINTER) arg2, (EIF_INTEGER_32*) arg3);
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {GTK2}.signal_disconnect_by_data */
void F30_1378 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("signal_disconnect_by_data", 29, Current, 0, 2, 1395);
	inline_F30_1378 ((EIF_POINTER) arg1, (EIF_INTEGER_32) arg2);
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {GTK2}.object_destroy */
void F30_1383 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("object_destroy", 29, Current, 0, 1, 1400);gtk_object_destroy((GtkObject*) arg1);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {GTK2}.object_ref */
void F30_1384 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("object_ref", 29, Current, 0, 1, 1401);g_object_ref((gpointer) arg1);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {GTK2}.object_unref */
void F30_1385 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("object_unref", 29, Current, 0, 1, 1402);g_object_unref((gpointer) arg1);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {GTK2}.gtk_text_view_new */
EIF_POINTER F30_1387 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_text_view_new", 29, Current, 0, 0, 1404);Result = (EIF_POINTER) gtk_text_view_new();
	
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.gtk_text_view_get_buffer */
EIF_POINTER F30_1390 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_text_view_get_buffer", 29, Current, 0, 1, 1407);Result = (EIF_POINTER) gtk_text_view_get_buffer((GtkTextView*) arg1);
	
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.gtk_text_buffer_set_text */
void F30_1393 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2, EIF_INTEGER_32 arg3)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_text_buffer_set_text", 29, Current, 0, 3, 1410);gtk_text_buffer_set_text((GtkTextBuffer*) arg1, (gchar*) arg2, (gint) arg3);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {GTK2}.gtk_text_buffer_get_bounds */
void F30_1399 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2, EIF_POINTER arg3)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_text_buffer_get_bounds", 29, Current, 0, 3, 1416);gtk_text_buffer_get_bounds((GtkTextBuffer*) arg1, (GtkTextIter*) arg2, (GtkTextIter*) arg3);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {GTK2}.gtk_text_buffer_get_text */
EIF_POINTER F30_1404 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2, EIF_POINTER arg3, EIF_BOOLEAN arg4)
{
	GTCX
	RTEX;
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_text_buffer_get_text", 29, Current, 0, 4, 1421);Result = (EIF_POINTER) gtk_text_buffer_get_text((GtkTextBuffer*) arg1, (GtkTextIter*) arg2, (GtkTextIter*) arg3, (gboolean) arg4);
	
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.gtk_text_view_set_editable */
void F30_1409 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_BOOLEAN arg2)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_text_view_set_editable", 29, Current, 0, 2, 1426);gtk_text_view_set_editable((GtkTextView*) arg1, (gboolean) arg2);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {GTK2}.gtk_text_view_set_wrap_mode */
void F30_1410 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_text_view_set_wrap_mode", 29, Current, 0, 2, 1427);gtk_text_view_set_wrap_mode((GtkTextView*) arg1, (GtkWrapMode) arg2);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {GTK2}.gtk_image_set_from_pixmap */
void F30_1447 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2, EIF_POINTER arg3)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_image_set_from_pixmap", 29, Current, 0, 3, 1464);gtk_image_set_from_pixmap((GtkImage*) arg1, (GdkPixmap*) arg2, (GdkBitmap*) arg3);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {GTK2}.gtk_image_new */
EIF_POINTER F30_1453 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_image_new", 29, Current, 0, 0, 1470);Result = (EIF_POINTER) gtk_image_new();
	
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.gtk_dialog_new */
EIF_POINTER F30_1454 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_dialog_new", 29, Current, 0, 0, 1471);Result = (EIF_POINTER) gtk_dialog_new();
	
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {GTK2}.gtk_widget_modify_font */
void F30_1455 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_widget_modify_font", 29, Current, 0, 2, 1472);gtk_widget_modify_font((GtkWidget*) arg1, (PangoFontDescription*) arg2);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

void EIF_Minit30 (void)
{
	GTCX
}


#ifdef __cplusplus
}
#endif
