/*
 * Code for class EV_DRAWABLE_IMP
 */

#include "eif_eiffel.h"
#include "../E1/estructure.h"
#include "../E1/eoffsets.h"

#include "ev631.h"
#include <ev_gtk.h>
#include <string.h>
#include "eif_built_in.h"
#include <stdlib.h>
#include "eif_misc.h"
#include "eif_helpers.h"

#ifdef __cplusplus
extern "C" {
#endif

#ifndef INLINE_F1270_12425
static void inline_F1270_12425 (EIF_POINTER arg1, EIF_POINTER arg2)
{
	gdk_gc_set_dashes ((GdkGC*) arg1, 0, (gint8*) arg2, 2)
	;
}
#define INLINE_F1270_12425
#endif
#ifndef INLINE_F1270_12388
static void inline_F1270_12388 (EIF_POINTER arg1, EIF_POINTER arg2, EIF_INTEGER_32 arg3)
{
	(FUNCTION_CAST(void, (PangoLayout*, gint)) arg1)((PangoLayout*) arg2, (gint) arg3);
	;
}
#define INLINE_F1270_12388
#endif
#ifndef INLINE_F11_208
static EIF_POINTER inline_F11_208 (EIF_POINTER arg1)
{
	#if GTK_MINOR_VERSION >= 6
	return gdk_pango_renderer_get_default ((GdkScreen*) arg1);
#endif
	;
}
#define INLINE_F11_208
#endif
#ifndef INLINE_F11_209
static void inline_F11_209 (EIF_POINTER arg1, EIF_POINTER arg2)
{
	#if GTK_MINOR_VERSION >= 6
	gdk_pango_renderer_set_drawable ((GdkPangoRenderer*) arg1, (GdkDrawable*) arg2);
#endif
	;
}
#define INLINE_F11_209
#endif
#ifndef INLINE_F11_210
static void inline_F11_210 (EIF_POINTER arg1, EIF_POINTER arg2)
{
	#if GTK_MINOR_VERSION >= 6
	gdk_pango_renderer_set_gc ((GdkPangoRenderer*) arg1, (GdkGC*) arg2);
#endif
	;
}
#define INLINE_F11_210
#endif
#ifndef INLINE_F11_213
static void inline_F11_213 (EIF_POINTER* arg1)
{
	#if GTK_MINOR_VERSION >= 6
	PangoMatrix matrix = PANGO_MATRIX_INIT;
	*(arg1) = (void*) pango_matrix_copy (&matrix);
#endif
	;
}
#define INLINE_F11_213
#endif
#ifndef INLINE_F11_216
static void inline_F11_216 (EIF_POINTER arg1, EIF_REAL_32 arg2, EIF_REAL_32 arg3)
{
	#if GTK_MINOR_VERSION >= 6
	pango_matrix_translate ((PangoMatrix*) arg1, (double) arg2, (double) arg3);
#endif
	;
}
#define INLINE_F11_216
#endif
#ifndef INLINE_F11_215
static void inline_F11_215 (EIF_POINTER arg1, EIF_REAL_32 arg2)
{
	#if GTK_MINOR_VERSION >= 6
	pango_matrix_rotate ((PangoMatrix*) arg1, (double) arg2);
#endif
	;
}
#define INLINE_F11_215
#endif
#ifndef INLINE_F11_217
static void inline_F11_217 (EIF_POINTER arg1, EIF_POINTER arg2)
{
	#if GTK_MINOR_VERSION >= 6
	pango_context_set_matrix ((PangoContext*) arg1, (PangoMatrix*) arg2);
#endif
	;
}
#define INLINE_F11_217
#endif
#ifndef INLINE_F11_207
static void inline_F11_207 (EIF_POINTER arg1, EIF_POINTER arg2, EIF_INTEGER_32 arg3, EIF_INTEGER_32 arg4)
{
	#if GTK_MINOR_VERSION >= 6
	pango_renderer_draw_layout ((PangoRenderer*) arg1, (PangoLayout*) arg2, (gint) arg3, (gint) arg4);
#endif
	;
}
#define INLINE_F11_207
#endif
#ifndef INLINE_F11_214
static void inline_F11_214 (EIF_POINTER arg1)
{
	#if GTK_MINOR_VERSION >= 6
	pango_matrix_free ((PangoMatrix*) arg1);
#endif
	;
}
#define INLINE_F11_214
#endif
#ifndef INLINE_F19_787
static EIF_POINTER inline_F19_787 (EIF_INTEGER_32 arg1, EIF_BOOLEAN arg2, EIF_INTEGER_32 arg3, EIF_INTEGER_32 arg4, EIF_INTEGER_32 arg5)
{
	#if GTK_MAJOR_VERSION > 1
	return gdk_pixbuf_new ((GdkColorspace) arg1, (gboolean) arg2, (int) arg3, (int) arg4, (int) arg5);
#endif
	;
}
#define INLINE_F19_787
#endif
#ifndef INLINE_F1270_12414
static void inline_F1270_12414 (EIF_POINTER arg1, EIF_POINTER arg2)
{
	{
	guint32 x, y;
	guint32 l_pix_height,l_pix_width;
	guint32 l_pix_row_stride;
	guint32 l_mask_row_stride;
	GdkPixbuf *pixbuf, *mask;
	guchar *l_mask_pixels, *l_pixbuf_pixels;
	pixbuf = (GdkPixbuf*) arg1;
	mask = (GdkPixbuf*) arg2;
	l_pix_height = gdk_pixbuf_get_height (pixbuf);
	l_pix_width = gdk_pixbuf_get_width (pixbuf);
	l_pix_row_stride = gdk_pixbuf_get_rowstride(pixbuf);
	l_mask_row_stride = gdk_pixbuf_get_rowstride(mask);
	l_mask_pixels = gdk_pixbuf_get_pixels (mask);
	l_pixbuf_pixels = gdk_pixbuf_get_pixels (pixbuf);
	for (y = 0; y < l_pix_height; y++) {
		guchar *src, *dest;
		src = (l_mask_pixels + (y * l_mask_row_stride));
		dest = (l_pixbuf_pixels + (y * l_pix_row_stride));
		for (x = 0; x < l_pix_width; x++) {
			if (src [0] == (guchar)0) {
				dest [3] = (guchar)0;
			}
			src += 4;
			dest += 4;
		}
	}
}
	;
}
#define INLINE_F1270_12414
#endif
#ifndef INLINE_F11_221
static EIF_POINTER inline_F11_221 (EIF_POINTER arg1)
{
	return gdk_screen_get_rgb_colormap ((GdkScreen*)arg1);
	;
}
#define INLINE_F11_221
#endif

#ifdef __cplusplus
}
#endif


#ifdef __cplusplus
extern "C" {
#endif

/* {EV_DRAWABLE_IMP}.init_default_values */
void F1270_12346 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_16 loc1 = (EIF_INTEGER_16) 0;
	EIF_POINTER tp1;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_16 ti2_1;
	RTCDT;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	ti2_1 = eif_bit_shift_left(((EIF_INTEGER_16) 3L),((EIF_INTEGER_32) 8L));
	loc1 = eif_bit_or(((EIF_INTEGER_16) 3L),ti2_1);
	tp1 = *(EIF_POINTER *)(Current + O9331[dtype-1269]);
	inline_F1270_12425(tp1, (EIF_INTEGER_16 *) &(loc1));
	ti4_1 = (EIF_INTEGER_32) GDK_LINE_SOLID;
	*(EIF_INTEGER_32 *)(Current + O9335[dtype-1269]) = (EIF_INTEGER_32) ti4_1;
	F1270_12369(Current, ((EIF_INTEGER_32) 0L));
	F1270_12368(Current, ((EIF_INTEGER_32) 1L));
	RTLE;
}

/* {EV_DRAWABLE_IMP}.cap_style */
EIF_INTEGER_32 F1270_12352 (EIF_REFERENCE Current)
{
	GTCX
	
	
	return (EIF_INTEGER_32) (EIF_INTEGER_32) GDK_CAP_ROUND;
}

/* {EV_DRAWABLE_IMP}.join_style */
EIF_INTEGER_32 F1270_12353 (EIF_REFERENCE Current)
{
	GTCX
	
	
	return (EIF_INTEGER_32) (EIF_INTEGER_32) GDK_JOIN_BEVEL;
}

/* {EV_DRAWABLE_IMP}.font */
EIF_REFERENCE F1270_12357 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(4);
	RTLR(0,loc1);
	RTLR(1,Current);
	RTLR(2,tr1);
	RTLR(3,Result);
	RTLIU(4);
	
	RTGC;
	tr1 = *(EIF_REFERENCE *)(Current + O9362[Dtype(Current)-1269]);
	loc1 = tr1;
	if (EIF_TEST(loc1)) {
		tr1 = F1101_9584(loc1);
		Result = (EIF_REFERENCE) eif_builtin_ANY_twin__o (tr1);
	} else {
		Result = RTLNS(eif_new_type(1011, 0x00).id, 1011, _OBJSIZ_2_0_0_0_0_0_0_0_);
		F1002_8325(RTCW(Result));
		RTLE;
		return (EIF_REFERENCE) Result;
	}
	RTLE;
	return Result;
}

/* {EV_DRAWABLE_IMP}.foreground_color_internal */
EIF_REFERENCE F1270_12358 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 loc1 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc2 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc3 = (EIF_INTEGER_32) 0;
	EIF_REFERENCE loc4 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	
	RTLI(3);
	RTLR(0,loc4);
	RTLR(1,Current);
	RTLR(2,tr1);
	RTLIU(3);
	
	RTGC;
	tr1 = *(EIF_REFERENCE *)(Current + O9355[Dtype(Current)-1269]);
	loc4 = tr1;
	if (EIF_TEST(loc4)) {
		loc1 = F1011_8499(loc4);
		loc2 = F1011_8500(loc4);
		loc3 = F1011_8501(loc4);
	}
	tr1 = RTLNS(eif_new_type(1010, 0x00).id, 1010, _OBJSIZ_2_0_0_0_0_0_0_0_);
	F1011_8482(RTCW(tr1), loc1, loc2, loc3);
	RTLE;
	return (EIF_REFERENCE) tr1;
}

/* {EV_DRAWABLE_IMP}.background_color_internal */
EIF_REFERENCE F1270_12359 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 loc1 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc2 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc3 = (EIF_INTEGER_32) 0;
	EIF_REFERENCE loc4 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	
	RTLI(3);
	RTLR(0,loc4);
	RTLR(1,Current);
	RTLR(2,tr1);
	RTLIU(3);
	
	RTGC;
	tr1 = *(EIF_REFERENCE *)(Current + O9356[Dtype(Current)-1269]);
	loc4 = tr1;
	if (EIF_TEST(loc4)) {
		loc1 = F1011_8499(loc4);
		loc2 = F1011_8500(loc4);
		loc3 = F1011_8501(loc4);
	} else {
		loc1 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 255L);
		loc2 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 255L);
		loc3 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 255L);
	}
	tr1 = RTLNS(eif_new_type(1010, 0x00).id, 1010, _OBJSIZ_2_0_0_0_0_0_0_0_);
	F1011_8482(RTCW(tr1), loc1, loc2, loc3);
	RTLE;
	return (EIF_REFERENCE) tr1;
}

/* {EV_DRAWABLE_IMP}.line_width */
EIF_INTEGER_32 F1270_12360 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER tp1;
	EIF_POINTER tp2;
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	RTCDT;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	tp1 = (EIF_POINTER) calloc (sizeof(GdkGCValues), 1);
	*(EIF_POINTER *)(Current + O9332[dtype-1269]) = (EIF_POINTER) tp1;
	tp1 = *(EIF_POINTER *)(Current + O9331[dtype-1269]);
	tp2 = *(EIF_POINTER *)(Current + O9332[dtype-1269]);
	gdk_gc_get_values((GdkGC*) tp1, (GdkGCValues*) tp2);
	tp1 = *(EIF_POINTER *)(Current + O9332[dtype-1269]);
	Result = (EIF_INTEGER_32) (((GdkGCValues *)tp1)->line_width);
	tp1 = *(EIF_POINTER *)(Current + O9332[dtype-1269]);
	free(tp1);
	RTLE;
	return Result;
}

/* {EV_DRAWABLE_IMP}.tile */
EIF_REFERENCE F1270_12363 (EIF_REFERENCE Current)
{
	return *(EIF_REFERENCE *)(Current + O9365[Dtype(Current)-1269]);
}


/* {EV_DRAWABLE_IMP}.set_font */
void F1270_12365 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	
	RTLI(4);
	RTLR(0,loc1);
	RTLR(1,arg1);
	RTLR(2,tr1);
	RTLR(3,Current);
	RTLIU(4);
	
	RTGC;
	tr1 = *(EIF_REFERENCE *)(RTCW(arg1) + _REFACS_1_);
	loc1 = tr1;
	loc1 = RTRV(eif_new_type(1120, 0x00),loc1);
	if (EIF_TEST(loc1)) {
		RTAR(Current, loc1);
		*(EIF_REFERENCE *)(Current + O9362[Dtype(Current)-1269]) = (EIF_REFERENCE) loc1;
	} else {
	}
	RTLE;
}

/* {EV_DRAWABLE_IMP}.set_background_color */
void F1270_12366 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_INTEGER_32 ti4_3;
	EIF_BOOLEAN tb1;
	RTCDT;
	RTLD;
	
	RTLI(3);
	RTLR(0,loc1);
	RTLR(1,Current);
	RTLR(2,arg1);
	RTLIU(3);
	
	RTGC;
	loc1 = *(EIF_REFERENCE *)(Current + O9356[dtype-1269]);
	if ((EIF_BOOLEAN)(loc1 == NULL)) {
		loc1 = RTLNSMART(eif_new_type(1010, 0).id);
		F1011_8482(RTCW(loc1), ((EIF_INTEGER_32) 255L), ((EIF_INTEGER_32) 255L), ((EIF_INTEGER_32) 255L));
		RTAR(Current, loc1);
		*(EIF_REFERENCE *)(Current + O9356[dtype-1269]) = (EIF_REFERENCE) loc1;
	}
	tb1 = F1011_8513(RTCW(loc1), arg1);
	if ((EIF_BOOLEAN) !tb1) {
		ti4_1 = F1011_8499(RTCW(arg1));
		F1011_8502(RTCW(loc1), ti4_1);
		ti4_1 = F1011_8500(RTCW(arg1));
		F1011_8503(RTCW(loc1), ti4_1);
		ti4_1 = F1011_8501(RTCW(arg1));
		F1011_8504(RTCW(loc1), ti4_1);
		ti4_1 = F1011_8506(RTCW(arg1));
		ti4_2 = F1011_8507(RTCW(arg1));
		ti4_3 = F1011_8508(RTCW(arg1));
		F1270_12411(Current, (EIF_BOOLEAN) 0, ti4_1, ti4_2, ti4_3);
	}
	RTLE;
}

/* {EV_DRAWABLE_IMP}.set_foreground_color */
void F1270_12367 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_INTEGER_32 ti4_3;
	EIF_BOOLEAN tb1;
	RTCDT;
	RTLD;
	
	RTLI(3);
	RTLR(0,loc1);
	RTLR(1,Current);
	RTLR(2,arg1);
	RTLIU(3);
	
	RTGC;
	loc1 = *(EIF_REFERENCE *)(Current + O9355[dtype-1269]);
	if ((EIF_BOOLEAN)(loc1 == NULL)) {
		loc1 = RTLNSMART(eif_new_type(1010, 0).id);
		F1002_8325(RTCW(loc1));
		RTAR(Current, loc1);
		*(EIF_REFERENCE *)(Current + O9355[dtype-1269]) = (EIF_REFERENCE) loc1;
	}
	tb1 = F1011_8513(RTCW(loc1), arg1);
	if ((EIF_BOOLEAN) !tb1) {
		ti4_1 = F1011_8499(RTCW(arg1));
		F1011_8502(RTCW(loc1), ti4_1);
		ti4_1 = F1011_8500(RTCW(arg1));
		F1011_8503(RTCW(loc1), ti4_1);
		ti4_1 = F1011_8501(RTCW(arg1));
		F1011_8504(RTCW(loc1), ti4_1);
		ti4_1 = F1011_8506(RTCW(arg1));
		ti4_2 = F1011_8507(RTCW(arg1));
		ti4_3 = F1011_8508(RTCW(arg1));
		F1270_12411(Current, (EIF_BOOLEAN) 1, ti4_1, ti4_2, ti4_3);
	}
	RTLE;
}

/* {EV_DRAWABLE_IMP}.set_line_width */
void F1270_12368 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1)
{
	GTCX
	EIF_POINTER tp1;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_INTEGER_32 ti4_3;
	RTCDT;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	tp1 = *(EIF_POINTER *)(Current + O9331[dtype-1269]);
	ti4_1 = *(EIF_INTEGER_32 *)(Current + O9335[dtype-1269]);
	ti4_2 = F1270_12352(Current);
	ti4_3 = F1270_12353(Current);
	gdk_gc_set_line_attributes((GdkGC*) tp1, (gint) arg1, (GdkLineStyle) ti4_1, (GdkCapStyle) ti4_2, (GdkJoinStyle) ti4_3);
	RTLE;
}

/* {EV_DRAWABLE_IMP}.set_drawing_mode */
void F1270_12369 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1)
{
	GTCX
	EIF_POINTER loc1 = (EIF_POINTER) 0;
	EIF_INTEGER_32 ti4_1;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	loc1 = *(EIF_POINTER *)(Current + O9331[Dtype(Current)-1269]);
	switch (arg1) {
		case 0L:
			ti4_1 = (EIF_INTEGER_32) GDK_COPY;
			gdk_gc_set_function((GdkGC*) loc1, (GdkFunction) ti4_1);
			break;
		case 1L:
			ti4_1 = (EIF_INTEGER_32) GDK_XOR;
			gdk_gc_set_function((GdkGC*) loc1, (GdkFunction) ti4_1);
			break;
		case 2L:
			ti4_1 = (EIF_INTEGER_32) GDK_INVERT;
			gdk_gc_set_function((GdkGC*) loc1, (GdkFunction) ti4_1);
			break;
		case 3L:
			ti4_1 = (EIF_INTEGER_32) GDK_AND;
			gdk_gc_set_function((GdkGC*) loc1, (GdkFunction) ti4_1);
			break;
		case 4L:
			ti4_1 = (EIF_INTEGER_32) GDK_OR;
			gdk_gc_set_function((GdkGC*) loc1, (GdkFunction) ti4_1);
			break;
		default:
			break;
	}
	RTLE;
}

/* {EV_DRAWABLE_IMP}.set_clip_area */
void F1270_12370 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	EIF_POINTER loc1 = (EIF_POINTER) 0;
	EIF_POINTER tp1;
	EIF_POINTER tp2;
	EIF_POINTER tp3;
	EIF_REFERENCE tr1 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_INTEGER_16 ti2_1;
	RTCDT;
	RTLD;
	
	RTLI(3);
	RTLR(0,Current);
	RTLR(1,arg1);
	RTLR(2,tr1);
	RTLIU(3);
	
	RTGC;
	tr1 = (EIF_REFERENCE) eif_builtin_ANY_twin__o (arg1);
	RTAR(Current, tr1);
	*(EIF_REFERENCE *)(Current + O9338[dtype-1269]) = (EIF_REFERENCE) tr1;
	loc1 = (EIF_POINTER) calloc (sizeof(GdkRectangle), 1);
	ti4_1 = *(EIF_INTEGER_32 *)(RTCW(arg1)+ _LNGOFF_0_0_0_0_);
	ti2_1 = *(EIF_INTEGER_16 *)(Current + O9348[dtype-1269]);
	ti4_2 = (EIF_INTEGER_32) ti2_1;
	(((GdkRectangle *)loc1)->x = (gint)((EIF_INTEGER_32) (ti4_1 + ti4_2)));
	ti4_1 = *(EIF_INTEGER_32 *)(RTCW(arg1)+ _LNGOFF_0_0_0_1_);
	ti2_1 = *(EIF_INTEGER_16 *)(Current + O9349[dtype-1269]);
	ti4_2 = (EIF_INTEGER_32) ti2_1;
	(((GdkRectangle *)loc1)->y = (gint)((EIF_INTEGER_32) (ti4_1 + ti4_2)));
	ti4_1 = *(EIF_INTEGER_32 *)(RTCW(arg1)+ _LNGOFF_0_0_0_2_);
	(((GdkRectangle *)loc1)->width = (gint)(ti4_1));
	ti4_1 = *(EIF_INTEGER_32 *)(RTCW(arg1)+ _LNGOFF_0_0_0_3_);
	(((GdkRectangle *)loc1)->height = (gint)(ti4_1));
	tp1 = *(EIF_POINTER *)(Current + O9331[dtype-1269]);
	{
		/* INLINED CODE (ANY.default_pointer) */
		tp2 = (EIF_POINTER)  0;
		/* END INLINED CODE */
	}
	tp3 = tp2;
	gdk_gc_set_clip_region((GdkGC*) tp1, (GdkRegion*) tp3);
	tp1 = *(EIF_POINTER *)(Current + O9331[dtype-1269]);
	gdk_gc_set_clip_rectangle((GdkGC*) tp1, (GdkRectangle*) loc1);
	free(loc1);
	RTLE;
}

/* {EV_DRAWABLE_IMP}.remove_clipping */
void F1270_12372 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER tp1;
	EIF_POINTER tp2;
	EIF_POINTER tp3;
	RTCDT;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	*(EIF_REFERENCE *)(Current + O9338[dtype-1269]) = (EIF_REFERENCE) NULL;
	tp1 = *(EIF_POINTER *)(Current + O9331[dtype-1269]);
	{
		/* INLINED CODE (ANY.default_pointer) */
		tp2 = (EIF_POINTER)  0;
		/* END INLINED CODE */
	}
	tp3 = tp2;
	gdk_gc_set_clip_rectangle((GdkGC*) tp1, (GdkRectangle*) tp3);
	tp1 = *(EIF_POINTER *)(Current + O9331[dtype-1269]);
	{
		/* INLINED CODE (ANY.default_pointer) */
		tp2 = (EIF_POINTER)  0;
		/* END INLINED CODE */
	}
	tp3 = tp2;
	gdk_gc_set_clip_region((GdkGC*) tp1, (GdkRegion*) tp3);
	RTLE;
}

/* {EV_DRAWABLE_IMP}.enable_dashed_line_style */
void F1270_12375 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER tp1;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_INTEGER_32 ti4_3;
	EIF_INTEGER_32 ti4_4;
	RTCDT;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	ti4_1 = (EIF_INTEGER_32) GDK_LINE_ON_OFF_DASH;
	*(EIF_INTEGER_32 *)(Current + O9335[dtype-1269]) = (EIF_INTEGER_32) ti4_1;
	tp1 = *(EIF_POINTER *)(Current + O9331[dtype-1269]);
	ti4_1 = F1270_12360(Current);
	ti4_2 = *(EIF_INTEGER_32 *)(Current + O9335[dtype-1269]);
	ti4_3 = F1270_12352(Current);
	ti4_4 = F1270_12353(Current);
	gdk_gc_set_line_attributes((GdkGC*) tp1, (gint) ti4_1, (GdkLineStyle) ti4_2, (GdkCapStyle) ti4_3, (GdkJoinStyle) ti4_4);
	RTLE;
}

/* {EV_DRAWABLE_IMP}.clear */
void F1270_12378 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	RTCDT;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	ti4_1 = (FUNCTION_CAST(EIF_INTEGER_32, (EIF_REFERENCE)) R9237[dtype-1272])(Current);
	ti4_2 = (FUNCTION_CAST(EIF_INTEGER_32, (EIF_REFERENCE)) R9238[dtype-1272])(Current);
	F1270_12379(Current, ((EIF_INTEGER_32) 0L), ((EIF_INTEGER_32) 0L), ti4_1, ti4_2);
	RTLE;
}

/* {EV_DRAWABLE_IMP}.clear_rectangle */
void F1270_12379 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1, EIF_INTEGER_32 arg2, EIF_INTEGER_32 arg3, EIF_INTEGER_32 arg4)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_POINTER tp1;
	EIF_POINTER tp2;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_INTEGER_32 ti4_3;
	EIF_INTEGER_16 ti2_1;
	RTCDT;
	RTLD;
	
	RTLI(3);
	RTLR(0,Current);
	RTLR(1,loc1);
	RTLR(2,loc2);
	RTLIU(3);
	
	RTGC;
	{
		/* INLINED CODE (ANY.default_pointer) */
		tp1 = (EIF_POINTER)  0;
		/* END INLINED CODE */
	}
	if ((EIF_BOOLEAN)((FUNCTION_CAST(EIF_POINTER, (EIF_REFERENCE)) R9333[dtype-1272])(Current) != tp1)) {
		loc1 = *(EIF_REFERENCE *)(Current + O9355[dtype-1269]);
		if ((EIF_BOOLEAN)(loc1 == NULL)) {
			loc1 = F1141_10449(Current);
		}
		loc2 = *(EIF_REFERENCE *)(Current + O9356[dtype-1269]);
		if ((EIF_BOOLEAN)(loc2 == NULL)) {
			loc2 = F1141_10450(Current);
		}
		ti4_1 = F1011_8506(RTCW(loc2));
		ti4_2 = F1011_8507(RTCW(loc2));
		ti4_3 = F1011_8508(RTCW(loc2));
		F1270_12411(Current, (EIF_BOOLEAN) 1, ti4_1, ti4_2, ti4_3);
		tp1 = (FUNCTION_CAST(EIF_POINTER, (EIF_REFERENCE)) R9333[dtype-1272])(Current);
		tp2 = *(EIF_POINTER *)(Current + O9331[dtype-1269]);
		ti2_1 = *(EIF_INTEGER_16 *)(Current + O9348[dtype-1269]);
		ti4_1 = (EIF_INTEGER_32) ti2_1;
		ti4_2 = (EIF_INTEGER_32) ((EIF_INTEGER_16) -32768L);
		ti4_1 = eif_max_int32 ((EIF_INTEGER_32) (arg1 + ti4_1),ti4_2);
		ti4_2 = (EIF_INTEGER_32) ((EIF_INTEGER_16) 32767L);
		ti4_1 = eif_min_int32 (ti4_1,ti4_2);
		ti2_1 = *(EIF_INTEGER_16 *)(Current + O9349[dtype-1269]);
		ti4_2 = (EIF_INTEGER_32) ti2_1;
		ti4_3 = (EIF_INTEGER_32) ((EIF_INTEGER_16) -32768L);
		ti4_2 = eif_max_int32 ((EIF_INTEGER_32) (arg2 + ti4_2),ti4_3);
		ti4_3 = (EIF_INTEGER_32) ((EIF_INTEGER_16) 32767L);
		ti4_2 = eif_min_int32 (ti4_2,ti4_3);
		gdk_draw_rectangle((GdkDrawable*) tp1, (GdkGC*) tp2, (gint) ((EIF_INTEGER_32) 1L), (gint) ti4_1, (gint) ti4_2, (gint) arg3, (gint) arg4);
		ti4_1 = F1011_8506(RTCW(loc1));
		ti4_2 = F1011_8507(RTCW(loc1));
		ti4_3 = F1011_8508(RTCW(loc1));
		F1270_12411(Current, (EIF_BOOLEAN) 1, ti4_1, ti4_2, ti4_3);
		(FUNCTION_CAST(void, (EIF_REFERENCE)) R9359[dtype-1272])(Current);
	}
	RTLE;
}

/* {EV_DRAWABLE_IMP}.draw_point */
void F1270_12380 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	EIF_POINTER tp1;
	EIF_POINTER tp2;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_INTEGER_32 ti4_3;
	EIF_INTEGER_16 ti2_1;
	RTCDT;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	{
		/* INLINED CODE (ANY.default_pointer) */
		tp1 = (EIF_POINTER)  0;
		/* END INLINED CODE */
	}
	if ((EIF_BOOLEAN)((FUNCTION_CAST(EIF_POINTER, (EIF_REFERENCE)) R9333[dtype-1272])(Current) != tp1)) {
		tp1 = (FUNCTION_CAST(EIF_POINTER, (EIF_REFERENCE)) R9333[dtype-1272])(Current);
		tp2 = *(EIF_POINTER *)(Current + O9331[dtype-1269]);
		ti2_1 = *(EIF_INTEGER_16 *)(Current + O9348[dtype-1269]);
		ti4_1 = (EIF_INTEGER_32) ti2_1;
		ti4_2 = (EIF_INTEGER_32) ((EIF_INTEGER_16) -32768L);
		ti4_1 = eif_max_int32 ((EIF_INTEGER_32) (arg1 + ti4_1),ti4_2);
		ti4_2 = (EIF_INTEGER_32) ((EIF_INTEGER_16) 32767L);
		ti4_1 = eif_min_int32 (ti4_1,ti4_2);
		ti2_1 = *(EIF_INTEGER_16 *)(Current + O9349[dtype-1269]);
		ti4_2 = (EIF_INTEGER_32) ti2_1;
		ti4_3 = (EIF_INTEGER_32) ((EIF_INTEGER_16) -32768L);
		ti4_2 = eif_max_int32 ((EIF_INTEGER_32) (arg2 + ti4_2),ti4_3);
		ti4_3 = (EIF_INTEGER_32) ((EIF_INTEGER_16) 32767L);
		ti4_2 = eif_min_int32 (ti4_2,ti4_3);
		gdk_draw_point((GdkDrawable*) tp1, (GdkGC*) tp2, (gint) ti4_1, (gint) ti4_2);
		(FUNCTION_CAST(void, (EIF_REFERENCE)) R9359[dtype-1272])(Current);
	}
	RTLE;
}

/* {EV_DRAWABLE_IMP}.draw_text */
void F1270_12381 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1, EIF_INTEGER_32 arg2, EIF_REFERENCE arg3)
{
	GTCX
	EIF_REAL_32 tr4_1;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_INTEGER_32 ti4_3;
	RTLD;
	
	RTLI(2);
	RTLR(0,arg3);
	RTLR(1,Current);
	RTLIU(2);
	
	RTGC;
	ti4_1 = (EIF_INTEGER_32) ((EIF_INTEGER_16) -32768L);
	ti4_1 = eif_max_int32 (arg1,ti4_1);
	ti4_2 = (EIF_INTEGER_32) ((EIF_INTEGER_16) 32767L);
	ti4_1 = eif_min_int32 (ti4_1,ti4_2);
	ti4_2 = (EIF_INTEGER_32) ((EIF_INTEGER_16) -32768L);
	ti4_2 = eif_max_int32 (arg2,ti4_2);
	ti4_3 = (EIF_INTEGER_32) ((EIF_INTEGER_16) 32767L);
	ti4_2 = eif_min_int32 (ti4_2,ti4_3);
	tr4_1 = (EIF_REAL_32) (((EIF_INTEGER_32) 0L));
	F1270_12386(Current, ti4_1, ti4_2, arg3, (EIF_BOOLEAN) 1, ((EIF_INTEGER_32) -1L), tr4_1);
	RTLE;
}

/* {EV_DRAWABLE_IMP}.draw_text_top_left */
void F1270_12385 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1, EIF_INTEGER_32 arg2, EIF_REFERENCE arg3)
{
	GTCX
	EIF_REAL_32 tr4_1;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_INTEGER_32 ti4_3;
	RTLD;
	
	RTLI(2);
	RTLR(0,arg3);
	RTLR(1,Current);
	RTLIU(2);
	
	RTGC;
	ti4_1 = (EIF_INTEGER_32) ((EIF_INTEGER_16) -32768L);
	ti4_1 = eif_max_int32 (arg1,ti4_1);
	ti4_2 = (EIF_INTEGER_32) ((EIF_INTEGER_16) 32767L);
	ti4_1 = eif_min_int32 (ti4_1,ti4_2);
	ti4_2 = (EIF_INTEGER_32) ((EIF_INTEGER_16) -32768L);
	ti4_2 = eif_max_int32 (arg2,ti4_2);
	ti4_3 = (EIF_INTEGER_32) ((EIF_INTEGER_16) 32767L);
	ti4_2 = eif_min_int32 (ti4_2,ti4_3);
	tr4_1 = (EIF_REAL_32) (((EIF_INTEGER_32) 0L));
	F1270_12386(Current, ti4_1, ti4_2, arg3, (EIF_BOOLEAN) 0, ((EIF_INTEGER_32) -1L), tr4_1);
	RTLE;
}

/* {EV_DRAWABLE_IMP}.draw_text_internal */
void F1270_12386 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1, EIF_INTEGER_32 arg2, EIF_REFERENCE arg3, EIF_BOOLEAN arg4, EIF_INTEGER_32 arg5, EIF_REAL_32 arg6)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_POINTER loc2 = (EIF_POINTER) 0;
	EIF_INTEGER_32 loc3 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc4 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc5 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc6 = (EIF_INTEGER_32) 0;
	EIF_REFERENCE loc7 = (EIF_REFERENCE) 0;
	EIF_POINTER loc8 = (EIF_POINTER) 0;
	EIF_POINTER loc9 = (EIF_POINTER) 0;
	EIF_REFERENCE loc10 = (EIF_REFERENCE) 0;
	EIF_POINTER loc11 = (EIF_POINTER) 0;
	EIF_POINTER loc12 = (EIF_POINTER) 0;
	EIF_POINTER tp1;
	EIF_POINTER tp2;
	EIF_REFERENCE tr1 = NULL;
	EIF_REAL_32 tr4_1;
	EIF_REAL_32 tr4_2;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_INTEGER_32 ti4_3;
	EIF_INTEGER_16 ti2_1;
	RTCDT;
	RTLD;
	
	RTLI(6);
	RTLR(0,Current);
	RTLR(1,loc10);
	RTLR(2,tr1);
	RTLR(3,loc1);
	RTLR(4,arg3);
	RTLR(5,loc7);
	RTLIU(6);
	
	RTGC;
	{
		/* INLINED CODE (ANY.default_pointer) */
		tp1 = (EIF_POINTER)  0;
		/* END INLINED CODE */
	}
	if ((EIF_BOOLEAN)((FUNCTION_CAST(EIF_POINTER, (EIF_REFERENCE)) R9333[dtype-1272])(Current) != tp1)) {
		loc10 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R9354[dtype-1272])(Current);
		ti2_1 = *(EIF_INTEGER_16 *)(Current + O9348[dtype-1269]);
		loc3 = (EIF_INTEGER_32) ti2_1;
		loc3 = (EIF_INTEGER_32) (EIF_INTEGER_32) (arg1 + loc3);
		ti2_1 = *(EIF_INTEGER_16 *)(Current + O9349[dtype-1269]);
		loc4 = (EIF_INTEGER_32) ti2_1;
		loc4 = (EIF_INTEGER_32) (EIF_INTEGER_32) (arg2 + loc4);
		loc5 = (EIF_INTEGER_32) loc3;
		if (arg4) {
			if ((EIF_BOOLEAN)(*(EIF_REFERENCE *)(Current + O9362[dtype-1269]) != NULL)) {
				tr1 = *(EIF_REFERENCE *)(Current + O9362[dtype-1269]);
				loc6 = *(EIF_INTEGER_32 *)(RTCW(tr1)+ _LNGOFF_3_2_0_1_);
				loc6 = (EIF_INTEGER_32) (EIF_INTEGER_32) (loc4 - loc6);
			} else {
				loc6 = F1123_10232(RTCW(loc10));
				loc6 = (EIF_INTEGER_32) (EIF_INTEGER_32) (loc4 - loc6);
			}
		} else {
			loc6 = (EIF_INTEGER_32) loc4;
		}
		loc1 = F1123_10235(RTCW(loc10), arg3);
		loc2 = RTOUCB(EIF_POINTER,193,F850_6376, (RTCW(loc10)));
		tp1 = *(EIF_POINTER *)(RTCW(loc1)+ _PTROFF_0_1_0_1_0_0_);
		ti4_1 = *(EIF_INTEGER_32 *)(RTCW(loc1)+ _LNGOFF_0_1_0_0_);
		pango_layout_set_text((PangoLayout*) loc2, (char*) tp1, (int) ti4_1);
		if ((EIF_BOOLEAN)(*(EIF_REFERENCE *)(Current + O9362[dtype-1269]) != NULL)) {
			tr1 = *(EIF_REFERENCE *)(Current + O9362[dtype-1269]);
			tp1 = *(EIF_POINTER *)(RTCW(tr1)+ _PTROFF_3_2_0_8_0_0_);
			pango_layout_set_font_description((PangoLayout*) loc2, (PangoFontDescription*) tp1);
		}
		if ((EIF_BOOLEAN)(arg5 != ((EIF_INTEGER_32) -1L))) {
			loc12 = RTOUCB(EIF_POINTER,288,F1270_12387, (Current));
			{
				/* INLINED CODE (ANY.default_pointer) */
				tp1 = (EIF_POINTER)  0;
				/* END INLINED CODE */
			}
			if ((EIF_BOOLEAN)(loc12 == tp1)) {
				loc7 = *(EIF_REFERENCE *)(Current + O9338[dtype-1269]);
				tr1 = RTLNS(eif_new_type(768, 0x00).id, 768, _OBJSIZ_0_0_0_4_0_0_0_0_);
				F769_5251(RTCW(tr1), loc3, loc4, arg5, ((EIF_INTEGER_32) 10000L));
				F1270_12370(Current, tr1);
				ti4_1 = (EIF_INTEGER_32) PANGO_SCALE;
				pango_layout_set_width((PangoLayout*) loc2, (int) (EIF_INTEGER_32) (((EIF_INTEGER_32) 10000L) * ti4_1));
			} else {
				inline_F1270_12388(loc12, loc2, ((EIF_INTEGER_32) 3L));
				ti4_1 = (EIF_INTEGER_32) PANGO_SCALE;
				pango_layout_set_width((PangoLayout*) loc2, (int) (EIF_INTEGER_32) (arg5 * ti4_1));
			}
		}
		tr4_1 = (EIF_REAL_32) (((EIF_INTEGER_32) 0L));
		if ((EIF_BOOLEAN) eif_is_equal_real_32 (arg6, tr4_1)) {
			tp1 = (FUNCTION_CAST(EIF_POINTER, (EIF_REFERENCE)) R9333[dtype-1272])(Current);
			tp2 = *(EIF_POINTER *)(Current + O9331[dtype-1269]);
			ti4_1 = (EIF_INTEGER_32) ((EIF_INTEGER_16) -32768L);
			ti4_1 = eif_max_int32 (loc5,ti4_1);
			ti4_2 = (EIF_INTEGER_32) ((EIF_INTEGER_16) 32767L);
			ti4_1 = eif_min_int32 (ti4_1,ti4_2);
			ti4_2 = (EIF_INTEGER_32) ((EIF_INTEGER_16) -32768L);
			ti4_2 = eif_max_int32 (loc6,ti4_2);
			ti4_3 = (EIF_INTEGER_32) ((EIF_INTEGER_16) 32767L);
			ti4_2 = eif_min_int32 (ti4_2,ti4_3);
			gdk_draw_layout((GdkDrawable*) tp1, (GdkGC*) tp2, (gint) ti4_1, (gint) ti4_2, (PangoLayout*) loc2);
		} else {
			tp1 = (EIF_POINTER) gdk_screen_get_default();
			loc11 = inline_F11_208(tp1);
			tp1 = (FUNCTION_CAST(EIF_POINTER, (EIF_REFERENCE)) R9333[dtype-1272])(Current);
			inline_F11_209(loc11, tp1);
			tp1 = *(EIF_POINTER *)(Current + O9331[dtype-1269]);
			inline_F11_210(loc11, tp1);
			loc9 = (EIF_POINTER) pango_layout_get_context((PangoLayout*) loc2);
			inline_F11_213((EIF_POINTER *) &(loc8));
			ti4_1 = (EIF_INTEGER_32) ((EIF_INTEGER_16) -32768L);
			ti4_1 = eif_max_int32 (loc3,ti4_1);
			ti4_2 = (EIF_INTEGER_32) ((EIF_INTEGER_16) 32767L);
			ti4_1 = eif_min_int32 (ti4_1,ti4_2);
			tr4_1 = (EIF_REAL_32) (ti4_1);
			ti4_1 = (EIF_INTEGER_32) ((EIF_INTEGER_16) -32768L);
			ti4_1 = eif_max_int32 (loc4,ti4_1);
			ti4_2 = (EIF_INTEGER_32) ((EIF_INTEGER_16) 32767L);
			ti4_1 = eif_min_int32 (ti4_1,ti4_2);
			tr4_2 = (EIF_REAL_32) (ti4_1);
			inline_F11_216(loc8, tr4_1, tr4_2);
			tr4_1 = (EIF_REAL_32) (3.1415926535897931);
			tr4_2 = (EIF_REAL_32) (((EIF_INTEGER_32) 180L));
			inline_F11_215(loc8, (EIF_REAL_32) ((EIF_REAL_32) ((EIF_REAL_64) (arg6) /  (EIF_REAL_64) (tr4_1)) * tr4_2));
			tr4_1 = (EIF_REAL_32) (((EIF_INTEGER_32) 0L));
			tr4_2 = (EIF_REAL_32) ((EIF_INTEGER_32) -(EIF_INTEGER_32) (loc4 - loc6));
			inline_F11_216(loc8, tr4_1, tr4_2);
			inline_F11_217(loc9, loc8);
			inline_F11_207(loc11, loc2, ((EIF_INTEGER_32) 0L), ((EIF_INTEGER_32) 0L));
			{
				/* INLINED CODE (ANY.default_pointer) */
				tp1 = (EIF_POINTER)  0;
				/* END INLINED CODE */
			}
			tp2 = tp1;
			inline_F11_209(loc11, tp2);
			{
				/* INLINED CODE (ANY.default_pointer) */
				tp1 = (EIF_POINTER)  0;
				/* END INLINED CODE */
			}
			tp2 = tp1;
			inline_F11_210(loc11, tp2);
		}
		if ((EIF_BOOLEAN)(arg5 != ((EIF_INTEGER_32) -1L))) {
			{
				/* INLINED CODE (ANY.default_pointer) */
				tp1 = (EIF_POINTER)  0;
				/* END INLINED CODE */
			}
			if ((EIF_BOOLEAN)(loc12 != tp1)) {
				inline_F1270_12388(loc12, loc2, ((EIF_INTEGER_32) 0L));
			} else {
				if ((EIF_BOOLEAN)(loc7 != NULL)) {
					F1270_12370(Current, loc7);
				} else {
					F1270_12372(Current);
				}
			}
		}
		pango_layout_set_width((PangoLayout*) loc2, (int) ((EIF_INTEGER_32) -1L));
		{
			/* INLINED CODE (ANY.default_pointer) */
			tp1 = (EIF_POINTER)  0;
			/* END INLINED CODE */
		}
		tp2 = tp1;
		pango_layout_set_font_description((PangoLayout*) loc2, (PangoFontDescription*) tp2);
		{
			/* INLINED CODE (ANY.default_pointer) */
			tp1 = (EIF_POINTER)  0;
			/* END INLINED CODE */
		}
		if ((EIF_BOOLEAN)(loc9 != tp1)) {
			{
				/* INLINED CODE (ANY.default_pointer) */
				tp1 = (EIF_POINTER)  0;
				/* END INLINED CODE */
			}
			tp2 = tp1;
			inline_F11_217(loc9, tp2);
			inline_F11_214(loc8);
		}
	}
	RTLE;
}

/* {EV_DRAWABLE_IMP}.pango_layout_set_ellipsize_symbol */
static EIF_POINTER F1270_12387_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	RTLD;
	
#define Result RTOTRB(EIF_POINTER)
	RTOUDB(EIF_POINTER, 288)

	RTLI(3);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,tr2);
	RTLIU(3);
	
	RTEV;
	RTGC;
	RTOTP;
	tr1 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R9354[Dtype(Current)-1272])(Current);
	tr2 = RTMS_EX_H("pango_layout_set_ellipsize",26,486032485);
	Result = F1123_10145(RTCW(tr1), tr2);
	RTOTE;
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_POINTER F1270_12387 (EIF_REFERENCE Current)
{
	GTCX
	return RTOUCB(EIF_POINTER,288,F1270_12387_body,(Current));
}

/* {EV_DRAWABLE_IMP}.pango_layout_set_ellipsize_call */
void F1270_12388 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2, EIF_INTEGER_32 arg3)
{
	GTCX
	
	
	inline_F1270_12388 ((EIF_POINTER) arg1, (EIF_POINTER) arg2, (EIF_INTEGER_32) arg3);
}

/* {EV_DRAWABLE_IMP}.draw_segment */
void F1270_12389 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1, EIF_INTEGER_32 arg2, EIF_INTEGER_32 arg3, EIF_INTEGER_32 arg4)
{
	GTCX
	EIF_POINTER tp1;
	EIF_POINTER tp2;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_INTEGER_32 ti4_3;
	EIF_INTEGER_32 ti4_4;
	EIF_INTEGER_32 ti4_5;
	EIF_INTEGER_16 ti2_1;
	RTCDT;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	{
		/* INLINED CODE (ANY.default_pointer) */
		tp1 = (EIF_POINTER)  0;
		/* END INLINED CODE */
	}
	if ((EIF_BOOLEAN)((FUNCTION_CAST(EIF_POINTER, (EIF_REFERENCE)) R9333[dtype-1272])(Current) != tp1)) {
		tp1 = (FUNCTION_CAST(EIF_POINTER, (EIF_REFERENCE)) R9333[dtype-1272])(Current);
		tp2 = *(EIF_POINTER *)(Current + O9331[dtype-1269]);
		ti2_1 = *(EIF_INTEGER_16 *)(Current + O9348[dtype-1269]);
		ti4_1 = (EIF_INTEGER_32) ti2_1;
		ti4_2 = (EIF_INTEGER_32) ((EIF_INTEGER_16) -32768L);
		ti4_1 = eif_max_int32 ((EIF_INTEGER_32) (arg1 + ti4_1),ti4_2);
		ti4_2 = (EIF_INTEGER_32) ((EIF_INTEGER_16) 32767L);
		ti4_1 = eif_min_int32 (ti4_1,ti4_2);
		ti2_1 = *(EIF_INTEGER_16 *)(Current + O9349[dtype-1269]);
		ti4_2 = (EIF_INTEGER_32) ti2_1;
		ti4_3 = (EIF_INTEGER_32) ((EIF_INTEGER_16) -32768L);
		ti4_2 = eif_max_int32 ((EIF_INTEGER_32) (arg2 + ti4_2),ti4_3);
		ti4_3 = (EIF_INTEGER_32) ((EIF_INTEGER_16) 32767L);
		ti4_2 = eif_min_int32 (ti4_2,ti4_3);
		ti2_1 = *(EIF_INTEGER_16 *)(Current + O9348[dtype-1269]);
		ti4_3 = (EIF_INTEGER_32) ti2_1;
		ti4_4 = (EIF_INTEGER_32) ((EIF_INTEGER_16) -32768L);
		ti4_3 = eif_max_int32 ((EIF_INTEGER_32) (arg3 + ti4_3),ti4_4);
		ti4_4 = (EIF_INTEGER_32) ((EIF_INTEGER_16) 32767L);
		ti4_3 = eif_min_int32 (ti4_3,ti4_4);
		ti2_1 = *(EIF_INTEGER_16 *)(Current + O9349[dtype-1269]);
		ti4_4 = (EIF_INTEGER_32) ti2_1;
		ti4_5 = (EIF_INTEGER_32) ((EIF_INTEGER_16) -32768L);
		ti4_4 = eif_max_int32 ((EIF_INTEGER_32) (arg4 + ti4_4),ti4_5);
		ti4_5 = (EIF_INTEGER_32) ((EIF_INTEGER_16) 32767L);
		ti4_4 = eif_min_int32 (ti4_4,ti4_5);
		gdk_draw_line((GdkDrawable*) tp1, (GdkGC*) tp2, (gint) ti4_1, (gint) ti4_2, (gint) ti4_3, (gint) ti4_4);
		(FUNCTION_CAST(void, (EIF_REFERENCE)) R9359[dtype-1272])(Current);
	}
	RTLE;
}

/* {EV_DRAWABLE_IMP}.draw_rectangle */
void F1270_12397 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1, EIF_INTEGER_32 arg2, EIF_INTEGER_32 arg3, EIF_INTEGER_32 arg4)
{
	GTCX
	EIF_POINTER tp1;
	EIF_POINTER tp2;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_INTEGER_32 ti4_3;
	EIF_INTEGER_16 ti2_1;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	RTCDT;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	tb1 = '\0';
	tb2 = '\0';
	{
		/* INLINED CODE (ANY.default_pointer) */
		tp1 = (EIF_POINTER)  0;
		/* END INLINED CODE */
	}
	if ((EIF_BOOLEAN)((FUNCTION_CAST(EIF_POINTER, (EIF_REFERENCE)) R9333[dtype-1272])(Current) != tp1)) {
		tb2 = (EIF_BOOLEAN) (arg3 > ((EIF_INTEGER_32) 0L));
	}
	if (tb2) {
		tb1 = (EIF_BOOLEAN) (arg4 > ((EIF_INTEGER_32) 0L));
	}
	if (tb1) {
		tp1 = (FUNCTION_CAST(EIF_POINTER, (EIF_REFERENCE)) R9333[dtype-1272])(Current);
		tp2 = *(EIF_POINTER *)(Current + O9331[dtype-1269]);
		ti2_1 = *(EIF_INTEGER_16 *)(Current + O9348[dtype-1269]);
		ti4_1 = (EIF_INTEGER_32) ti2_1;
		ti4_2 = (EIF_INTEGER_32) ((EIF_INTEGER_16) -32768L);
		ti4_1 = eif_max_int32 ((EIF_INTEGER_32) (arg1 + ti4_1),ti4_2);
		ti4_2 = (EIF_INTEGER_32) ((EIF_INTEGER_16) 32767L);
		ti4_1 = eif_min_int32 (ti4_1,ti4_2);
		ti2_1 = *(EIF_INTEGER_16 *)(Current + O9349[dtype-1269]);
		ti4_2 = (EIF_INTEGER_32) ti2_1;
		ti4_3 = (EIF_INTEGER_32) ((EIF_INTEGER_16) -32768L);
		ti4_2 = eif_max_int32 ((EIF_INTEGER_32) (arg2 + ti4_2),ti4_3);
		ti4_3 = (EIF_INTEGER_32) ((EIF_INTEGER_16) 32767L);
		ti4_2 = eif_min_int32 (ti4_2,ti4_3);
		gdk_draw_rectangle((GdkDrawable*) tp1, (GdkGC*) tp2, (gint) ((EIF_INTEGER_32) 0L), (gint) ti4_1, (gint) ti4_2, (gint) (EIF_INTEGER_32) (arg3 - ((EIF_INTEGER_32) 1L)), (gint) (EIF_INTEGER_32) (arg4 - ((EIF_INTEGER_32) 1L)));
		(FUNCTION_CAST(void, (EIF_REFERENCE)) R9359[dtype-1272])(Current);
	}
	RTLE;
}

/* {EV_DRAWABLE_IMP}.fill_rectangle */
void F1270_12401 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1, EIF_INTEGER_32 arg2, EIF_INTEGER_32 arg3, EIF_INTEGER_32 arg4)
{
	GTCX
	EIF_POINTER tp1;
	EIF_POINTER tp2;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_INTEGER_32 ti4_3;
	EIF_INTEGER_16 ti2_1;
	RTCDT;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	{
		/* INLINED CODE (ANY.default_pointer) */
		tp1 = (EIF_POINTER)  0;
		/* END INLINED CODE */
	}
	if ((EIF_BOOLEAN)((FUNCTION_CAST(EIF_POINTER, (EIF_REFERENCE)) R9333[dtype-1272])(Current) != tp1)) {
		if ((EIF_BOOLEAN)(*(EIF_REFERENCE *)(Current + O9365[dtype-1269]) != NULL)) {
			tp1 = *(EIF_POINTER *)(Current + O9331[dtype-1269]);
			ti4_1 = (EIF_INTEGER_32) GDK_TILED;
			gdk_gc_set_fill((GdkGC*) tp1, (GdkFill) ti4_1);
		}
		tp1 = (FUNCTION_CAST(EIF_POINTER, (EIF_REFERENCE)) R9333[dtype-1272])(Current);
		tp2 = *(EIF_POINTER *)(Current + O9331[dtype-1269]);
		ti2_1 = *(EIF_INTEGER_16 *)(Current + O9348[dtype-1269]);
		ti4_1 = (EIF_INTEGER_32) ti2_1;
		ti4_2 = (EIF_INTEGER_32) ((EIF_INTEGER_16) -32768L);
		ti4_1 = eif_max_int32 ((EIF_INTEGER_32) (arg1 + ti4_1),ti4_2);
		ti4_2 = (EIF_INTEGER_32) ((EIF_INTEGER_16) 32767L);
		ti4_1 = eif_min_int32 (ti4_1,ti4_2);
		ti2_1 = *(EIF_INTEGER_16 *)(Current + O9349[dtype-1269]);
		ti4_2 = (EIF_INTEGER_32) ti2_1;
		ti4_3 = (EIF_INTEGER_32) ((EIF_INTEGER_16) -32768L);
		ti4_2 = eif_max_int32 ((EIF_INTEGER_32) (arg2 + ti4_2),ti4_3);
		ti4_3 = (EIF_INTEGER_32) ((EIF_INTEGER_16) 32767L);
		ti4_2 = eif_min_int32 (ti4_2,ti4_3);
		gdk_draw_rectangle((GdkDrawable*) tp1, (GdkGC*) tp2, (gint) ((EIF_INTEGER_32) 1L), (gint) ti4_1, (gint) ti4_2, (gint) arg3, (gint) arg4);
		tp1 = *(EIF_POINTER *)(Current + O9331[dtype-1269]);
		ti4_1 = (EIF_INTEGER_32) GDK_SOLID;
		gdk_gc_set_fill((GdkGC*) tp1, (GdkFill) ti4_1);
		(FUNCTION_CAST(void, (EIF_REFERENCE)) R9359[dtype-1272])(Current);
	}
	RTLE;
}

/* {EV_DRAWABLE_IMP}.pixbuf_from_drawable */
EIF_POINTER F1270_12406 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	RTCDT;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	ti4_1 = (FUNCTION_CAST(EIF_INTEGER_32, (EIF_REFERENCE)) R9237[dtype-1272])(Current);
	ti4_2 = (FUNCTION_CAST(EIF_INTEGER_32, (EIF_REFERENCE)) R9238[dtype-1272])(Current);
	Result = F1270_12407(Current, ((EIF_INTEGER_32) 0L), ((EIF_INTEGER_32) 0L), ((EIF_INTEGER_32) 0L), ((EIF_INTEGER_32) 0L), ti4_1, ti4_2);
	RTLE;
	return Result;
}

/* {EV_DRAWABLE_IMP}.pixbuf_from_drawable_at_position */
EIF_POINTER F1270_12407 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1, EIF_INTEGER_32 arg2, EIF_INTEGER_32 arg3, EIF_INTEGER_32 arg4, EIF_INTEGER_32 arg5, EIF_INTEGER_32 arg6)
{
	GTCX
	EIF_POINTER loc1 = (EIF_POINTER) 0;
	EIF_POINTER loc2 = (EIF_POINTER) 0;
	EIF_POINTER loc3 = (EIF_POINTER) 0;
	EIF_POINTER tp1;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_INTEGER_16 ti2_1;
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	RTCDT;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	tp1 = (FUNCTION_CAST(EIF_POINTER, (EIF_REFERENCE)) R9333[dtype-1272])(Current);
	ti2_1 = *(EIF_INTEGER_16 *)(Current + O9348[dtype-1269]);
	ti4_1 = (EIF_INTEGER_32) ti2_1;
	ti2_1 = *(EIF_INTEGER_16 *)(Current + O9349[dtype-1269]);
	ti4_2 = (EIF_INTEGER_32) ti2_1;
	Result = (EIF_POINTER) gdk_pixbuf_get_from_drawable((GdkPixbuf*) loc3, (GdkDrawable*) tp1, (GdkColormap*) loc3, (int) (EIF_INTEGER_32) (arg1 + ti4_1), (int) (EIF_INTEGER_32) (arg2 + ti4_2), (int) arg3, (int) arg4, (int) arg5, (int) arg6);
	if ((EIF_BOOLEAN)(Result == loc3)) {
		Result = inline_F19_787(((EIF_INTEGER_32) 0L), (EIF_BOOLEAN) 1, ((EIF_INTEGER_32) 8L), arg5, arg6);
		RTLE;
		return (EIF_POINTER) Result;
	} else {
		if ((EIF_BOOLEAN)((FUNCTION_CAST(EIF_POINTER, (EIF_REFERENCE)) R9334[dtype-1272])(Current) != loc3)) {
			tp1 = (FUNCTION_CAST(EIF_POINTER, (EIF_REFERENCE)) R9334[dtype-1272])(Current);
			loc1 = (EIF_POINTER) gdk_pixbuf_get_from_drawable((GdkPixbuf*) loc3, (GdkDrawable*) tp1, (GdkColormap*) loc3, (int) arg1, (int) arg2, (int) arg3, (int) arg4, (int) arg5, (int) arg6);
			if ((EIF_BOOLEAN)(loc1 != loc3)) {
				loc2 = (EIF_POINTER) loc1;
				tp1 = (EIF_POINTER) gdk_pixbuf_add_alpha((GdkPixbuf*) loc1, (gboolean) (EIF_BOOLEAN) 1, (guchar) (EIF_NATURAL_8) ((EIF_INTEGER_32) 255L), (guchar) (EIF_NATURAL_8) ((EIF_INTEGER_32) 255L), (guchar) (EIF_NATURAL_8) ((EIF_INTEGER_32) 255L));
				loc1 = (EIF_POINTER) tp1;
				g_object_unref((gpointer) loc2);
				loc2 = (EIF_POINTER) Result;
				tp1 = (EIF_POINTER) gdk_pixbuf_add_alpha((GdkPixbuf*) Result, (gboolean) (EIF_BOOLEAN) 0, (guchar) (EIF_NATURAL_8) ((EIF_INTEGER_32) 0L), (guchar) (EIF_NATURAL_8) ((EIF_INTEGER_32) 0L), (guchar) (EIF_NATURAL_8) ((EIF_INTEGER_32) 0L));
				Result = (EIF_POINTER) tp1;
				g_object_unref((gpointer) loc2);
				ti4_1 = (EIF_INTEGER_32) GDK_INTERP_BILINEAR;
				gdk_pixbuf_composite((GdkPixbuf*) loc1, (GdkPixbuf*) Result, (int) ((EIF_INTEGER_32) 0L), (int) ((EIF_INTEGER_32) 0L), (int) arg5, (int) arg6, (double) (EIF_REAL_64) 0.0, (double) (EIF_REAL_64) 0.0, (double) (EIF_REAL_64) 1.0, (double) (EIF_REAL_64) 1.0, (GdkInterpType) ti4_1, (int) ((EIF_INTEGER_32) 255L));
				inline_F1270_12414(Result, loc1);
				g_object_unref((gpointer) loc1);
			}
		}
	}
	RTLE;
	return Result;
}

/* {EV_DRAWABLE_IMP}.internal_set_color */
void F1270_12411 (EIF_REFERENCE Current, EIF_BOOLEAN arg1, EIF_INTEGER_32 arg2, EIF_INTEGER_32 arg3, EIF_INTEGER_32 arg4)
{
	GTCX
	EIF_POINTER loc1 = (EIF_POINTER) 0;
	EIF_POINTER tp1;
	EIF_REFERENCE tr1 = NULL;
	RTCDT;
	RTLD;
	
	RTLI(2);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLIU(2);
	
	RTGC;
	tr1 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R9354[dtype-1272])(Current);
	loc1 = RTOUCB(EIF_POINTER,219,F1123_10237, (RTCW(tr1)));
	(((GdkColor *)loc1)->red = (gushort)(arg2));
	(((GdkColor *)loc1)->green = (gushort)(arg3));
	(((GdkColor *)loc1)->blue = (gushort)(arg4));
	if (arg1) {
		tp1 = *(EIF_POINTER *)(Current + O9331[dtype-1269]);
		gdk_gc_set_rgb_fg_color((GdkGC*) tp1, (GdkColor*) loc1);
	} else {
		tp1 = *(EIF_POINTER *)(Current + O9331[dtype-1269]);
		gdk_gc_set_rgb_bg_color((GdkGC*) tp1, (GdkColor*) loc1);
	}
	RTLE;
}

/* {EV_DRAWABLE_IMP}.fg_color */
static EIF_POINTER F1270_12412_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_POINTER tp1;
	EIF_BOOLEAN tb1;
	
#define Result RTOTRB(EIF_POINTER)
	RTOUDB(EIF_POINTER, 190)

	
	RTEV;
	RTGC;
	RTOTP;
	Result = (EIF_POINTER) calloc (sizeof(GdkColor), 1);
	tp1 = (EIF_POINTER) gdk_screen_get_default();
	tp1 = inline_F11_221(tp1);
	tb1 = (EIF_BOOLEAN) EIF_TEST(gdk_colormap_alloc_color((GdkColormap*) tp1, (GdkColor*) Result, (gboolean) (EIF_BOOLEAN) 0, (gboolean) (EIF_BOOLEAN) 1));
	eif_do_nothing_value.it_b = tb1;
	RTOTE;
	RTEE;
	return Result;
#undef Result
}

EIF_POINTER F1270_12412 (EIF_REFERENCE Current)
{
	GTCX
	return RTOUCB(EIF_POINTER,190,F1270_12412_body,(Current));
}

/* {EV_DRAWABLE_IMP}.bg_color */
static EIF_POINTER F1270_12413_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_POINTER tp1;
	EIF_BOOLEAN tb1;
	
#define Result RTOTRB(EIF_POINTER)
	RTOUDB(EIF_POINTER, 191)

	
	RTEV;
	RTGC;
	RTOTP;
	Result = (EIF_POINTER) calloc (sizeof(GdkColor), 1);
	(((GdkColor *)Result)->red = (gushort)(((EIF_INTEGER_32) 65535L)));
	(((GdkColor *)Result)->green = (gushort)(((EIF_INTEGER_32) 65535L)));
	(((GdkColor *)Result)->blue = (gushort)(((EIF_INTEGER_32) 65535L)));
	tp1 = (EIF_POINTER) gdk_screen_get_default();
	tp1 = inline_F11_221(tp1);
	tb1 = (EIF_BOOLEAN) EIF_TEST(gdk_colormap_alloc_color((GdkColormap*) tp1, (GdkColor*) Result, (gboolean) (EIF_BOOLEAN) 0, (gboolean) (EIF_BOOLEAN) 1));
	eif_do_nothing_value.it_b = tb1;
	RTOTE;
	RTEE;
	return Result;
#undef Result
}

EIF_POINTER F1270_12413 (EIF_REFERENCE Current)
{
	GTCX
	return RTOUCB(EIF_POINTER,191,F1270_12413_body,(Current));
}

/* {EV_DRAWABLE_IMP}.draw_mask_on_pixbuf */
void F1270_12414 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	
	
	inline_F1270_12414 ((EIF_POINTER) arg1, (EIF_POINTER) arg2);
}

/* {EV_DRAWABLE_IMP}.gdk_gc_unref */
void F1270_12424 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	
	gdk_gc_unref((GdkGC*) arg1);
	
}

/* {EV_DRAWABLE_IMP}.set_dashes_pattern */
void F1270_12425 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	
	
	inline_F1270_12425 ((EIF_POINTER) arg1, (EIF_POINTER) arg2);
}

void EIF_Minit631 (void)
{
	GTCX
}


#ifdef __cplusplus
}
#endif
