/*
 * Code for class EV_DRAWABLE_IMP
 */

#include "eif_eiffel.h"
#include "../E1/estructure.h"
#include "../E1/eoffsets.h"

#include "ev726.h"
#include <string.h>
#include <ev_gtk.h>
#include <stdlib.h>
#include "eif_helpers.h"
#include "eif_misc.h"

#ifdef __cplusplus
extern "C" {
#endif

#ifndef INLINE_F1371_13185
static void inline_F1371_13185 (EIF_POINTER arg1, EIF_POINTER arg2)
{
	gdk_gc_set_dashes ((GdkGC*) arg1, 0, (gint8*) arg2, 2)
	;
}
#define INLINE_F1371_13185
#endif
#ifndef INLINE_F29_421
static EIF_POINTER inline_F29_421 (EIF_INTEGER_32 arg1, EIF_BOOLEAN arg2, EIF_INTEGER_32 arg3, EIF_INTEGER_32 arg4, EIF_INTEGER_32 arg5)
{
	#if GTK_MAJOR_VERSION > 1
	return gdk_pixbuf_new ((GdkColorspace) arg1, (gboolean) arg2, (int) arg3, (int) arg4, (int) arg5);
#endif
	;
}
#define INLINE_F29_421
#endif
#ifndef INLINE_F1371_13174
static void inline_F1371_13174 (EIF_POINTER arg1, EIF_POINTER arg2)
{
	{
	guint32 x, y;
	guint32 l_pix_height,l_pix_width;
	guint32 l_pix_row_stride;
	guint32 l_mask_row_stride;
	GdkPixbuf *pixbuf, *mask;
	guchar *l_mask_pixels, *l_pixbuf_pixels;
	pixbuf = (GdkPixbuf*) arg1;
	mask = (GdkPixbuf*) arg2;
	l_pix_height = gdk_pixbuf_get_height (pixbuf);
	l_pix_width = gdk_pixbuf_get_width (pixbuf);
	l_pix_row_stride = gdk_pixbuf_get_rowstride(pixbuf);
	l_mask_row_stride = gdk_pixbuf_get_rowstride(mask);
	l_mask_pixels = gdk_pixbuf_get_pixels (mask);
	l_pixbuf_pixels = gdk_pixbuf_get_pixels (pixbuf);
	for (y = 0; y < l_pix_height; y++) {
		guchar *src, *dest;
		src = (l_mask_pixels + (y * l_mask_row_stride));
		dest = (l_pixbuf_pixels + (y * l_pix_row_stride));
		for (x = 0; x < l_pix_width; x++) {
			if (src [0] == (guchar)0) {
				dest [3] = (guchar)0;
			}
			src += 4;
			dest += 4;
		}
	}
}
	;
}
#define INLINE_F1371_13174
#endif
#ifndef INLINE_F30_1008
static EIF_POINTER inline_F30_1008 (EIF_POINTER arg1)
{
	return gdk_screen_get_rgb_colormap ((GdkScreen*)arg1);
	;
}
#define INLINE_F30_1008
#endif

#ifdef __cplusplus
}
#endif


#ifdef __cplusplus
extern "C" {
#endif

/* {EV_DRAWABLE_IMP}.init_default_values */
void F1371_13106 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_INTEGER_16 loc1 = (EIF_INTEGER_16) 0;
	EIF_POINTER tp1;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_16 ti2_1;
	RTCDT;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("init_default_values", 1370, Current, 1, 0, 18699);
	RTGC;
	RTHOOK(1);
	ti2_1 = eif_bit_shift_left(((EIF_INTEGER_16) 3L),((EIF_INTEGER_32) 8L));
	loc1 = eif_bit_or(((EIF_INTEGER_16) 3L),ti2_1);
	RTHOOK(2);
	tp1 = *(EIF_POINTER *)(Current + O9955[dtype-1370]);
	inline_F1371_13185(tp1, (EIF_INTEGER_16 *) &(loc1));
	RTHOOK(3);
	ti4_1 = (EIF_INTEGER_32) GDK_LINE_SOLID;
	*(EIF_INTEGER_32 *)(Current + O9959[dtype-1370]) = (EIF_INTEGER_32) ti4_1;
	RTHOOK(4);
	F1371_13129(Current, ((EIF_INTEGER_32) 0L));
	RTHOOK(5);
	F1371_13128(Current, ((EIF_INTEGER_32) 1L));
	RTHOOK(6);
	RTLE;
	RTEE;
}

/* {EV_DRAWABLE_IMP}.cap_style */
EIF_INTEGER_32 F1371_13112 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	
	
	RTEAA("cap_style", 1370, Current, 0, 0, 18703);
	RTHOOK(1);
	RTHOOK(2);
	RTEE;
	return (EIF_INTEGER_32) (EIF_INTEGER_32) GDK_CAP_ROUND;
}

/* {EV_DRAWABLE_IMP}.join_style */
EIF_INTEGER_32 F1371_13113 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	
	
	RTEAA("join_style", 1370, Current, 0, 0, 18704);
	RTHOOK(1);
	RTHOOK(2);
	RTEE;
	return (EIF_INTEGER_32) (EIF_INTEGER_32) GDK_JOIN_BEVEL;
}

/* {EV_DRAWABLE_IMP}.foreground_color_internal */
EIF_REFERENCE F1371_13118 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_INTEGER_32 loc1 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc2 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc3 = (EIF_INTEGER_32) 0;
	EIF_REFERENCE loc4 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	
	RTLI(3);
	RTLR(0,loc4);
	RTLR(1,Current);
	RTLR(2,tr1);
	RTLIU(3);
	
	RTEAA("foreground_color_internal", 1370, Current, 4, 0, 18707);
	RTGC;
	RTHOOK(1);
	tr1 = *(EIF_REFERENCE *)(Current + O9979[Dtype(Current)-1370]);
	loc4 = tr1;
	if (EIF_TEST(loc4)) {
		RTHOOK(2);
		loc1 = F1077_9074(loc4);
		RTHOOK(3);
		loc2 = F1077_9075(loc4);
		RTHOOK(4);
		loc3 = F1077_9076(loc4);
	}
	RTHOOK(5);
	tr1 = RTLNS(eif_new_type(1076, 0x00).id, 1076, _OBJSIZ_2_0_0_0_0_0_0_0_);
	F1077_9057(RTCW(tr1), loc1, loc2, loc3);
	RTHOOK(6);
	RTLE;
	RTEE;
	return (EIF_REFERENCE) tr1;
}

/* {EV_DRAWABLE_IMP}.background_color_internal */
EIF_REFERENCE F1371_13119 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_INTEGER_32 loc1 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc2 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc3 = (EIF_INTEGER_32) 0;
	EIF_REFERENCE loc4 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	
	RTLI(3);
	RTLR(0,loc4);
	RTLR(1,Current);
	RTLR(2,tr1);
	RTLIU(3);
	
	RTEAA("background_color_internal", 1370, Current, 4, 0, 18708);
	RTGC;
	RTHOOK(1);
	tr1 = *(EIF_REFERENCE *)(Current + O9980[Dtype(Current)-1370]);
	loc4 = tr1;
	if (EIF_TEST(loc4)) {
		RTHOOK(2);
		loc1 = F1077_9074(loc4);
		RTHOOK(3);
		loc2 = F1077_9075(loc4);
		RTHOOK(4);
		loc3 = F1077_9076(loc4);
	} else {
		RTHOOK(5);
		loc1 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 255L);
		RTHOOK(6);
		loc2 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 255L);
		RTHOOK(7);
		loc3 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 255L);
	}
	RTHOOK(8);
	tr1 = RTLNS(eif_new_type(1076, 0x00).id, 1076, _OBJSIZ_2_0_0_0_0_0_0_0_);
	F1077_9057(RTCW(tr1), loc1, loc2, loc3);
	RTHOOK(9);
	RTLE;
	RTEE;
	return (EIF_REFERENCE) tr1;
}

/* {EV_DRAWABLE_IMP}.line_width */
EIF_INTEGER_32 F1371_13120 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_POINTER tp1;
	EIF_POINTER tp2;
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	RTCDT;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("line_width", 1370, Current, 0, 0, 18709);
	RTGC;
	RTHOOK(1);
	tp1 = (EIF_POINTER) calloc (sizeof(GdkGCValues), 1);
	*(EIF_POINTER *)(Current + O9956[dtype-1370]) = (EIF_POINTER) tp1;
	RTHOOK(2);
	tp1 = *(EIF_POINTER *)(Current + O9955[dtype-1370]);
	tp2 = *(EIF_POINTER *)(Current + O9956[dtype-1370]);
	gdk_gc_get_values((GdkGC*) tp1, (GdkGCValues*) tp2);
	RTHOOK(3);
	tp1 = *(EIF_POINTER *)(Current + O9956[dtype-1370]);
	Result = (EIF_INTEGER_32) (((GdkGCValues *)tp1)->line_width);
	RTHOOK(4);
	tp1 = *(EIF_POINTER *)(Current + O9956[dtype-1370]);
	free(tp1);
	RTHOOK(5);
	RTLE;
	RTEE;
	return Result;
}

/* {EV_DRAWABLE_IMP}.set_font */
void F1371_13125 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	
	RTLI(4);
	RTLR(0,loc1);
	RTLR(1,arg1);
	RTLR(2,tr1);
	RTLR(3,Current);
	RTLIU(4);
	
	RTEAA("set_font", 1370, Current, 1, 1, 18714);
	RTGC;
	RTHOOK(1);
	tr1 = *(EIF_REFERENCE *)(RTCW(arg1) + _REFACS_1_);
	loc1 = tr1;
	loc1 = RTRV(eif_new_type(1199, 0x00),loc1);
	if (EIF_TEST(loc1)) {
		RTHOOK(2);
		RTAR(Current, loc1);
		*(EIF_REFERENCE *)(Current + O9986[Dtype(Current)-1370]) = (EIF_REFERENCE) loc1;
	} else {
		
	}
	RTHOOK(4);
	RTLE;
	RTEE;
}

/* {EV_DRAWABLE_IMP}.set_background_color */
void F1371_13126 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_INTEGER_32 ti4_3;
	EIF_BOOLEAN tb1;
	RTCDT;
	RTLD;
	
	RTLI(3);
	RTLR(0,loc1);
	RTLR(1,Current);
	RTLR(2,arg1);
	RTLIU(3);
	
	RTEAA("set_background_color", 1370, Current, 1, 1, 18715);
	RTGC;
	RTHOOK(1);
	loc1 = *(EIF_REFERENCE *)(Current + O9980[dtype-1370]);
	RTHOOK(2);
	if ((EIF_BOOLEAN)(loc1 == NULL)) {
		RTHOOK(3);
		loc1 = RTLNSMART(eif_new_type(1076, 0).id);
		F1077_9057(RTCW(loc1), ((EIF_INTEGER_32) 255L), ((EIF_INTEGER_32) 255L), ((EIF_INTEGER_32) 255L));
		RTHOOK(4);
		RTAR(Current, loc1);
		*(EIF_REFERENCE *)(Current + O9980[dtype-1370]) = (EIF_REFERENCE) loc1;
	}
	RTHOOK(5);
	tb1 = F1077_9088(RTCW(loc1), arg1);
	if ((EIF_BOOLEAN) !tb1) {
		RTHOOK(6);
		ti4_1 = F1077_9074(RTCW(arg1));
		F1077_9077(RTCW(loc1), ti4_1);
		RTHOOK(7);
		ti4_1 = F1077_9075(RTCW(arg1));
		F1077_9078(RTCW(loc1), ti4_1);
		RTHOOK(8);
		ti4_1 = F1077_9076(RTCW(arg1));
		F1077_9079(RTCW(loc1), ti4_1);
		RTHOOK(9);
		ti4_1 = F1077_9081(RTCW(arg1));
		ti4_2 = F1077_9082(RTCW(arg1));
		ti4_3 = F1077_9083(RTCW(arg1));
		F1371_13171(Current, (EIF_BOOLEAN) 0, ti4_1, ti4_2, ti4_3);
	}
	RTHOOK(10);
	RTLE;
	RTEE;
}

/* {EV_DRAWABLE_IMP}.set_foreground_color */
void F1371_13127 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_INTEGER_32 ti4_3;
	EIF_BOOLEAN tb1;
	RTCDT;
	RTLD;
	
	RTLI(3);
	RTLR(0,loc1);
	RTLR(1,Current);
	RTLR(2,arg1);
	RTLIU(3);
	
	RTEAA("set_foreground_color", 1370, Current, 1, 1, 18716);
	RTGC;
	RTHOOK(1);
	loc1 = *(EIF_REFERENCE *)(Current + O9979[dtype-1370]);
	RTHOOK(2);
	if ((EIF_BOOLEAN)(loc1 == NULL)) {
		RTHOOK(3);
		loc1 = RTLNSMART(eif_new_type(1076, 0).id);
		F1073_8986(RTCW(loc1));
		RTHOOK(4);
		RTAR(Current, loc1);
		*(EIF_REFERENCE *)(Current + O9979[dtype-1370]) = (EIF_REFERENCE) loc1;
	}
	RTHOOK(5);
	tb1 = F1077_9088(RTCW(loc1), arg1);
	if ((EIF_BOOLEAN) !tb1) {
		RTHOOK(6);
		ti4_1 = F1077_9074(RTCW(arg1));
		F1077_9077(RTCW(loc1), ti4_1);
		RTHOOK(7);
		ti4_1 = F1077_9075(RTCW(arg1));
		F1077_9078(RTCW(loc1), ti4_1);
		RTHOOK(8);
		ti4_1 = F1077_9076(RTCW(arg1));
		F1077_9079(RTCW(loc1), ti4_1);
		RTHOOK(9);
		ti4_1 = F1077_9081(RTCW(arg1));
		ti4_2 = F1077_9082(RTCW(arg1));
		ti4_3 = F1077_9083(RTCW(arg1));
		F1371_13171(Current, (EIF_BOOLEAN) 1, ti4_1, ti4_2, ti4_3);
	}
	RTHOOK(10);
	RTLE;
	RTEE;
}

/* {EV_DRAWABLE_IMP}.set_line_width */
void F1371_13128 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1)
{
	GTCX
	RTEX;
	EIF_POINTER tp1;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_INTEGER_32 ti4_3;
	RTCDT;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("set_line_width", 1370, Current, 0, 1, 18717);
	RTGC;
	RTHOOK(1);
	tp1 = *(EIF_POINTER *)(Current + O9955[dtype-1370]);
	ti4_1 = *(EIF_INTEGER_32 *)(Current + O9959[dtype-1370]);
	ti4_2 = F1371_13112(Current);
	ti4_3 = F1371_13113(Current);
	gdk_gc_set_line_attributes((GdkGC*) tp1, (gint) arg1, (GdkLineStyle) ti4_1, (GdkCapStyle) ti4_2, (GdkJoinStyle) ti4_3);
	RTHOOK(2);
	RTLE;
	RTEE;
}

/* {EV_DRAWABLE_IMP}.set_drawing_mode */
void F1371_13129 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1)
{
	GTCX
	RTEX;
	EIF_POINTER loc1 = (EIF_POINTER) 0;
	EIF_INTEGER_32 ti4_1;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("set_drawing_mode", 1370, Current, 1, 1, 18718);
	RTGC;
	RTHOOK(1);
	loc1 = *(EIF_POINTER *)(Current + O9955[Dtype(Current)-1370]);
	RTHOOK(2);
	switch (arg1) {
		case 0L:
			RTHOOK(3);
			ti4_1 = (EIF_INTEGER_32) GDK_COPY;
			gdk_gc_set_function((GdkGC*) loc1, (GdkFunction) ti4_1);
			break;
		case 1L:
			RTHOOK(4);
			ti4_1 = (EIF_INTEGER_32) GDK_XOR;
			gdk_gc_set_function((GdkGC*) loc1, (GdkFunction) ti4_1);
			break;
		case 2L:
			RTHOOK(5);
			ti4_1 = (EIF_INTEGER_32) GDK_INVERT;
			gdk_gc_set_function((GdkGC*) loc1, (GdkFunction) ti4_1);
			break;
		case 3L:
			RTHOOK(6);
			ti4_1 = (EIF_INTEGER_32) GDK_AND;
			gdk_gc_set_function((GdkGC*) loc1, (GdkFunction) ti4_1);
			break;
		case 4L:
			RTHOOK(7);
			ti4_1 = (EIF_INTEGER_32) GDK_OR;
			gdk_gc_set_function((GdkGC*) loc1, (GdkFunction) ti4_1);
			break;
		default:
			
			break;
	}
	RTHOOK(9);
	RTLE;
	RTEE;
}

/* {EV_DRAWABLE_IMP}.enable_dashed_line_style */
void F1371_13135 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_POINTER tp1;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_INTEGER_32 ti4_3;
	EIF_INTEGER_32 ti4_4;
	RTCDT;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("enable_dashed_line_style", 1370, Current, 0, 0, 18724);
	RTGC;
	RTHOOK(1);
	ti4_1 = (EIF_INTEGER_32) GDK_LINE_ON_OFF_DASH;
	*(EIF_INTEGER_32 *)(Current + O9959[dtype-1370]) = (EIF_INTEGER_32) ti4_1;
	RTHOOK(2);
	tp1 = *(EIF_POINTER *)(Current + O9955[dtype-1370]);
	ti4_1 = F1371_13120(Current);
	ti4_2 = *(EIF_INTEGER_32 *)(Current + O9959[dtype-1370]);
	ti4_3 = F1371_13112(Current);
	ti4_4 = F1371_13113(Current);
	gdk_gc_set_line_attributes((GdkGC*) tp1, (gint) ti4_1, (GdkLineStyle) ti4_2, (GdkCapStyle) ti4_3, (GdkJoinStyle) ti4_4);
	RTHOOK(3);
	RTLE;
	RTEE;
}

/* {EV_DRAWABLE_IMP}.clear_rectangle */
void F1371_13139 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1, EIF_INTEGER_32 arg2, EIF_INTEGER_32 arg3, EIF_INTEGER_32 arg4)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_POINTER tp1;
	EIF_POINTER tp2;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_INTEGER_32 ti4_3;
	EIF_INTEGER_16 ti2_1;
	RTCDT;
	RTLD;
	
	RTLI(3);
	RTLR(0,Current);
	RTLR(1,loc1);
	RTLR(2,loc2);
	RTLIU(3);
	
	RTEAA("clear_rectangle", 1370, Current, 2, 4, 18728);
	RTGC;
	RTHOOK(1);
	{
		/* INLINED CODE (ANY.default_pointer) */
		tp1 = (EIF_POINTER)  0;
		/* END INLINED CODE */
	}
	if ((EIF_BOOLEAN)((FUNCTION_CAST(EIF_POINTER, (EIF_REFERENCE)) R9957[dtype-1372])(Current) != tp1)) {
		RTHOOK(2);
		loc1 = *(EIF_REFERENCE *)(Current + O9979[dtype-1370]);
		RTHOOK(3);
		if ((EIF_BOOLEAN)(loc1 == NULL)) {
			RTHOOK(4);
			loc1 = F1226_11209(Current);
		}
		RTHOOK(5);
		loc2 = *(EIF_REFERENCE *)(Current + O9980[dtype-1370]);
		RTHOOK(6);
		if ((EIF_BOOLEAN)(loc2 == NULL)) {
			RTHOOK(7);
			loc2 = F1226_11210(Current);
		}
		RTHOOK(8);
		ti4_1 = F1077_9081(RTCW(loc2));
		ti4_2 = F1077_9082(RTCW(loc2));
		ti4_3 = F1077_9083(RTCW(loc2));
		F1371_13171(Current, (EIF_BOOLEAN) 1, ti4_1, ti4_2, ti4_3);
		RTHOOK(9);
		tp1 = (FUNCTION_CAST(EIF_POINTER, (EIF_REFERENCE)) R9957[dtype-1372])(Current);
		tp2 = *(EIF_POINTER *)(Current + O9955[dtype-1370]);
		ti2_1 = *(EIF_INTEGER_16 *)(Current + O9972[dtype-1370]);
		ti4_1 = (EIF_INTEGER_32) ti2_1;
		ti4_2 = (EIF_INTEGER_32) ((EIF_INTEGER_16) -32768L);
		ti4_1 = eif_max_int32 ((EIF_INTEGER_32) (arg1 + ti4_1),ti4_2);
		ti4_2 = (EIF_INTEGER_32) ((EIF_INTEGER_16) 32767L);
		ti4_1 = eif_min_int32 (ti4_1,ti4_2);
		ti2_1 = *(EIF_INTEGER_16 *)(Current + O9973[dtype-1370]);
		ti4_2 = (EIF_INTEGER_32) ti2_1;
		ti4_3 = (EIF_INTEGER_32) ((EIF_INTEGER_16) -32768L);
		ti4_2 = eif_max_int32 ((EIF_INTEGER_32) (arg2 + ti4_2),ti4_3);
		ti4_3 = (EIF_INTEGER_32) ((EIF_INTEGER_16) 32767L);
		ti4_2 = eif_min_int32 (ti4_2,ti4_3);
		gdk_draw_rectangle((GdkDrawable*) tp1, (GdkGC*) tp2, (gint) ((EIF_INTEGER_32) 1L), (gint) ti4_1, (gint) ti4_2, (gint) arg3, (gint) arg4);
		RTHOOK(10);
		ti4_1 = F1077_9081(RTCW(loc1));
		ti4_2 = F1077_9082(RTCW(loc1));
		ti4_3 = F1077_9083(RTCW(loc1));
		F1371_13171(Current, (EIF_BOOLEAN) 1, ti4_1, ti4_2, ti4_3);
		RTHOOK(11);
		(FUNCTION_CAST(void, (EIF_REFERENCE)) R9983[dtype-1372])(Current);
	}
	RTHOOK(12);
	RTLE;
	RTEE;
}

/* {EV_DRAWABLE_IMP}.draw_point */
void F1371_13140 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	RTEX;
	EIF_POINTER tp1;
	EIF_POINTER tp2;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_INTEGER_32 ti4_3;
	EIF_INTEGER_16 ti2_1;
	RTCDT;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("draw_point", 1370, Current, 0, 2, 18729);
	RTGC;
	RTHOOK(1);
	{
		/* INLINED CODE (ANY.default_pointer) */
		tp1 = (EIF_POINTER)  0;
		/* END INLINED CODE */
	}
	if ((EIF_BOOLEAN)((FUNCTION_CAST(EIF_POINTER, (EIF_REFERENCE)) R9957[dtype-1372])(Current) != tp1)) {
		RTHOOK(2);
		tp1 = (FUNCTION_CAST(EIF_POINTER, (EIF_REFERENCE)) R9957[dtype-1372])(Current);
		tp2 = *(EIF_POINTER *)(Current + O9955[dtype-1370]);
		ti2_1 = *(EIF_INTEGER_16 *)(Current + O9972[dtype-1370]);
		ti4_1 = (EIF_INTEGER_32) ti2_1;
		ti4_2 = (EIF_INTEGER_32) ((EIF_INTEGER_16) -32768L);
		ti4_1 = eif_max_int32 ((EIF_INTEGER_32) (arg1 + ti4_1),ti4_2);
		ti4_2 = (EIF_INTEGER_32) ((EIF_INTEGER_16) 32767L);
		ti4_1 = eif_min_int32 (ti4_1,ti4_2);
		ti2_1 = *(EIF_INTEGER_16 *)(Current + O9973[dtype-1370]);
		ti4_2 = (EIF_INTEGER_32) ti2_1;
		ti4_3 = (EIF_INTEGER_32) ((EIF_INTEGER_16) -32768L);
		ti4_2 = eif_max_int32 ((EIF_INTEGER_32) (arg2 + ti4_2),ti4_3);
		ti4_3 = (EIF_INTEGER_32) ((EIF_INTEGER_16) 32767L);
		ti4_2 = eif_min_int32 (ti4_2,ti4_3);
		gdk_draw_point((GdkDrawable*) tp1, (GdkGC*) tp2, (gint) ti4_1, (gint) ti4_2);
		RTHOOK(3);
		(FUNCTION_CAST(void, (EIF_REFERENCE)) R9983[dtype-1372])(Current);
	}
	RTHOOK(4);
	RTLE;
	RTEE;
}

/* {EV_DRAWABLE_IMP}.draw_segment */
void F1371_13149 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1, EIF_INTEGER_32 arg2, EIF_INTEGER_32 arg3, EIF_INTEGER_32 arg4)
{
	GTCX
	RTEX;
	EIF_POINTER tp1;
	EIF_POINTER tp2;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_INTEGER_32 ti4_3;
	EIF_INTEGER_32 ti4_4;
	EIF_INTEGER_32 ti4_5;
	EIF_INTEGER_16 ti2_1;
	RTCDT;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("draw_segment", 1370, Current, 0, 4, 18738);
	RTGC;
	RTHOOK(1);
	{
		/* INLINED CODE (ANY.default_pointer) */
		tp1 = (EIF_POINTER)  0;
		/* END INLINED CODE */
	}
	if ((EIF_BOOLEAN)((FUNCTION_CAST(EIF_POINTER, (EIF_REFERENCE)) R9957[dtype-1372])(Current) != tp1)) {
		RTHOOK(2);
		tp1 = (FUNCTION_CAST(EIF_POINTER, (EIF_REFERENCE)) R9957[dtype-1372])(Current);
		tp2 = *(EIF_POINTER *)(Current + O9955[dtype-1370]);
		ti2_1 = *(EIF_INTEGER_16 *)(Current + O9972[dtype-1370]);
		ti4_1 = (EIF_INTEGER_32) ti2_1;
		ti4_2 = (EIF_INTEGER_32) ((EIF_INTEGER_16) -32768L);
		ti4_1 = eif_max_int32 ((EIF_INTEGER_32) (arg1 + ti4_1),ti4_2);
		ti4_2 = (EIF_INTEGER_32) ((EIF_INTEGER_16) 32767L);
		ti4_1 = eif_min_int32 (ti4_1,ti4_2);
		ti2_1 = *(EIF_INTEGER_16 *)(Current + O9973[dtype-1370]);
		ti4_2 = (EIF_INTEGER_32) ti2_1;
		ti4_3 = (EIF_INTEGER_32) ((EIF_INTEGER_16) -32768L);
		ti4_2 = eif_max_int32 ((EIF_INTEGER_32) (arg2 + ti4_2),ti4_3);
		ti4_3 = (EIF_INTEGER_32) ((EIF_INTEGER_16) 32767L);
		ti4_2 = eif_min_int32 (ti4_2,ti4_3);
		ti2_1 = *(EIF_INTEGER_16 *)(Current + O9972[dtype-1370]);
		ti4_3 = (EIF_INTEGER_32) ti2_1;
		ti4_4 = (EIF_INTEGER_32) ((EIF_INTEGER_16) -32768L);
		ti4_3 = eif_max_int32 ((EIF_INTEGER_32) (arg3 + ti4_3),ti4_4);
		ti4_4 = (EIF_INTEGER_32) ((EIF_INTEGER_16) 32767L);
		ti4_3 = eif_min_int32 (ti4_3,ti4_4);
		ti2_1 = *(EIF_INTEGER_16 *)(Current + O9973[dtype-1370]);
		ti4_4 = (EIF_INTEGER_32) ti2_1;
		ti4_5 = (EIF_INTEGER_32) ((EIF_INTEGER_16) -32768L);
		ti4_4 = eif_max_int32 ((EIF_INTEGER_32) (arg4 + ti4_4),ti4_5);
		ti4_5 = (EIF_INTEGER_32) ((EIF_INTEGER_16) 32767L);
		ti4_4 = eif_min_int32 (ti4_4,ti4_5);
		gdk_draw_line((GdkDrawable*) tp1, (GdkGC*) tp2, (gint) ti4_1, (gint) ti4_2, (gint) ti4_3, (gint) ti4_4);
		RTHOOK(3);
		(FUNCTION_CAST(void, (EIF_REFERENCE)) R9983[dtype-1372])(Current);
	}
	RTHOOK(4);
	RTLE;
	RTEE;
}

/* {EV_DRAWABLE_IMP}.draw_pixmap */
void F1371_13153 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1, EIF_INTEGER_32 arg2, EIF_REFERENCE arg3)
{
	GTCX
	RTEX;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	RTLD;
	
	RTLI(2);
	RTLR(0,arg3);
	RTLR(1,Current);
	RTLIU(2);
	
	RTEAA("draw_pixmap", 1370, Current, 0, 3, 18742);
	RTGC;
	RTHOOK(1);
	ti4_1 = F1095_9333(RTCW(arg3));
	ti4_2 = F1095_9334(RTCW(arg3));
	F1371_13154(Current, arg1, arg2, arg3, ((EIF_INTEGER_32) 0L), ((EIF_INTEGER_32) 0L), ti4_1, ti4_2);
	RTHOOK(2);
	RTLE;
	RTEE;
}

/* {EV_DRAWABLE_IMP}.draw_full_pixmap */
void F1371_13154 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1, EIF_INTEGER_32 arg2, EIF_REFERENCE arg3, EIF_INTEGER_32 arg4, EIF_INTEGER_32 arg5, EIF_INTEGER_32 arg6, EIF_INTEGER_32 arg7)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc3 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc4 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc5 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc6 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc7 = (EIF_REFERENCE) 0;
	EIF_POINTER tp1;
	EIF_POINTER tp2;
	EIF_POINTER tp3;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_INTEGER_32 ti4_3;
	EIF_INTEGER_32 ti4_4;
	EIF_INTEGER_32 ti4_5;
	EIF_INTEGER_32 ti4_6;
	EIF_INTEGER_32 ti4_7;
	EIF_INTEGER_32 ti4_8;
	EIF_INTEGER_16 ti2_1;
	EIF_BOOLEAN tb1;
	RTCDT;
	RTLD;
	
	RTLI(9);
	RTLR(0,Current);
	RTLR(1,loc1);
	RTLR(2,arg3);
	RTLR(3,loc2);
	RTLR(4,loc3);
	RTLR(5,loc4);
	RTLR(6,loc5);
	RTLR(7,loc6);
	RTLR(8,loc7);
	RTLIU(9);
	
	RTEAA("draw_full_pixmap", 1370, Current, 7, 7, 18743);
	RTGC;
	RTHOOK(1);
	{
		/* INLINED CODE (ANY.default_pointer) */
		tp1 = (EIF_POINTER)  0;
		/* END INLINED CODE */
	}
	if ((EIF_BOOLEAN)((FUNCTION_CAST(EIF_POINTER, (EIF_REFERENCE)) R9957[dtype-1372])(Current) != tp1)) {
		RTHOOK(2);
		loc1 = RTLNS(eif_new_type(859, 0x00).id, 859, _OBJSIZ_0_0_0_4_0_0_0_0_);
		ti4_1 = F1095_9333(RTCW(arg3));
		ti4_2 = F1095_9334(RTCW(arg3));
		F860_6873(RTCW(loc1), ((EIF_INTEGER_32) 0L), ((EIF_INTEGER_32) 0L), ti4_1, ti4_2);
		RTHOOK(3);
		loc2 = RTLNS(eif_new_type(859, 0x00).id, 859, _OBJSIZ_0_0_0_4_0_0_0_0_);
		F860_6873(RTCW(loc2), arg4, arg5, arg6, arg7);
		RTHOOK(4);
		loc3 = F860_6892(RTCW(loc1), loc2);
		RTHOOK(5);
		tb1 = '\0';
		ti4_1 = *(EIF_INTEGER_32 *)(RTCW(loc3)+ _LNGOFF_0_0_0_2_);
		if ((EIF_BOOLEAN) (ti4_1 > ((EIF_INTEGER_32) 0L))) {
			ti4_1 = *(EIF_INTEGER_32 *)(RTCW(loc3)+ _LNGOFF_0_0_0_3_);
			tb1 = (EIF_BOOLEAN) (ti4_1 > ((EIF_INTEGER_32) 0L));
		}
		if (tb1) {
			RTHOOK(6);
			loc4 = RTLNS(eif_new_type(859, 0x00).id, 859, _OBJSIZ_0_0_0_4_0_0_0_0_);
			ti4_1 = (FUNCTION_CAST(EIF_INTEGER_32, (EIF_REFERENCE)) R9861[dtype-1372])(Current);
			ti4_2 = (FUNCTION_CAST(EIF_INTEGER_32, (EIF_REFERENCE)) R9862[dtype-1372])(Current);
			F860_6873(RTCW(loc4), ((EIF_INTEGER_32) 0L), ((EIF_INTEGER_32) 0L), ti4_1, ti4_2);
			RTHOOK(7);
			loc5 = RTLNS(eif_new_type(859, 0x00).id, 859, _OBJSIZ_0_0_0_4_0_0_0_0_);
			ti4_1 = *(EIF_INTEGER_32 *)(RTCW(loc3)+ _LNGOFF_0_0_0_0_);
			ti4_2 = *(EIF_INTEGER_32 *)(RTCW(loc2)+ _LNGOFF_0_0_0_0_);
			ti4_3 = *(EIF_INTEGER_32 *)(RTCW(loc3)+ _LNGOFF_0_0_0_1_);
			ti4_4 = *(EIF_INTEGER_32 *)(RTCW(loc2)+ _LNGOFF_0_0_0_1_);
			ti4_5 = *(EIF_INTEGER_32 *)(RTCW(loc3)+ _LNGOFF_0_0_0_2_);
			ti4_6 = *(EIF_INTEGER_32 *)(RTCW(loc3)+ _LNGOFF_0_0_0_3_);
			F860_6873(RTCW(loc5), (EIF_INTEGER_32) ((EIF_INTEGER_32) (arg1 + ti4_1) - ti4_2), (EIF_INTEGER_32) ((EIF_INTEGER_32) (arg2 + ti4_3) - ti4_4), ti4_5, ti4_6);
			RTHOOK(8);
			ti4_1 = *(EIF_INTEGER_32 *)(RTCW(loc3)+ _LNGOFF_0_0_0_0_);
			ti4_2 = *(EIF_INTEGER_32 *)(RTCW(loc3)+ _LNGOFF_0_0_0_1_);
			F860_6909(RTCW(loc2), ti4_1, ti4_2);
			RTHOOK(9);
			ti4_1 = *(EIF_INTEGER_32 *)(RTCW(loc3)+ _LNGOFF_0_0_0_2_);
			ti4_2 = *(EIF_INTEGER_32 *)(RTCW(loc3)+ _LNGOFF_0_0_0_3_);
			F860_6908(RTCW(loc2), ti4_1, ti4_2);
			RTHOOK(10);
			loc6 = F860_6892(RTCW(loc4), loc5);
			RTHOOK(11);
			tb1 = '\0';
			ti4_1 = *(EIF_INTEGER_32 *)(RTCW(loc6)+ _LNGOFF_0_0_0_2_);
			if ((EIF_BOOLEAN) (ti4_1 > ((EIF_INTEGER_32) 0L))) {
				ti4_1 = *(EIF_INTEGER_32 *)(RTCW(loc6)+ _LNGOFF_0_0_0_3_);
				tb1 = (EIF_BOOLEAN) (ti4_1 > ((EIF_INTEGER_32) 0L));
			}
			if (tb1) {
				RTHOOK(12);
				ti4_1 = *(EIF_INTEGER_32 *)(RTCW(loc6)+ _LNGOFF_0_0_0_2_);
				ti4_2 = *(EIF_INTEGER_32 *)(RTCW(loc6)+ _LNGOFF_0_0_0_3_);
				F860_6908(RTCW(loc2), ti4_1, ti4_2);
				RTHOOK(13);
				ti4_1 = *(EIF_INTEGER_32 *)(RTCW(loc2)+ _LNGOFF_0_0_0_0_);
				ti4_2 = *(EIF_INTEGER_32 *)(RTCW(loc6)+ _LNGOFF_0_0_0_0_);
				ti4_3 = *(EIF_INTEGER_32 *)(RTCW(loc5)+ _LNGOFF_0_0_0_0_);
				F860_6904(RTCW(loc2), (EIF_INTEGER_32) (ti4_1 + (EIF_INTEGER_32) (ti4_2 - ti4_3)));
				RTHOOK(14);
				ti4_1 = *(EIF_INTEGER_32 *)(RTCW(loc2)+ _LNGOFF_0_0_0_1_);
				ti4_2 = *(EIF_INTEGER_32 *)(RTCW(loc6)+ _LNGOFF_0_0_0_1_);
				ti4_3 = *(EIF_INTEGER_32 *)(RTCW(loc5)+ _LNGOFF_0_0_0_1_);
				F860_6905(RTCW(loc2), (EIF_INTEGER_32) (ti4_1 + (EIF_INTEGER_32) (ti4_2 - ti4_3)));
				RTHOOK(15);
				ti4_1 = *(EIF_INTEGER_32 *)(RTCW(loc6)+ _LNGOFF_0_0_0_0_);
				ti4_2 = *(EIF_INTEGER_32 *)(RTCW(loc6)+ _LNGOFF_0_0_0_1_);
				F860_6909(RTCW(loc5), ti4_1, ti4_2);
				RTHOOK(16);
				ti4_1 = *(EIF_INTEGER_32 *)(RTCW(loc6)+ _LNGOFF_0_0_0_2_);
				ti4_2 = *(EIF_INTEGER_32 *)(RTCW(loc6)+ _LNGOFF_0_0_0_1_);
				F860_6908(RTCW(loc5), ti4_1, ti4_2);
				RTHOOK(17);
				loc7 = *(EIF_REFERENCE *)(RTCW(arg3) + _REFACS_3_);
				loc7 = RTRV(eif_new_type(1374, 0x00), loc7);
				RTHOOK(18);
				RTCT0("pixmap_imp /= Void", EX_CHECK);
				if ((EIF_BOOLEAN)(loc7 != NULL)) {
					RTCK0;
				} else {
					RTCF0;
				}
				RTHOOK(19);
				tp1 = *(EIF_POINTER *)(RTCW(loc7)+ _PTROFF_47_11_12_4_0_4_);
				{
					/* INLINED CODE (ANY.default_pointer) */
					tp2 = (EIF_POINTER)  0;
					/* END INLINED CODE */
				}
				if ((EIF_BOOLEAN)(tp1 != tp2)) {
					RTHOOK(20);
					tp1 = *(EIF_POINTER *)(Current + O9955[dtype-1370]);
					tp2 = *(EIF_POINTER *)(RTCW(loc7)+ _PTROFF_47_11_12_4_0_4_);
					gdk_gc_set_clip_mask((GdkGC*) tp1, (GdkBitmap*) tp2);
					RTHOOK(21);
					tp1 = *(EIF_POINTER *)(Current + O9955[dtype-1370]);
					ti4_1 = *(EIF_INTEGER_32 *)(RTCW(loc5)+ _LNGOFF_0_0_0_0_);
					ti2_1 = *(EIF_INTEGER_16 *)(Current + O9972[dtype-1370]);
					ti4_2 = (EIF_INTEGER_32) ti2_1;
					ti4_3 = *(EIF_INTEGER_32 *)(RTCW(loc2)+ _LNGOFF_0_0_0_0_);
					ti4_4 = *(EIF_INTEGER_32 *)(RTCW(loc5)+ _LNGOFF_0_0_0_1_);
					ti2_1 = *(EIF_INTEGER_16 *)(Current + O9973[dtype-1370]);
					ti4_5 = (EIF_INTEGER_32) ti2_1;
					ti4_6 = *(EIF_INTEGER_32 *)(RTCW(loc2)+ _LNGOFF_0_0_0_1_);
					gdk_gc_set_clip_origin((GdkGC*) tp1, (gint) (EIF_INTEGER_32) ((EIF_INTEGER_32) (ti4_1 + ti4_2) - ti4_3), (gint) (EIF_INTEGER_32) ((EIF_INTEGER_32) (ti4_4 + ti4_5) - ti4_6));
				}
				RTHOOK(22);
				tp1 = (FUNCTION_CAST(EIF_POINTER, (EIF_REFERENCE)) R9957[dtype-1372])(Current);
				tp2 = *(EIF_POINTER *)(Current + O9955[dtype-1370]);
				tp3 = *(EIF_POINTER *)(RTCW(loc7)+ _PTROFF_47_11_12_4_0_5_);
				ti4_1 = *(EIF_INTEGER_32 *)(RTCW(loc2)+ _LNGOFF_0_0_0_0_);
				ti4_2 = *(EIF_INTEGER_32 *)(RTCW(loc2)+ _LNGOFF_0_0_0_1_);
				ti4_3 = *(EIF_INTEGER_32 *)(RTCW(loc5)+ _LNGOFF_0_0_0_0_);
				ti2_1 = *(EIF_INTEGER_16 *)(Current + O9972[dtype-1370]);
				ti4_4 = (EIF_INTEGER_32) ti2_1;
				ti4_5 = *(EIF_INTEGER_32 *)(RTCW(loc5)+ _LNGOFF_0_0_0_1_);
				ti2_1 = *(EIF_INTEGER_16 *)(Current + O9973[dtype-1370]);
				ti4_6 = (EIF_INTEGER_32) ti2_1;
				ti4_7 = *(EIF_INTEGER_32 *)(RTCW(loc2)+ _LNGOFF_0_0_0_2_);
				ti4_8 = *(EIF_INTEGER_32 *)(RTCW(loc2)+ _LNGOFF_0_0_0_3_);
				gdk_draw_drawable((GdkDrawable*) tp1, (GdkGC*) tp2, (GdkDrawable*) tp3, (gint) ti4_1, (gint) ti4_2, (gint) (EIF_INTEGER_32) (ti4_3 + ti4_4), (gint) (EIF_INTEGER_32) (ti4_5 + ti4_6), (gint) ti4_7, (gint) ti4_8);
				RTHOOK(23);
				(FUNCTION_CAST(void, (EIF_REFERENCE)) R9983[dtype-1372])(Current);
				RTHOOK(24);
				tp1 = *(EIF_POINTER *)(RTCW(loc7)+ _PTROFF_47_11_12_4_0_4_);
				{
					/* INLINED CODE (ANY.default_pointer) */
					tp2 = (EIF_POINTER)  0;
					/* END INLINED CODE */
				}
				if ((EIF_BOOLEAN)(tp1 != tp2)) {
					RTHOOK(25);
					tp1 = *(EIF_POINTER *)(Current + O9955[dtype-1370]);
					{
						/* INLINED CODE (ANY.default_pointer) */
						tp2 = (EIF_POINTER)  0;
						/* END INLINED CODE */
					}
					tp3 = tp2;
					gdk_gc_set_clip_mask((GdkGC*) tp1, (GdkBitmap*) tp3);
					RTHOOK(26);
					tp1 = *(EIF_POINTER *)(Current + O9955[dtype-1370]);
					gdk_gc_set_clip_origin((GdkGC*) tp1, (gint) ((EIF_INTEGER_32) 0L), (gint) ((EIF_INTEGER_32) 0L));
				}
			}
		}
	}
	RTHOOK(27);
	RTLE;
	RTEE;
}

/* {EV_DRAWABLE_IMP}.pixbuf_from_drawable */
EIF_POINTER F1371_13166 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	RTCDT;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("pixbuf_from_drawable", 1370, Current, 0, 0, 18755);
	RTGC;
	RTHOOK(1);
	ti4_1 = (FUNCTION_CAST(EIF_INTEGER_32, (EIF_REFERENCE)) R9861[dtype-1372])(Current);
	ti4_2 = (FUNCTION_CAST(EIF_INTEGER_32, (EIF_REFERENCE)) R9862[dtype-1372])(Current);
	Result = F1371_13167(Current, ((EIF_INTEGER_32) 0L), ((EIF_INTEGER_32) 0L), ((EIF_INTEGER_32) 0L), ((EIF_INTEGER_32) 0L), ti4_1, ti4_2);
	RTHOOK(2);
	RTLE;
	RTEE;
	return Result;
}

/* {EV_DRAWABLE_IMP}.pixbuf_from_drawable_at_position */
EIF_POINTER F1371_13167 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1, EIF_INTEGER_32 arg2, EIF_INTEGER_32 arg3, EIF_INTEGER_32 arg4, EIF_INTEGER_32 arg5, EIF_INTEGER_32 arg6)
{
	GTCX
	RTEX;
	EIF_POINTER loc1 = (EIF_POINTER) 0;
	EIF_POINTER loc2 = (EIF_POINTER) 0;
	EIF_POINTER loc3 = (EIF_POINTER) 0;
	EIF_POINTER tp1;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_INTEGER_16 ti2_1;
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	RTCDT;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("pixbuf_from_drawable_at_position", 1370, Current, 3, 6, 18756);
	RTGC;
	RTHOOK(1);
	tp1 = (FUNCTION_CAST(EIF_POINTER, (EIF_REFERENCE)) R9957[dtype-1372])(Current);
	ti2_1 = *(EIF_INTEGER_16 *)(Current + O9972[dtype-1370]);
	ti4_1 = (EIF_INTEGER_32) ti2_1;
	ti2_1 = *(EIF_INTEGER_16 *)(Current + O9973[dtype-1370]);
	ti4_2 = (EIF_INTEGER_32) ti2_1;
	Result = (EIF_POINTER) gdk_pixbuf_get_from_drawable((GdkPixbuf*) loc3, (GdkDrawable*) tp1, (GdkColormap*) loc3, (int) (EIF_INTEGER_32) (arg1 + ti4_1), (int) (EIF_INTEGER_32) (arg2 + ti4_2), (int) arg3, (int) arg4, (int) arg5, (int) arg6);
	RTHOOK(2);
	if ((EIF_BOOLEAN)(Result == loc3)) {
		RTHOOK(3);
		Result = inline_F29_421(((EIF_INTEGER_32) 0L), (EIF_BOOLEAN) 1, ((EIF_INTEGER_32) 8L), arg5, arg6);
		RTHOOK(4);
		RTLE;
		RTEE;
		return (EIF_POINTER) Result;
	} else {
		RTHOOK(5);
		if ((EIF_BOOLEAN)((FUNCTION_CAST(EIF_POINTER, (EIF_REFERENCE)) R9958[dtype-1372])(Current) != loc3)) {
			RTHOOK(6);
			tp1 = (FUNCTION_CAST(EIF_POINTER, (EIF_REFERENCE)) R9958[dtype-1372])(Current);
			loc1 = (EIF_POINTER) gdk_pixbuf_get_from_drawable((GdkPixbuf*) loc3, (GdkDrawable*) tp1, (GdkColormap*) loc3, (int) arg1, (int) arg2, (int) arg3, (int) arg4, (int) arg5, (int) arg6);
			RTHOOK(7);
			if ((EIF_BOOLEAN)(loc1 != loc3)) {
				RTHOOK(8);
				loc2 = (EIF_POINTER) loc1;
				RTHOOK(9);
				tp1 = (EIF_POINTER) gdk_pixbuf_add_alpha((GdkPixbuf*) loc1, (gboolean) (EIF_BOOLEAN) 1, (guchar) (EIF_NATURAL_8) ((EIF_INTEGER_32) 255L), (guchar) (EIF_NATURAL_8) ((EIF_INTEGER_32) 255L), (guchar) (EIF_NATURAL_8) ((EIF_INTEGER_32) 255L));
				loc1 = (EIF_POINTER) tp1;
				RTHOOK(10);
				g_object_unref((gpointer) loc2);
				RTHOOK(11);
				loc2 = (EIF_POINTER) Result;
				RTHOOK(12);
				tp1 = (EIF_POINTER) gdk_pixbuf_add_alpha((GdkPixbuf*) Result, (gboolean) (EIF_BOOLEAN) 0, (guchar) (EIF_NATURAL_8) ((EIF_INTEGER_32) 0L), (guchar) (EIF_NATURAL_8) ((EIF_INTEGER_32) 0L), (guchar) (EIF_NATURAL_8) ((EIF_INTEGER_32) 0L));
				Result = (EIF_POINTER) tp1;
				RTHOOK(13);
				g_object_unref((gpointer) loc2);
				RTHOOK(14);
				ti4_1 = (EIF_INTEGER_32) GDK_INTERP_BILINEAR;
				gdk_pixbuf_composite((GdkPixbuf*) loc1, (GdkPixbuf*) Result, (int) ((EIF_INTEGER_32) 0L), (int) ((EIF_INTEGER_32) 0L), (int) arg5, (int) arg6, (double) (EIF_REAL_64) 0.0, (double) (EIF_REAL_64) 0.0, (double) (EIF_REAL_64) 1.0, (double) (EIF_REAL_64) 1.0, (GdkInterpType) ti4_1, (int) ((EIF_INTEGER_32) 255L));
				RTHOOK(15);
				inline_F1371_13174(Result, loc1);
				RTHOOK(16);
				g_object_unref((gpointer) loc1);
			}
		}
	}
	RTHOOK(17);
	RTLE;
	RTEE;
	return Result;
}

/* {EV_DRAWABLE_IMP}.internal_set_color */
void F1371_13171 (EIF_REFERENCE Current, EIF_BOOLEAN arg1, EIF_INTEGER_32 arg2, EIF_INTEGER_32 arg3, EIF_INTEGER_32 arg4)
{
	GTCX
	RTEX;
	EIF_POINTER loc1 = (EIF_POINTER) 0;
	EIF_POINTER tp1;
	EIF_REFERENCE tr1 = NULL;
	RTCDT;
	RTLD;
	
	RTLI(2);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLIU(2);
	
	RTEAA("internal_set_color", 1370, Current, 1, 4, 18760);
	RTGC;
	RTHOOK(1);
	tr1 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R9978[dtype-1372])(Current);
	loc1 = RTOSCF(10878,F1204_10878, (RTCW(tr1)));
	RTHOOK(2);
	(((GdkColor *)loc1)->red = (gushort)(arg2));
	RTHOOK(3);
	(((GdkColor *)loc1)->green = (gushort)(arg3));
	RTHOOK(4);
	(((GdkColor *)loc1)->blue = (gushort)(arg4));
	RTHOOK(5);
	if (arg1) {
		RTHOOK(6);
		tp1 = *(EIF_POINTER *)(Current + O9955[dtype-1370]);
		gdk_gc_set_rgb_fg_color((GdkGC*) tp1, (GdkColor*) loc1);
	} else {
		RTHOOK(7);
		tp1 = *(EIF_POINTER *)(Current + O9955[dtype-1370]);
		gdk_gc_set_rgb_bg_color((GdkGC*) tp1, (GdkColor*) loc1);
	}
	RTHOOK(8);
	RTLE;
	RTEE;
}

/* {EV_DRAWABLE_IMP}.fg_color */
static EIF_POINTER F1371_13172_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_POINTER tp1;
	EIF_BOOLEAN tb1;
	RTLD;
	

	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("fg_color", 1370, Current, 0, 0, 18761);
	RTGC;
	RTOSP (13172);
#define Result RTOSR(13172)
	RTHOOK(1);
	Result = (EIF_POINTER) calloc (sizeof(GdkColor), 1);
	RTHOOK(2);
	tp1 = (EIF_POINTER) gdk_screen_get_default();
	tp1 = inline_F30_1008(tp1);
	tb1 = (EIF_BOOLEAN) EIF_TEST(gdk_colormap_alloc_color((GdkColormap*) tp1, (GdkColor*) Result, (gboolean) (EIF_BOOLEAN) 0, (gboolean) (EIF_BOOLEAN) 1));
	eif_do_nothing_value.it_b = tb1;
	RTOSE (13172);
	RTHOOK(3);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_POINTER F1371_13172 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(13172,F1371_13172_body,(Current));
}

/* {EV_DRAWABLE_IMP}.bg_color */
static EIF_POINTER F1371_13173_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_POINTER tp1;
	EIF_BOOLEAN tb1;
	RTLD;
	

	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("bg_color", 1370, Current, 0, 0, 18762);
	RTGC;
	RTOSP (13173);
#define Result RTOSR(13173)
	RTHOOK(1);
	Result = (EIF_POINTER) calloc (sizeof(GdkColor), 1);
	RTHOOK(2);
	(((GdkColor *)Result)->red = (gushort)(((EIF_INTEGER_32) 65535L)));
	RTHOOK(3);
	(((GdkColor *)Result)->green = (gushort)(((EIF_INTEGER_32) 65535L)));
	RTHOOK(4);
	(((GdkColor *)Result)->blue = (gushort)(((EIF_INTEGER_32) 65535L)));
	RTHOOK(5);
	tp1 = (EIF_POINTER) gdk_screen_get_default();
	tp1 = inline_F30_1008(tp1);
	tb1 = (EIF_BOOLEAN) EIF_TEST(gdk_colormap_alloc_color((GdkColormap*) tp1, (GdkColor*) Result, (gboolean) (EIF_BOOLEAN) 0, (gboolean) (EIF_BOOLEAN) 1));
	eif_do_nothing_value.it_b = tb1;
	RTOSE (13173);
	RTHOOK(6);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_POINTER F1371_13173 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(13173,F1371_13173_body,(Current));
}

/* {EV_DRAWABLE_IMP}.draw_mask_on_pixbuf */
void F1371_13174 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("draw_mask_on_pixbuf", 1370, Current, 0, 2, 18763);
	inline_F1371_13174 ((EIF_POINTER) arg1, (EIF_POINTER) arg2);
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {EV_DRAWABLE_IMP}.gdk_gc_unref */
void F1371_13184 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gdk_gc_unref", 1370, Current, 0, 1, 18770);gdk_gc_unref((GdkGC*) arg1);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {EV_DRAWABLE_IMP}.set_dashes_pattern */
void F1371_13185 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("set_dashes_pattern", 1370, Current, 0, 2, 18771);
	inline_F1371_13185 ((EIF_POINTER) arg1, (EIF_POINTER) arg2);
	RTHOOK(1);
	RTLE;
	RTEE;
}

void EIF_Minit726 (void)
{
	GTCX
}


#ifdef __cplusplus
}
#endif
