/*
 * Code for class LIBCURL_HTTP_CLIENT_REQUEST
 */

#include "eif_eiffel.h"
#include "../E1/estructure.h"
#include "../E1/eoffsets.h"

#include "li398.h"
#include <curl/curl.h>
#include "eif_built_in.h"
#include "eif_out.h"

#ifdef __cplusplus
extern "C" {
#endif

#ifndef INLINE_F32_436
static EIF_INTEGER_32 inline_F32_436 (void)
{
	return CURLOPT_URL;
	;
}
#define INLINE_F32_436
#endif
#ifndef INLINE_F32_478
static EIF_INTEGER_32 inline_F32_478 (void)
{
	return CURLOPT_HTTP_VERSION;
	;
}
#define INLINE_F32_478
#endif
#ifndef INLINE_F32_480
static EIF_INTEGER_32 inline_F32_480 (void)
{
	return CURL_HTTP_VERSION_1_0
	;
}
#define INLINE_F32_480
#endif
#ifndef INLINE_F32_479
static EIF_INTEGER_32 inline_F32_479 (void)
{
	return CURL_HTTP_VERSION_NONE
	;
}
#define INLINE_F32_479
#endif
#ifndef INLINE_F32_450
static EIF_INTEGER_32 inline_F32_450 (void)
{
	return CURLOPT_HTTPAUTH;
	;
}
#define INLINE_F32_450
#endif
#ifndef INLINE_F32_451
static EIF_INTEGER_32 inline_F32_451 (void)
{
	return CURLAUTH_NONE;
	;
}
#define INLINE_F32_451
#endif
#ifndef INLINE_F32_452
static EIF_INTEGER_32 inline_F32_452 (void)
{
	return CURLAUTH_BASIC;
	;
}
#define INLINE_F32_452
#endif
#ifndef INLINE_F32_453
static EIF_INTEGER_32 inline_F32_453 (void)
{
	return CURLAUTH_DIGEST;
	;
}
#define INLINE_F32_453
#endif
#ifndef INLINE_F32_454
static EIF_INTEGER_32 inline_F32_454 (void)
{
	return CURLAUTH_ANY;
	;
}
#define INLINE_F32_454
#endif
#ifndef INLINE_F32_455
static EIF_INTEGER_32 inline_F32_455 (void)
{
	return CURLAUTH_ANYSAFE;
	;
}
#define INLINE_F32_455
#endif
#ifndef INLINE_F32_448
static EIF_INTEGER_32 inline_F32_448 (void)
{
	return CURLOPT_USERPWD;
	;
}
#define INLINE_F32_448
#endif
#ifndef INLINE_F32_465
static EIF_INTEGER_32 inline_F32_465 (void)
{
	return CURLOPT_POSTFIELDS;
	;
}
#define INLINE_F32_465
#endif
#ifndef INLINE_F32_466
static EIF_INTEGER_32 inline_F32_466 (void)
{
	return CURLOPT_POSTFIELDSIZE;
	;
}
#define INLINE_F32_466
#endif
#ifndef INLINE_F32_493
static EIF_INTEGER_32 inline_F32_493 (void)
{
	return CURLOPT_UPLOAD;
	;
}
#define INLINE_F32_493
#endif
#ifndef INLINE_F32_491
static EIF_INTEGER_32 inline_F32_491 (void)
{
	return CURLOPT_INFILESIZE;
	;
}
#define INLINE_F32_491
#endif
#ifndef INLINE_F30_378
static EIF_INTEGER_32 inline_F30_378 (void)
{
	return (EIF_INTEGER_32) (CURLFORM_COPYNAME)
	;
}
#define INLINE_F30_378
#endif
#ifndef INLINE_F30_379
static EIF_INTEGER_32 inline_F30_379 (void)
{
	return (EIF_INTEGER_32) (CURLFORM_COPYCONTENTS)
	;
}
#define INLINE_F30_379
#endif
#ifndef INLINE_F30_380
static EIF_INTEGER_32 inline_F30_380 (void)
{
	return (EIF_INTEGER_32) (CURLFORM_END)
	;
}
#define INLINE_F30_380
#endif
#ifndef INLINE_F30_381
static EIF_INTEGER_32 inline_F30_381 (void)
{
	return (EIF_INTEGER_32) (CURLFORM_FILE)
	;
}
#define INLINE_F30_381
#endif
#ifndef INLINE_F32_468
static EIF_INTEGER_32 inline_F32_468 (void)
{
	return CURLOPT_HTTPPOST;
	;
}
#define INLINE_F32_468
#endif
#ifndef INLINE_F32_471
static EIF_INTEGER_32 inline_F32_471 (void)
{
	return CURLOPT_HTTPHEADER;
	;
}
#define INLINE_F32_471
#endif
#ifndef INLINE_F32_425
static EIF_INTEGER_32 inline_F32_425 (void)
{
	return CURLOPT_VERBOSE;
	;
}
#define INLINE_F32_425
#endif
#ifndef INLINE_F32_429
static EIF_INTEGER_32 inline_F32_429 (void)
{
	return CURLOPT_WRITEDATA;
	;
}
#define INLINE_F32_429
#endif
#ifndef INLINE_F32_426
static EIF_INTEGER_32 inline_F32_426 (void)
{
	return CURLOPT_HEADER;
	;
}
#define INLINE_F32_426
#endif
#ifndef INLINE_F32_438
static EIF_INTEGER_32 inline_F32_438 (void)
{
	return CURLOPT_PROXYPORT;
	;
}
#define INLINE_F32_438
#endif
#ifndef INLINE_F32_437
static EIF_INTEGER_32 inline_F32_437 (void)
{
	return CURLOPT_PROXY;
	;
}
#define INLINE_F32_437
#endif
#ifndef INLINE_F32_500
static EIF_INTEGER_32 inline_F32_500 (void)
{
	return CURLOPT_TIMEOUT
	;
}
#define INLINE_F32_500
#endif
#ifndef INLINE_F32_510
static EIF_INTEGER_32 inline_F32_510 (void)
{
	return CURLOPT_CONNECTTIMEOUT
	;
}
#define INLINE_F32_510
#endif
#ifndef INLINE_F32_460
static EIF_INTEGER_32 inline_F32_460 (void)
{
	return CURLOPT_FOLLOWLOCATION;
	;
}
#define INLINE_F32_460
#endif
#ifndef INLINE_F32_462
static EIF_INTEGER_32 inline_F32_462 (void)
{
	return CURLOPT_MAXREDIRS;
	;
}
#define INLINE_F32_462
#endif
#ifndef INLINE_F32_538
static EIF_INTEGER_32 inline_F32_538 (void)
{
	return CURLOPT_SSL_VERIFYHOST;
	;
}
#define INLINE_F32_538
#endif
#ifndef INLINE_F32_535
static EIF_INTEGER_32 inline_F32_535 (void)
{
	return CURLOPT_SSL_VERIFYPEER;
	;
}
#define INLINE_F32_535
#endif
#ifndef INLINE_F32_541
static EIF_INTEGER_32 inline_F32_541 (void)
{
	return CURLOPT_SSL_CIPHER_LIST;
	;
}
#define INLINE_F32_541
#endif
#ifndef INLINE_F32_477
static EIF_INTEGER_32 inline_F32_477 (void)
{
	return CURLOPT_HTTPGET;
	;
}
#define INLINE_F32_477
#endif
#ifndef INLINE_F32_464
static EIF_INTEGER_32 inline_F32_464 (void)
{
	return CURLOPT_POST;
	;
}
#define INLINE_F32_464
#endif
#ifndef INLINE_F32_463
static EIF_INTEGER_32 inline_F32_463 (void)
{
	return CURLOPT_PUT;
	;
}
#define INLINE_F32_463
#endif
#ifndef INLINE_F32_490
static EIF_INTEGER_32 inline_F32_490 (void)
{
	return CURLOPT_NOBODY;
	;
}
#define INLINE_F32_490
#endif
#ifndef INLINE_F32_488
static EIF_INTEGER_32 inline_F32_488 (void)
{
	return CURLOPT_CUSTOMREQUEST
	;
}
#define INLINE_F32_488
#endif
#ifndef INLINE_F32_528
static EIF_INTEGER_32 inline_F32_528 (void)
{
	return CURLOPT_SSLVERSION;
	;
}
#define INLINE_F32_528
#endif
#ifndef INLINE_F32_531
static EIF_INTEGER_32 inline_F32_531 (void)
{
	return CURL_SSLVERSION_MAX_TLSv1_2;
	;
}
#define INLINE_F32_531
#endif
#ifndef INLINE_F32_532
static EIF_INTEGER_32 inline_F32_532 (void)
{
	return CURL_SSLVERSION_TLSv1_3;
	;
}
#define INLINE_F32_532
#endif
#ifndef INLINE_F32_522
static EIF_INTEGER_32 inline_F32_522 (void)
{
	return CURLOPT_SSLCERTTYPE;
	;
}
#define INLINE_F32_522
#endif
#ifndef INLINE_F32_525
static EIF_INTEGER_32 inline_F32_525 (void)
{
	return CURLOPT_KEYPASSWD;
	;
}
#define INLINE_F32_525
#endif
#ifndef INLINE_F32_521
static EIF_INTEGER_32 inline_F32_521 (void)
{
	return CURLOPT_SSLCERT;
	;
}
#define INLINE_F32_521
#endif
#ifndef INLINE_F32_536
static EIF_INTEGER_32 inline_F32_536 (void)
{
	return CURLOPT_CAINFO;
	;
}
#define INLINE_F32_536
#endif

#ifdef __cplusplus
}
#endif


#ifdef __cplusplus
extern "C" {
#endif

/* {LIBCURL_HTTP_CLIENT_REQUEST}.make */
void F448_5983 (EIF_REFERENCE Current, EIF_REFERENCE arg1, EIF_REFERENCE arg2, EIF_REFERENCE arg3, EIF_REFERENCE arg4)
{
	GTCX
	RTLD;
	
	RTLI(5);
	RTLR(0,arg1);
	RTLR(1,arg2);
	RTLR(2,arg3);
	RTLR(3,arg4);
	RTLR(4,Current);
	RTLIU(5);
	
	RTGC;
	F447_5959(Current, arg1, arg2, arg3, arg4);
	RTOUCP(618,F448_5984, (Current));
	RTLE;
}

/* {LIBCURL_HTTP_CLIENT_REQUEST}.apply_workaround */
static void F448_5984_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	
	RTOUDV(618)

	RTLI(2);
	RTLR(0,loc1);
	RTLR(1,tr1);
	RTLIU(2);
	
	RTEV;
	RTGC;
	RTOTP;
	if ((EIF_BOOLEAN) eif_builtin_PLATFORM_is_windows__b) {
		tr1 = RTLNS(eif_new_type(316, 0x01).id, 316, _OBJSIZ_0_0_0_0_0_0_0_0_);
		loc1 = F317_4425(RTCW(tr1));
	}
	RTOTE;
	RTLE;
	RTEE;
#undef Result
}

void F448_5984 (EIF_REFERENCE Current)
{
	GTCX
	RTOUCP(618,F448_5984_body,(Current));
}

/* {LIBCURL_HTTP_CLIENT_REQUEST}.response */
#undef EIF_VOLATILE
#define EIF_VOLATILE volatile
EIF_REFERENCE F448_5986 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	RTED;
	EIF_INTEGER_32 EIF_VOLATILE loc1 = (EIF_INTEGER_32) 0;
	EIF_REFERENCE EIF_VOLATILE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc3 = (EIF_REFERENCE) 0;
	EIF_BOOLEAN EIF_VOLATILE loc4 = (EIF_BOOLEAN) 0;
	EIF_REFERENCE EIF_VOLATILE loc5 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc6 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc7 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc8 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc9 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc10 = (EIF_REFERENCE) 0;
	EIF_POINTER EIF_VOLATILE loc11 = (EIF_POINTER) 0;
	EIF_REFERENCE EIF_VOLATILE loc12 = (EIF_REFERENCE) 0;
	EIF_POINTER EIF_VOLATILE loc13 = (EIF_POINTER) 0;
	EIF_BOOLEAN EIF_VOLATILE loc14 = (EIF_BOOLEAN) 0;
	EIF_REFERENCE EIF_VOLATILE loc15 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc16 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc17 = (EIF_REFERENCE) 0;
	EIF_BOOLEAN EIF_VOLATILE loc18 = (EIF_BOOLEAN) 0;
	EIF_REFERENCE EIF_VOLATILE loc19 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc20 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc21 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc22 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc23 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc24 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc25 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc26 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc27 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc28 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc29 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc30 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc31 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc32 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc33 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc34 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc35 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE saved_except = (EIF_REFERENCE) 0;
	EIF_POINTER  EIF_VOLATILE tp1;
	EIF_REFERENCE  EIF_VOLATILE tr1 = NULL;
	EIF_REFERENCE  EIF_VOLATILE tr2 = NULL;
	EIF_REFERENCE  EIF_VOLATILE tr3 = NULL;
	EIF_INTEGER_32  EIF_VOLATILE ti4_1;
	EIF_INTEGER_32  EIF_VOLATILE ti4_2;
	EIF_INTEGER_32  EIF_VOLATILE ti4_3;
	EIF_BOOLEAN  EIF_VOLATILE tb1;
	EIF_BOOLEAN  EIF_VOLATILE tb2;
	EIF_BOOLEAN  EIF_VOLATILE tb3;
	EIF_BOOLEAN  EIF_VOLATILE tb4;
	EIF_BOOLEAN  EIF_VOLATILE tb5;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTCFDT;
	RTLD;
	RTXD;
	
	RTLI(35);
	RTLR(0,loc9);
	RTLR(1,Current);
	RTLR(2,tr1);
	RTLR(3,loc10);
	RTLR(4,loc12);
	RTLR(5,loc20);
	RTLR(6,loc21);
	RTLR(7,loc3);
	RTLR(8,tr2);
	RTLR(9,loc19);
	RTLR(10,tr3);
	RTLR(11,loc22);
	RTLR(12,loc23);
	RTLR(13,loc24);
	RTLR(14,loc17);
	RTLR(15,loc25);
	RTLR(16,loc15);
	RTLR(17,loc16);
	RTLR(18,loc7);
	RTLR(19,loc8);
	RTLR(20,loc26);
	RTLR(21,loc27);
	RTLR(22,loc5);
	RTLR(23,loc6);
	RTLR(24,loc28);
	RTLR(25,loc29);
	RTLR(26,loc30);
	RTLR(27,loc31);
	RTLR(28,loc32);
	RTLR(29,loc33);
	RTLR(30,loc2);
	RTLR(31,loc34);
	RTLR(32,Result);
	RTLR(33,loc35);
	RTLR(34,saved_except);
	RTLIU(35);
	RTXSLS;
	
	RTEV;
	RTGC;
	RTE_T
	if ((EIF_BOOLEAN) !loc14) {
		tr1 = *(EIF_REFERENCE *)(Current);
		loc9 = *(EIF_REFERENCE *)(RTCW(tr1) + _REFACS_11_);
		tr1 = *(EIF_REFERENCE *)(Current);
		loc10 = *(EIF_REFERENCE *)(RTCW(tr1) + _REFACS_12_);
		loc11 = F163_2602(RTCW(loc10));
		F164_2643(RTCW(loc9));
		loc12 = *(EIF_REFERENCE *)(Current + _REFACS_1_);
		if ((EIF_BOOLEAN)(loc12 != NULL)) {
			loc18 = '\0';
			tr1 = *(EIF_REFERENCE *)(RTCW(loc12) + _REFACS_9_);
			loc20 = tr1;
			if (EIF_TEST(loc20)) {
				tr1 = RTMS_EX_H("HTTP/1.0",8,303094320);
				tb1 = F1173_10330(loc20, tr1);
				loc18 = tb1;
			}
		}
		F448_5987(Current, loc12, loc9, loc10, loc11);
		tr1 = *(EIF_REFERENCE *)(Current);
		tr1 = *(EIF_REFERENCE *)(RTCW(tr1) + _REFACS_2_);
		loc21 = tr1;
		if (EIF_TEST(loc21)) {
			F448_5988(Current, loc10, loc11, loc21);
		}
		loc3 = *(EIF_REFERENCE *)(Current + _REFACS_3_);
		tr1 = *(EIF_REFERENCE *)(Current);
		tb1 = F1382_13331(RTCW(tr1));
		if (tb1) {
			tr1 = RTOUCR(32,F100_1806, (RTCV(RTOUCR(2,F1_24, (Current)))));
			tr2 = RTMS_EX_H("> Sending:\012",11,485789194);
			(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6250[Dtype(RTCW(tr1))-562])(tr1, tr2);
			tr1 = RTLNS(eif_new_type(1427, 0x01).id, 1427, _OBJSIZ_6_2_0_1_0_0_0_0_);
			F1428_14807(RTCW(tr1), loc3);
			loc19 = (EIF_REFERENCE) tr1;
			tr1 = RTOUCR(32,F100_1806, (RTCV(RTOUCR(2,F1_24, (Current)))));
			tr2 = RTMS_EX_H("> ",2,15904);
			(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6250[Dtype(RTCW(tr1))-562])(tr1, tr2);
			tr1 = RTOUCR(32,F100_1806, (RTCV(RTOUCR(2,F1_24, (Current)))));
			tr2 = *(EIF_REFERENCE *)(Current + _REFACS_2_);
			tr3 = RTMS_EX_H(" ",1,32);
			tr2 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE, EIF_REFERENCE)) R8692[Dtype(RTCW(tr2))-1173])(tr2, tr3);
			tr3 = *(EIF_REFERENCE *)(RTCW(loc19) + _REFACS_3_);
			tr2 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE, EIF_REFERENCE)) R8692[Dtype(RTCW(tr2))-1173])(tr2, tr3);
			(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6250[Dtype(RTCW(tr1))-562])(tr1, tr2);
			tr1 = *(EIF_REFERENCE *)(RTCW(loc19) + _REFACS_4_);
			loc22 = tr1;
			if (EIF_TEST(loc22)) {
				tr1 = RTOUCR(32,F100_1806, (RTCV(RTOUCR(2,F1_24, (Current)))));
				(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6250[Dtype(RTCW(tr1))-562])(tr1, loc22);
			}
			if (loc18) {
				tr1 = RTOUCR(32,F100_1806, (RTCV(RTOUCR(2,F1_24, (Current)))));
				tr2 = RTMS_EX_H(" HTTP/1.0",9,43051312);
				(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6250[Dtype(RTCW(tr1))-562])(tr1, tr2);
			} else {
				tr1 = RTOUCR(32,F100_1806, (RTCV(RTOUCR(2,F1_24, (Current)))));
				tr2 = RTMS_EX_H(" HTTP/1.1",9,43051313);
				(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6250[Dtype(RTCW(tr1))-562])(tr1, tr2);
			}
			tr1 = RTOUCR(32,F100_1806, (RTCV(RTOUCR(2,F1_24, (Current)))));
			(FUNCTION_CAST(void, (EIF_REFERENCE)) R6248[Dtype(RTCW(tr1))-935])(tr1);
			tr1 = *(EIF_REFERENCE *)(RTCW(loc19) + _REFACS_2_);
			loc23 = tr1;
			if (EIF_TEST(loc23)) {
				tr1 = RTOUCR(32,F100_1806, (RTCV(RTOUCR(2,F1_24, (Current)))));
				tr2 = RTMS_EX_H("> ",2,15904);
				(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6250[Dtype(RTCW(tr1))-562])(tr1, tr2);
				tr1 = RTOUCR(32,F100_1806, (RTCV(RTOUCR(2,F1_24, (Current)))));
				tr2 = RTMS_EX_H("Host: ",6,2079407136);
				tr2 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE, EIF_REFERENCE)) R8692[Dtype(tr2)-1173])(tr2, loc23);
				(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6250[Dtype(RTCW(tr1))-562])(tr1, tr2);
				tr1 = RTOUCR(32,F100_1806, (RTCV(RTOUCR(2,F1_24, (Current)))));
				(FUNCTION_CAST(void, (EIF_REFERENCE)) R6248[Dtype(RTCW(tr1))-935])(tr1);
			}
			tr1 = *(EIF_REFERENCE *)(Current + _REFACS_4_);
			loc24 = F960_8571(RTCW(tr1));
			for (;;) {
				tb1 = F649_7874(loc24);
				if (tb1) break;
				tr1 = RTOUCR(32,F100_1806, (RTCV(RTOUCR(2,F1_24, (Current)))));
				tr2 = RTMS_EX_H("> ",2,15904);
				(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6250[Dtype(RTCW(tr1))-562])(tr1, tr2);
				tr1 = RTOUCR(32,F100_1806, (RTCV(RTOUCR(2,F1_24, (Current)))));
				tr2 = F649_7872(loc24);
				(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6250[Dtype(RTCW(tr1))-562])(tr1, tr2);
				tr1 = RTOUCR(32,F100_1806, (RTCV(RTOUCR(2,F1_24, (Current)))));
				tr2 = RTMS_EX_H(": ",2,14880);
				(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6250[Dtype(RTCW(tr1))-562])(tr1, tr2);
				tr1 = RTOUCR(32,F100_1806, (RTCV(RTOUCR(2,F1_24, (Current)))));
				tr2 = F649_7871(loc24);
				(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6250[Dtype(RTCW(tr1))-562])(tr1, tr2);
				tr1 = RTOUCR(32,F100_1806, (RTCV(RTOUCR(2,F1_24, (Current)))));
				(FUNCTION_CAST(void, (EIF_REFERENCE)) R6248[Dtype(RTCW(tr1))-935])(tr1);
				F649_7875(loc24);
			}
			tr1 = RTOUCR(32,F100_1806, (RTCV(RTOUCR(2,F1_24, (Current)))));
			tr2 = RTMS_EX_H("> ... ",6,896921120);
			(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6250[Dtype(RTCW(tr1))-562])(tr1, tr2);
			tr1 = RTOUCR(32,F100_1806, (RTCV(RTOUCR(2,F1_24, (Current)))));
			(FUNCTION_CAST(void, (EIF_REFERENCE)) R6248[Dtype(RTCW(tr1))-935])(tr1);
		}
		ti4_1 = inline_F32_436();
		F163_2603(RTCW(loc10), loc11, ti4_1, loc3);
		if (loc18) {
			ti4_1 = inline_F32_478();
			ti4_2 = inline_F32_480();
			F163_2607(RTCW(loc10), loc11, ti4_1, ti4_2);
		} else {
			ti4_1 = inline_F32_478();
			ti4_2 = inline_F32_479();
			F163_2607(RTCW(loc10), loc11, ti4_1, ti4_2);
		}
		loc17 = *(EIF_REFERENCE *)(Current + _REFACS_4_);
		if ((EIF_BOOLEAN)(loc12 != NULL)) {
			tb2 = *(EIF_BOOLEAN *)(RTCW(loc12)+ _CHROFF_10_0_);
			if (tb2) {
				tr1 = F447_5973(Current);
				loc25 = tr1;
				if (EIF_TEST(loc25)) {
					switch (F447_5970(Current)) {
						case 0L:
							ti4_1 = inline_F32_450();
							ti4_2 = inline_F32_451();
							F163_2607(RTCW(loc10), loc11, ti4_1, ti4_2);
							break;
						case 1L:
							ti4_1 = inline_F32_450();
							ti4_2 = inline_F32_452();
							F163_2607(RTCW(loc10), loc11, ti4_1, ti4_2);
							break;
						case 2L:
							ti4_1 = inline_F32_450();
							ti4_2 = inline_F32_453();
							F163_2607(RTCW(loc10), loc11, ti4_1, ti4_2);
							break;
						case 3L:
							ti4_1 = inline_F32_450();
							ti4_2 = inline_F32_454();
							F163_2607(RTCW(loc10), loc11, ti4_1, ti4_2);
							break;
						case 4L:
							ti4_1 = inline_F32_450();
							ti4_2 = inline_F32_455();
							F163_2607(RTCW(loc10), loc11, ti4_1, ti4_2);
							break;
					}
					ti4_1 = inline_F32_448();
					F163_2603(RTCW(loc10), loc11, ti4_1, loc25);
				}
			}
			tb2 = F71_1358(RTCW(loc12));
			if (tb2) {
				loc15 = *(EIF_REFERENCE *)(RTCW(loc12) + _REFACS_4_);
			}
			tb2 = F71_1359(RTCW(loc12));
			if (tb2) {
				loc16 = *(EIF_REFERENCE *)(RTCW(loc12) + _REFACS_5_);
			}
			if ((EIF_BOOLEAN)(loc15 != NULL)) {
				ti4_1 = inline_F32_465();
				F163_2603(RTCW(loc10), loc11, ti4_1, loc15);
				ti4_1 = inline_F32_466();
				ti4_2 = *(EIF_INTEGER_32 *)(RTCW(loc15) + O8702[Dtype(loc15)-1172]);
				F163_2607(RTCW(loc10), loc11, ti4_1, ti4_2);
			} else {
				if ((EIF_BOOLEAN)(loc16 != NULL)) {
					tr1 = RTLNS(eif_new_type(936, 0x01).id, 936, _OBJSIZ_4_6_2_4_1_1_2_1_);
					F935_8190(RTCW(tr1), loc16);
					loc7 = (EIF_REFERENCE) tr1;
					tb2 = '\0';
					tb3 = F935_8225(RTCW(loc7));
					if (tb3) {
						tb3 = F935_8228(RTCW(loc7));
						tb2 = tb3;
					}
					if (tb2) {
						ti4_1 = inline_F32_493();
						F163_2607(RTCW(loc10), loc11, ti4_1, ((EIF_INTEGER_32) 1L));
						ti4_1 = inline_F32_491();
						ti4_2 = F935_8220(RTCW(loc7));
						F163_2607(RTCW(loc10), loc11, ti4_1, ti4_2);
						if ((EIF_BOOLEAN)(loc8 == NULL)) {
							tr1 = RTLNS(eif_new_type(558, 0x01).id, 558, _OBJSIZ_2_0_0_0_0_0_0_0_);
							F557_6815(RTCW(tr1));
							loc8 = (EIF_REFERENCE) tr1;
						}
						F559_6827(RTCW(loc8), loc7);
						F935_8260(RTCW(loc7));
						F163_2613(RTCW(loc10), loc8);
					}
				} else {
					tb2 = '\0';
					tb3 = F71_1357(RTCW(loc12));
					if (tb3) {
						tr1 = *(EIF_REFERENCE *)(RTCW(loc12) + _REFACS_3_);
						loc26 = tr1;
						tb2 = (EIF_TRUE);
					}
					if (tb2) {
						tr1 = RTMS_EX_H("Content-Type",12,1604261989);
						tr1 = F960_8562(RTCW(loc17), tr1);
						loc27 = tr1;
						if (EIF_TEST(loc27)) {
							tr1 = RTMS_EX_H("application/x-www-form-urlencoded",33,632002404);
							tb2 = F1173_10338(loc27, tr1);
							if (tb2) {
								loc15 = F71_1377(RTCW(loc12));
							} else {
								tb2 = '\01';
								tr1 = RTMS_EX_H("multipart/form-data",19,1299947873);
								tb3 = F1173_10338(loc27, tr1);
								if (!tb3) {
									tb3 = F711_7954(loc26);
									tb2 = tb3;
								}
								if (tb2) {
									loc4 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
								} else {
									loc4 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
								}
							}
						} else {
							tr1 = RTMS_EX_H("application/x-www-form-urlencoded",33,632002404);
							tr2 = RTMS_EX_H("Content-Type",12,1604261989);
							F960_8603(RTCW(loc17), tr1, tr2);
							loc15 = F71_1377(RTCW(loc12));
							ti4_1 = inline_F32_465();
							F163_2603(RTCW(loc10), loc11, ti4_1, loc15);
							ti4_1 = inline_F32_466();
							ti4_2 = *(EIF_INTEGER_32 *)(RTCW(loc15) + O8702[Dtype(loc15)-1172]);
							F163_2607(RTCW(loc10), loc11, ti4_1, ti4_2);
						}
						if (loc4) {
							loc5 = RTLNS(eif_new_type(543, 0x01).id, 543, _OBJSIZ_0_0_0_0_0_1_0_0_);
							loc6 = RTLNS(eif_new_type(543, 0x01).id, 543, _OBJSIZ_0_0_0_0_0_1_0_0_);
							loc28 = F709_7952(loc26);
							for (;;) {
								tb2 = F658_7886(loc28);
								if (tb2) break;
								tr1 = F658_7877(loc28);
								loc29 = tr1;
								loc29 = RTRV(eif_new_type(1243, 0x01),loc29);
								if (EIF_TEST(loc29)) {
									ti4_1 = inline_F30_378();
									tr1 = *(EIF_REFERENCE *)(loc29);
									ti4_2 = inline_F30_379();
									tr2 = *(EIF_REFERENCE *)(loc29 + _REFACS_2_);
									ti4_3 = inline_F30_380();
									F164_2645(RTCW(loc9), loc5, loc6, ti4_1, tr1, ti4_2, tr2, ti4_3);
								} else {
									tr1 = F658_7877(loc28);
									loc30 = tr1;
									loc30 = RTRV(eif_new_type(1242, 0x01),loc30);
									if (EIF_TEST(loc30)) {
										ti4_1 = inline_F30_378();
										tr1 = RTMS_EX_H("file",4,1718185061);
										ti4_2 = inline_F30_381();
										tr2 = *(EIF_REFERENCE *)(loc30);
										tr2 = F1191_10966(RTCW(tr2));
										ti4_3 = inline_F30_380();
										F164_2645(RTCW(loc9), loc5, loc6, ti4_1, tr1, ti4_2, tr2, ti4_3);
									} else {
									}
								}
								F658_7892(loc28);
							}
							F544_6539(RTCW(loc6));
							ti4_1 = inline_F32_468();
							F163_2604(RTCW(loc10), loc11, ti4_1, loc5);
						}
					} else {
					}
				}
			}
		}
		loc31 = F960_8571(RTCW(loc17));
		for (;;) {
			tb3 = F649_7874(loc31);
			if (tb3) break;
			tr1 = F649_7872(loc31);
			tr2 = RTMS_EX_H(": ",2,14880);
			tr1 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE, EIF_REFERENCE)) R8692[Dtype(RTCW(tr1))-1173])(tr1, tr2);
			tr2 = F649_7871(loc31);
			tr1 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE, EIF_REFERENCE)) R8692[Dtype(RTCW(tr1))-1173])(tr1, tr2);
			tp1 = F164_2646(RTCW(loc9), loc13, tr1);
			loc13 = (EIF_POINTER) tp1;
			F649_7875(loc31);
		}
		tr1 = RTMS_EX_H("Expect:",7,159486778);
		tp1 = F164_2646(RTCW(loc9), loc13, tr1);
		loc13 = (EIF_POINTER) tp1;
		ti4_1 = inline_F32_471();
		F163_2605(RTCW(loc10), loc11, ti4_1, loc13);
		F163_2616(RTCW(loc10), loc11);
		F163_2615(RTCW(loc10), loc11);
		if (F447_5963(Current)) {
			F163_2618(RTCW(loc10), loc11);
			ti4_1 = inline_F32_425();
			F163_2607(RTCW(loc10), loc11, ti4_1, ((EIF_INTEGER_32) 1L));
		}
		tb4 = '\0';
		if ((EIF_BOOLEAN)(loc12 != NULL)) {
			tb5 = F71_1360(RTCW(loc12));
			tb4 = tb5;
		}
		if (tb4) {
			if ((EIF_BOOLEAN)(loc8 == NULL)) {
				tr1 = RTLNS(eif_new_type(558, 0x01).id, 558, _OBJSIZ_2_0_0_0_0_0_0_0_);
				F557_6815(RTCW(tr1));
				loc8 = (EIF_REFERENCE) tr1;
			}
			tr1 = *(EIF_REFERENCE *)(RTCW(loc12) + _REFACS_6_);
			loc32 = tr1;
			if (EIF_TEST(loc32)) {
				F559_6826(RTCW(loc8), loc32);
			} else {
				tr1 = *(EIF_REFERENCE *)(RTCW(loc12) + _REFACS_8_);
				loc33 = tr1;
				if (EIF_TEST(loc33)) {
					tr1 = RTLNS(eif_new_type(1175, 0x01).id, 1175, _OBJSIZ_1_1_0_4_0_0_0_0_);
					F1167_10005(RTCW(tr1));
					loc2 = (EIF_REFERENCE) tr1;
					tr1 = F448_5991(Current, loc33, loc2);
					F559_6826(RTCW(loc8), tr1);
				} else {
					tr1 = *(EIF_REFERENCE *)(RTCW(loc12) + _REFACS_7_);
					loc34 = tr1;
					if (EIF_TEST(loc34)) {
						tr1 = RTLNS(eif_new_type(1175, 0x01).id, 1175, _OBJSIZ_1_1_0_4_0_0_0_0_);
						F1167_10005(RTCW(tr1));
						loc2 = (EIF_REFERENCE) tr1;
						tr1 = F448_5990(Current, loc34, loc2);
						F559_6826(RTCW(loc8), tr1);
					}
				}
			}
			F163_2613(RTCW(loc10), loc8);
		} else {
			tr1 = RTLNS(eif_new_type(1175, 0x01).id, 1175, _OBJSIZ_1_1_0_4_0_0_0_0_);
			F1167_10005(RTCW(tr1));
			loc2 = (EIF_REFERENCE) tr1;
			ti4_1 = inline_F32_429();
			F163_2606(RTCW(loc10), loc11, ti4_1, loc2);
		}
		tr1 = RTLNS(eif_new_type(71, 0x01).id, 71, _OBJSIZ_8_1_0_1_0_0_0_0_);
		F72_1385(RTCW(tr1), loc3);
		Result = (EIF_REFERENCE) tr1;
		loc1 = F163_2610(RTCW(loc10), loc11);
		if ((EIF_BOOLEAN)(loc1 == ((EIF_INTEGER_32) 0L))) {
			ti4_1 = F448_5989(Current, loc10, loc11);
			F72_1405(RTCW(Result), ti4_1);
			if ((EIF_BOOLEAN)(loc2 != NULL)) {
				tr1 = F1173_10318(RTCW(loc2));
				F72_1407(RTCW(Result), tr1, loc12);
				tr1 = *(EIF_REFERENCE *)(Current);
				tb4 = F1382_13332(RTCW(tr1));
				if (tb4) {
					tr1 = RTOUCR(32,F100_1806, (RTCV(RTOUCR(2,F1_24, (Current)))));
					tr2 = RTMS_EX_H("< Receiving:\012",13,798060298);
					(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6250[Dtype(RTCW(tr1))-562])(tr1, tr2);
					tr1 = RTOUCR(32,F100_1806, (RTCV(RTOUCR(2,F1_24, (Current)))));
					tr2 = *(EIF_REFERENCE *)(RTCW(Result) + _REFACS_4_);
					(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6250[Dtype(RTCW(tr1))-562])(tr1, tr2);
				}
			}
		} else {
			tr1 = F164_2648(RTCW(loc9), loc1);
			loc35 = tr1;
			if ((EIF_TRUE)) {
				tr1 = RTMS_EX_H("Error: ",7,316445984);
				tr2 = RTLNS(eif_new_type(85, 0x00).id, 85, _OBJSIZ_0_0_0_0_0_0_0_0_);
				tr3 = F86_1633(RTCW(tr2), loc35);
				tr1 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE, EIF_REFERENCE)) R8692[Dtype(tr1)-1173])(tr1, tr3);
				F72_1389(RTCW(Result), tr1);
			} else {
				tr1 = RTMS_EX_H("Error: cURL Error[",18,2136945755);
				tr2 = eif_out__i4_s1(loc1);
				tr1 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE, EIF_REFERENCE)) R8692[Dtype(tr1)-1173])(tr1, tr2);
				tr2 = RTMS_EX_H("]",1,93);
				tr1 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE, EIF_REFERENCE)) R8692[Dtype(RTCW(tr1))-1173])(tr1, tr2);
				F72_1389(RTCW(Result), tr1);
			}
			ti4_1 = F448_5989(Current, loc10, loc11);
			F72_1405(RTCW(Result), ti4_1);
		}
		F164_2644(RTCW(loc9));
		F163_2611(RTCW(loc10), loc11);
	} else {
		tr1 = RTLNS(eif_new_type(71, 0x01).id, 71, _OBJSIZ_8_1_0_1_0_0_0_0_);
		F72_1385(RTCW(tr1), *(EIF_REFERENCE *)(Current + _REFACS_3_));
		Result = (EIF_REFERENCE) tr1;
		tr1 = RTMS_EX_H("Error: internal error",21,167678066);
		F72_1389(RTCW(Result), tr1);
	}
	if ((EIF_BOOLEAN)(loc5 != NULL)) {
		F544_6538(RTCW(loc5));
	}
	tb4 = '\0';
	if ((EIF_BOOLEAN)(loc9 != NULL)) {
		{
			/* INLINED CODE (ANY.default_pointer) */
			tp1 = (EIF_POINTER)  0;
			/* END INLINED CODE */
		}
		tb4 = (EIF_BOOLEAN)(loc13 != tp1);
	}
	if (tb4) {
		F164_2647(RTCW(loc9), loc13);
	}
	tb4 = '\0';
	if ((EIF_BOOLEAN)(loc7 != NULL)) {
		tb5 = F935_8249(RTCW(loc7));
		tb4 = (EIF_BOOLEAN) !tb5;
	}
	if (tb4) {
		F935_8277(RTCW(loc7));
	}
	RTE_E
	RTXSC;
	loc14 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
	if ((EIF_BOOLEAN)(loc9 != NULL)) {
		F164_2644(RTCW(loc9));
		loc9 = (EIF_REFERENCE) NULL;
	}
	tb4 = '\0';
	if ((EIF_BOOLEAN)(loc10 != NULL)) {
		{
			/* INLINED CODE (ANY.default_pointer) */
			tp1 = (EIF_POINTER)  0;
			/* END INLINED CODE */
		}
		tb4 = (EIF_BOOLEAN)(loc11 != tp1);
	}
	if (tb4) {
		F163_2611(RTCW(loc10), loc11);
		loc10 = (EIF_REFERENCE) NULL;
	}
	RTER;
	/* NOTREACHED */
	RTE_EE
	RTEOK;
	RTLE;
	return Result;
}
#undef EIF_VOLATILE
#define EIF_VOLATILE

/* {LIBCURL_HTTP_CLIENT_REQUEST}.initialize_curl_session */
void F448_5987 (EIF_REFERENCE Current, EIF_REFERENCE arg1, EIF_REFERENCE arg2, EIF_REFERENCE arg3, EIF_POINTER arg4)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_BOOLEAN tb1;
	RTLD;
	
	RTLI(7);
	RTLR(0,arg3);
	RTLR(1,arg1);
	RTLR(2,loc1);
	RTLR(3,Current);
	RTLR(4,tr1);
	RTLR(5,loc2);
	RTLR(6,tr2);
	RTLIU(7);
	
	RTGC;
	ti4_1 = inline_F32_426();
	F163_2607(RTCW(arg3), arg4, ti4_1, ((EIF_INTEGER_32) 1L));
	if ((EIF_BOOLEAN)(arg1 != NULL)) {
		loc1 = *(EIF_REFERENCE *)(RTCW(arg1));
	}
	if ((EIF_BOOLEAN)(loc1 == NULL)) {
		loc1 = F447_5974(Current);
	}
	if ((EIF_BOOLEAN)(loc1 != NULL)) {
		ti4_1 = inline_F32_438();
		ti4_2 = eif_integer_32_item(RTCW(loc1),2);
		F163_2607(RTCW(arg3), arg4, ti4_1, ti4_2);
		ti4_1 = inline_F32_437();
		tr1 = eif_boxed_item(loc1,1);
		F163_2603(RTCW(arg3), arg4, ti4_1, tr1);
	}
	if ((EIF_BOOLEAN) (F447_5975(Current) > ((EIF_INTEGER_32) 0L))) {
		ti4_1 = inline_F32_500();
		ti4_2 = F447_5975(Current);
		F163_2607(RTCW(arg3), arg4, ti4_1, ti4_2);
	}
	if ((EIF_BOOLEAN) (F447_5976(Current) > ((EIF_INTEGER_32) 0L))) {
		ti4_1 = inline_F32_510();
		ti4_2 = F447_5975(Current);
		F163_2607(RTCW(arg3), arg4, ti4_1, ti4_2);
	}
	if ((EIF_BOOLEAN)(F447_5977(Current) != ((EIF_INTEGER_32) 0L))) {
		ti4_1 = inline_F32_460();
		F163_2607(RTCW(arg3), arg4, ti4_1, ((EIF_INTEGER_32) 1L));
		ti4_1 = inline_F32_462();
		ti4_2 = F447_5977(Current);
		F163_2607(RTCW(arg3), arg4, ti4_1, ti4_2);
	} else {
		ti4_1 = inline_F32_460();
		F163_2607(RTCW(arg3), arg4, ti4_1, ((EIF_INTEGER_32) 0L));
	}
	if (F447_5982(Current)) {
		ti4_1 = inline_F32_538();
		F163_2607(RTCW(arg3), arg4, ti4_1, ((EIF_INTEGER_32) 0L));
		ti4_1 = inline_F32_535();
		F163_2607(RTCW(arg3), arg4, ti4_1, ((EIF_INTEGER_32) 0L));
	}
	tr1 = *(EIF_REFERENCE *)(Current);
	tr1 = *(EIF_REFERENCE *)(RTCW(tr1) + _REFACS_10_);
	loc2 = tr1;
	if (EIF_TEST(loc2)) {
		ti4_1 = inline_F32_541();
		F163_2603(RTCW(arg3), arg4, ti4_1, loc2);
	}
	tr1 = *(EIF_REFERENCE *)(Current + _REFACS_2_);
	tr2 = RTMS_EX_H("GET",3,4670804);
	tb1 = F1173_10328(RTCW(tr1), tr2);
	if (tb1) {
		ti4_1 = inline_F32_477();
		F163_2607(RTCW(arg3), arg4, ti4_1, ((EIF_INTEGER_32) 1L));
	} else {
		tr1 = *(EIF_REFERENCE *)(Current + _REFACS_2_);
		tr2 = RTMS_EX_H("POST",4,1347375956);
		tb1 = F1173_10328(RTCW(tr1), tr2);
		if (tb1) {
			ti4_1 = inline_F32_464();
			F163_2607(RTCW(arg3), arg4, ti4_1, ((EIF_INTEGER_32) 1L));
		} else {
			tr1 = *(EIF_REFERENCE *)(Current + _REFACS_2_);
			tr2 = RTMS_EX_H("PUT",3,5264724);
			tb1 = F1173_10328(RTCW(tr1), tr2);
			if (tb1) {
				ti4_1 = inline_F32_463();
				F163_2607(RTCW(arg3), arg4, ti4_1, ((EIF_INTEGER_32) 1L));
			} else {
				tr1 = *(EIF_REFERENCE *)(Current + _REFACS_2_);
				tr2 = RTMS_EX_H("HEAD",4,1212498244);
				tb1 = F1173_10328(RTCW(tr1), tr2);
				if (tb1) {
					ti4_1 = inline_F32_490();
					F163_2607(RTCW(arg3), arg4, ti4_1, ((EIF_INTEGER_32) 1L));
				} else {
					tr1 = *(EIF_REFERENCE *)(Current + _REFACS_2_);
					tr2 = RTMS_EX_H("DELETE",6,1413835333);
					tb1 = F1173_10328(RTCW(tr1), tr2);
					if (tb1) {
						ti4_1 = inline_F32_488();
						tr1 = RTMS_EX_H("DELETE",6,1413835333);
						F163_2603(RTCW(arg3), arg4, ti4_1, tr1);
					} else {
						ti4_1 = inline_F32_488();
						tr1 = *(EIF_REFERENCE *)(Current + _REFACS_2_);
						F163_2603(RTCW(arg3), arg4, ti4_1, tr1);
					}
				}
			}
		}
	}
	RTLE;
}

/* {LIBCURL_HTTP_CLIENT_REQUEST}.initialize_curl_security_session */
void F448_5988 (EIF_REFERENCE Current, EIF_REFERENCE arg1, EIF_POINTER arg2, EIF_REFERENCE arg3)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc3 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc4 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_BOOLEAN tb1;
	RTLD;
	
	RTLI(7);
	RTLR(0,arg3);
	RTLR(1,arg1);
	RTLR(2,loc1);
	RTLR(3,tr1);
	RTLR(4,loc2);
	RTLR(5,loc3);
	RTLR(6,loc4);
	RTLIU(7);
	
	RTGC;
	ti4_1 = *(EIF_INTEGER_32 *)(RTCW(arg3));
	tb1 = (RTNA((RTCW(arg3), ti4_1)), ((EIF_BOOLEAN) 0));
	if (tb1) {
		tb1 = (RTNA((RTCW(arg3))), ((EIF_BOOLEAN) 0));
		if (tb1) {
			ti4_1 = inline_F32_528();
			ti4_2 = inline_F32_531();
			F163_2607(RTCW(arg1), arg2, ti4_1, ti4_2);
		}
		tb1 = (RTNA((RTCW(arg3))), ((EIF_BOOLEAN) 0));
		if (tb1) {
			ti4_1 = inline_F32_528();
			ti4_2 = inline_F32_532();
			F163_2607(RTCW(arg1), arg2, ti4_1, ti4_2);
		}
	}
	tr1 = *(EIF_REFERENCE *)(RTCW(arg3));
	loc1 = tr1;
	if (EIF_TEST(loc1)) {
		ti4_1 = inline_F32_522();
		F163_2603(RTCW(arg1), arg2, ti4_1, loc1);
	}
	tr1 = *(EIF_REFERENCE *)(RTCW(arg3));
	loc2 = tr1;
	if (EIF_TEST(loc2)) {
		ti4_1 = inline_F32_525();
		F163_2603(RTCW(arg1), arg2, ti4_1, loc2);
	}
	tr1 = *(EIF_REFERENCE *)(RTCW(arg3));
	loc3 = tr1;
	if (EIF_TEST(loc3)) {
		ti4_1 = inline_F32_521();
		F163_2603(RTCW(arg1), arg2, ti4_1, loc3);
	}
	tr1 = *(EIF_REFERENCE *)(RTCW(arg3));
	loc4 = tr1;
	if (EIF_TEST(loc4)) {
		ti4_1 = inline_F32_536();
		F163_2603(RTCW(arg1), arg2, ti4_1, loc4);
	}
	tb1 = *(EIF_BOOLEAN *)(RTCW(arg3));
	if (tb1) {
		ti4_1 = inline_F32_535();
		F163_2607(RTCW(arg1), arg2, ti4_1, ((EIF_INTEGER_32) 1L));
	}
	tb1 = *(EIF_BOOLEAN *)(RTCW(arg3));
	if (tb1) {
		ti4_1 = inline_F32_538();
		F163_2607(RTCW(arg1), arg2, ti4_1, ((EIF_INTEGER_32) 2L));
	}
	RTLE;
}

/* {LIBCURL_HTTP_CLIENT_REQUEST}.response_status_code */
EIF_INTEGER_32 F448_5989 (EIF_REFERENCE Current, EIF_REFERENCE arg1, EIF_POINTER arg2)
{
	GTCX
	EIF_INTEGER_32 loc1 = (EIF_INTEGER_32) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_INTEGER_32 loc3 = (EIF_INTEGER_32) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	RTLD;
	
	RTLI(5);
	RTLR(0,loc2);
	RTLR(1,Current);
	RTLR(2,arg1);
	RTLR(3,tr1);
	RTLR(4,tr2);
	RTLIU(5);
	
	RTGC;
	{
		static EIF_TYPE_INDEX typarr0[] = {0xFF01,205,0,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(Dftype(Current), typarr0)));
		loc2 = RTLNS(typres0.id, 205, _OBJSIZ_1_0_0_0_0_0_0_0_);
	}
	F206_3113(RTCW(loc2), NULL);
	loc1 = F163_2612(RTCW(arg1), arg2, ((EIF_INTEGER_32) 2097154L), loc2);
	tb1 = '\0';
	if ((EIF_BOOLEAN)(loc1 == ((EIF_INTEGER_32) 0L))) {
		tr2 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R3050[Dtype(RTCW(loc2))-205])(loc2);
		tr1 = RTCCL(tr2);
		RTOB(*(EIF_INTEGER_32 *), eif_new_type(1311, 0x00), tr1, loc3, tb2);
		tb1 = tb2;
	}
	if (tb1) {
		RTLE;
		return (EIF_INTEGER_32) loc3;
	} else {
		RTLE;
		return (EIF_INTEGER_32) ((EIF_INTEGER_32) 0L);
	}/* NOTREACHED */
	
}

/* {LIBCURL_HTTP_CLIENT_REQUEST}.new_write_data_to_file_agent */
EIF_REFERENCE F448_5990 (EIF_REFERENCE Current, EIF_REFERENCE arg1, EIF_REFERENCE arg2)
{
	GTCX
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_REFERENCE tr3 = NULL;
	EIF_REFERENCE tr4 = NULL;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTCFDT;
	RTLD;
	
	RTLI(8);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,arg2);
	RTLR(3,arg1);
	RTLR(4,tr2);
	RTLR(5,tr3);
	RTLR(6,tr4);
	RTLR(7,Result);
	RTLIU(8);
	
	RTGC;
	{
		EIF_TYPE_INDEX typarr0[] = {0xFFF9,4,1112,0xFF01,0,1174,0xFF01,934,0xFF01,207,1126,0xFFFF};
		EIF_TYPE typres0;
		typarr0[4] = dftype;
		
		typres0 = eif_compound_id(dftype, typarr0);
		tr1 = RTLNTS(typres0.id, 5, 0);
	}
	((EIF_TYPED_VALUE *)tr1+1)->it_r = Current;
	RTAR(tr1,Current);
	((EIF_TYPED_VALUE *)tr1+2)->it_r = arg2;
	RTAR(tr1,arg2);
	((EIF_TYPED_VALUE *)tr1+3)->it_r = arg1;
	RTAR(tr1,arg1);
	{
		static EIF_TYPE_INDEX typarr0[] = {0xFF01,207,1126,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
		tr2 = RTLNS(typres0.id, 207, _OBJSIZ_0_1_0_0_0_0_0_0_);
	}
	F208_3113(RTCW(tr2), (EIF_BOOLEAN) 0);
	((EIF_TYPED_VALUE *)tr1+4)->it_r = tr2;
	RTAR(tr1,tr2);
	
	{
		static EIF_TYPE_INDEX typarr0[] = {0xFF01,1161,0xFF01,0xFFF9,1,1112,0xFF01,1172,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
		tr4= RTLNRF(typres0.id, (EIF_POINTER) __A398_66_2, (EIF_POINTER) _A398_66_2, (EIF_POINTER)(0),tr1, 1, 1);
	}
	Result = (EIF_REFERENCE) tr4;
	RTLE;
	return Result;
}

/* {LIBCURL_HTTP_CLIENT_REQUEST}.new_write_content_data_to_file_agent */
EIF_REFERENCE F448_5991 (EIF_REFERENCE Current, EIF_REFERENCE arg1, EIF_REFERENCE arg2)
{
	GTCX
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_REFERENCE tr3 = NULL;
	EIF_REFERENCE tr4 = NULL;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTCFDT;
	RTLD;
	
	RTLI(8);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,arg2);
	RTLR(3,arg1);
	RTLR(4,tr2);
	RTLR(5,tr3);
	RTLR(6,tr4);
	RTLR(7,Result);
	RTLIU(8);
	
	RTGC;
	{
		EIF_TYPE_INDEX typarr0[] = {0xFFF9,4,1112,0xFF01,0,1174,0xFF01,934,0xFF01,207,1126,0xFFFF};
		EIF_TYPE typres0;
		typarr0[4] = dftype;
		
		typres0 = eif_compound_id(dftype, typarr0);
		tr1 = RTLNTS(typres0.id, 5, 0);
	}
	((EIF_TYPED_VALUE *)tr1+1)->it_r = Current;
	RTAR(tr1,Current);
	((EIF_TYPED_VALUE *)tr1+2)->it_r = arg2;
	RTAR(tr1,arg2);
	((EIF_TYPED_VALUE *)tr1+3)->it_r = arg1;
	RTAR(tr1,arg1);
	{
		static EIF_TYPE_INDEX typarr0[] = {0xFF01,207,1126,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
		tr2 = RTLNS(typres0.id, 207, _OBJSIZ_0_1_0_0_0_0_0_0_);
	}
	F208_3113(RTCW(tr2), (EIF_BOOLEAN) 0);
	((EIF_TYPED_VALUE *)tr1+4)->it_r = tr2;
	RTAR(tr1,tr2);
	
	{
		static EIF_TYPE_INDEX typarr0[] = {0xFF01,1161,0xFF01,0xFFF9,1,1112,0xFF01,1172,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
		tr4= RTLNRF(typres0.id, (EIF_POINTER) __A398_65_2, (EIF_POINTER) _A398_65_2, (EIF_POINTER)(0),tr1, 1, 1);
	}
	Result = (EIF_REFERENCE) tr4;
	RTLE;
	return Result;
}

/* {LIBCURL_HTTP_CLIENT_REQUEST}.inline-agent#1 of new_write_content_data_to_file_agent */
void F448_15448 (EIF_REFERENCE Current, EIF_REFERENCE arg1, EIF_REFERENCE arg2, EIF_REFERENCE arg3, EIF_REFERENCE arg4)
{
	GTCX
	EIF_REFERENCE tr1 = NULL;
	EIF_BOOLEAN tb1;
	RTLD;
	
	RTLI(5);
	RTLR(0,arg4);
	RTLR(1,arg3);
	RTLR(2,arg1);
	RTLR(3,arg2);
	RTLR(4,tr1);
	RTLIU(5);
	
	RTGC;
	tb1 = *(EIF_BOOLEAN *)(RTCW(arg4)+ _CHROFF_0_0_);
	if (tb1) {
		(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6250[Dtype(RTCW(arg3))-562])(arg3, arg1);
	} else {
		if ((EIF_BOOLEAN)(arg2 != NULL)) {
			(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R8726[Dtype(RTCW(arg2))-1174])(arg2, arg1);
		}
		tr1 = RTMS_EX_H("\015\012",2,3338);
		tb1 = F1173_10338(RTCW(arg1), tr1);
		if (tb1) {
			F208_3114(RTCW(arg4), (EIF_BOOLEAN) 1);
		}
	}
	RTLE;
}

/* {LIBCURL_HTTP_CLIENT_REQUEST}.inline-agent#1 of new_write_data_to_file_agent */
void F448_15449 (EIF_REFERENCE Current, EIF_REFERENCE arg1, EIF_REFERENCE arg2, EIF_REFERENCE arg3, EIF_REFERENCE arg4)
{
	GTCX
	EIF_REFERENCE tr1 = NULL;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	RTLD;
	
	RTLI(5);
	RTLR(0,arg3);
	RTLR(1,arg1);
	RTLR(2,arg2);
	RTLR(3,arg4);
	RTLR(4,tr1);
	RTLIU(5);
	
	RTGC;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6250[Dtype(RTCW(arg3))-562])(arg3, arg1);
	tb1 = '\0';
	if ((EIF_BOOLEAN)(arg2 != NULL)) {
		tb2 = *(EIF_BOOLEAN *)(RTCW(arg4)+ _CHROFF_0_0_);
		tb1 = (EIF_BOOLEAN) !tb2;
	}
	if (tb1) {
		(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R8726[Dtype(RTCW(arg2))-1174])(arg2, arg1);
		tr1 = RTMS_EX_H("\015\012",2,3338);
		tb1 = F1173_10338(RTCW(arg1), tr1);
		if (tb1) {
			F208_3114(RTCW(arg4), (EIF_BOOLEAN) 1);
		}
	}
	RTLE;
}

void EIF_Minit398 (void)
{
	GTCX
}


#ifdef __cplusplus
}
#endif
